commit 9da3dc292c1a0e3e0418eec2b909163ff2b68be8
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 19 15:26:25 2011 -0400

    more NEWS

 NEWS |   27 ++++++++++++++++++++++++++-
 1 files changed, 26 insertions(+), 1 deletions(-)

commit 2a98cc635e03e57623268045cb0d6761b1619fea
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 19 15:07:22 2011 -0400

    The usual docs unbreaking...

 docs/reference/glib/Makefile.am       |    1 +
 docs/reference/glib/building.sgml     |    2 +-
 docs/reference/glib/glib-sections.txt |    4 +---
 glib/giochannel.c                     |   10 +++++++++-
 glib/gmessages.c                      |    2 +-
 5 files changed, 13 insertions(+), 6 deletions(-)

commit 3fd412549fa50e06f92fb279d54a5d5b668600bc
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 19 10:11:54 2011 -0400

    configure.ac: join the cargo-cult of _cv_

    For some reason, the setting of g_atomic_lock_free wasn't making
    it down
    to the lower part of the configure script where glibconfig.h was being
    generated when building using mingw32-configure.

    If we prefix glib_cv_ to the start of the variable name (like everyone
    else is doing) then it magically starts working.

    I love you, automake.

 configure.ac |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 612d2384670378d23e46046ab42ca98d618aba43
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 18 16:19:43 2011 +0100

    gdbus-non-socket test: avoid use of a GMainContext across a fork

    See https://bugzilla.gnome.org/show_bug.cgi?id=658999 for why
    this would
    be bad.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=662100
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: David Zeuthen <davidz@redhat.com>

 gio/tests/gdbus-non-socket.c |   51
 +++++++++++++++++++++++++++++++----------
 1 files changed, 38 insertions(+), 13 deletions(-)

commit be89f052c2f578a812d7bba4bbd02be04a4fdc03
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 18 16:18:21 2011 +0100

    gdbus-exit-on-close test: cover more possibilities

    We didn't previously test anything except the implicit default
    of TRUE.
    Now we test implicit TRUE, explicit TRUE, explicit FALSE, and
    disconnecting at the local end (which regressed while fixing Bug
    #651268).

    Also avoid some questionable use of a main context, which fell foul of
    Bug #658999 and caused this test to be disabled in master.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=662100
    Bug-NB: NB#287088
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: David Zeuthen <davidz@redhat.com>

 gio/tests/gdbus-exit-on-close.c |  141
 ++++++++++++++++++++++++++++++++++-----
 1 files changed, 125 insertions(+), 16 deletions(-)

commit 5e0492da509aad12b93b732c449dae1a016367c1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Oct 19 10:49:56 2011 +0100

    GDBusWorker: if a read was cancelled it means we closed the connection

    This was a regression caused by my previous work on GDBusWorker
    thread-safety
    (Bug #651268). The symptom is that if you disconnect a GDBusConnection
    locally, the default implementation of GDBusConnection::closed
    terminates your process, even though it shouldn't do that for
    locally-closed connections; this is because GDBusWorker didn't think a
    cancelled read was a local close.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=662100
    Bug-NB: NB#287088
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: David Zeuthen <davidz@redhat.com>

 gio/gdbusprivate.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 6c33e1cd9d9e247b8b2aa95e9617904a317b78c6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 18 16:27:21 2011 +0100

    Revert "Disable two GDBus tests"

    This reverts commit 05ef173466e32d8b3d212803e4a72239913a362d.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=662100
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: David Zeuthen <davidz@redhat.com>

 gio/tests/gdbus-exit-on-close.c |    3 +--
 gio/tests/gdbus-non-socket.c    |    3 +--
 2 files changed, 2 insertions(+), 4 deletions(-)

commit 99f0eaa4c5a86f6fa721044bb6841f6bda4c689b
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 18 23:26:00 2011 -0400

    Fix bug in g_static_rec_mutex_unlock_full()

    pthreads doesn't implement the _lock_full() and _unlock_full()
    calls on
    recursive mutexes so we don't have it on GRecMutex either.  Now that
    we're using GRecMutex to implement GStaticRecMutex, we have to fake it
    by keeping an internal counter of the number of locks and calling
    g_rec_mutex_unlock() the appropriate number of times.

    The code to do this looked like:

      depth = mutex->depth;
      while (mutex->depth--)
        g_rec_mutex_unlock (rm);
      return depth;

    which unfortunately did one last decrement after mutex->depth was
    already zero (leaving it equal to -1).

    When locked the next time, the count would then increase from -1 to 0
    and then the next _unlock_full() call would not do any calls to
    g_rec_mutex_unlock(), leading to a deadlock.

    https://bugzilla.gnome.org/show_bug.cgi?id=661914

 glib/deprecated/gthread-deprecated.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit aba0f0c38bbfa11ad48b5410ebdbed2a99e68c58
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 18 16:21:50 2011 -0400

    gatomic: introduce G_ATOMIC_LOCK_FREE

    We clean up the detection of if we should do 'real' atomic
    operations or
    mutex-emulated ones with the introduction of a new (public) macro:
    G_ATOMIC_LOCK_FREE.  If defined, our atomic operations are
    guaranteed to
    be done in hardware.

    We need to use __GCC_HAVE_SYNC_COMPARE_AND_SWAP_4 to determine if our
    compiler supports GCC-style atomic operations from the gatomic.h
    header
    because we might be building a program against GLib using a different
    set of compiler options (or a different compiler) than was used
    to build
    GLib itself.

    Unfortunately, this macro is not available on clang, so it has
    currently
    regressed to using the mutex emulation.  A bug about that has been
    opened here:

      http://llvm.org/bugs/show_bug.cgi?id=11174

 configure.ac                           |   85
 ++++++++++++++++++++------------
 docs/reference/glib/glib-overrides.txt |    5 ++
 docs/reference/glib/glib-sections.txt  |    3 +
 glib/gatomic.c                         |   48 ++++++++++--------
 glib/gatomic.h                         |    4 +-
 glib/glibconfig.h.win32.in             |    2 +
 6 files changed, 93 insertions(+), 54 deletions(-)

commit c9b6c3c85ac8f870ff193ae75b2bd19a7a310ec9
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 18 16:21:17 2011 -0400

    gatomic: cast to the correct pointer sign

    In the fallback case of the g_atomic_int_ macros we had some (gint*)
    casts that should have been (guint*) casts.

 glib/gatomic.h |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 4641d13770d4591ce85c5d8ffaf0484703666cc4
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Tue Oct 18 22:28:23 2011 +0200

    [l10n] Updated German translation

 po/de.po | 5958
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 2981 insertions(+), 2977 deletions(-)

commit 915e2238c478737def2f8919204ee10d06ecb98a
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Oct 13 16:53:44 2011 -0400

    gio: Introduce get_sort_key() methods on GDrive, GVolume and GMount

    This is needed to implement efficient and predictable proxy volume
    monitors, see

     https://bugzilla.gnome.org/show_bug.cgi?id=661711

    for details.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

 docs/reference/gio/gio-sections.txt |    3 +++
 gio/gdrive.c                        |   25 +++++++++++++++++++++++++
 gio/gdrive.h                        |    5 +++++
 gio/gio.symbols                     |    3 +++
 gio/gmount.c                        |   25 +++++++++++++++++++++++++
 gio/gmount.h                        |    5 +++++
 gio/gvolume.c                       |   25 +++++++++++++++++++++++++
 gio/gvolume.h                       |    5 +++++
 8 files changed, 96 insertions(+), 0 deletions(-)

commit 4a25d21bd08b7dcf38f781bf678ee8fffe817203
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sun Oct 2 17:58:16 2011 +0100

    tests/gobject: Use G_VALUE_INIT

 tests/gobject/override.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 108480b7baad8d02b7b0f9729146a04ad09219de
Author: Javier Jardón <jjardon@gnome.org>
Date:   Fri Sep 30 17:19:50 2011 +0100

    gobject: Use G_VALUE_INIT

 gobject/gbinding.c              |   16 ++++++++--------
 gobject/gobject.c               |    8 ++++----
 gobject/gparam.c                |    4 ++--
 gobject/gsignal.c               |    6 +++---
 gobject/gsourceclosure.c        |    6 +++---
 gobject/gvaluetypes.c           |    2 +-
 gobject/tests/boxed.c           |   26 +++++++++++++-------------
 gobject/tests/enums.c           |    4 ++--
 gobject/tests/ifaceproperties.c |    4 ++--
 gobject/tests/param.c           |   12 ++++++------
 gobject/tests/reference.c       |    2 +-
 gobject/tests/valuearray.c      |    2 +-
 12 files changed, 46 insertions(+), 46 deletions(-)

commit 8d3250016dac9d43b2a2de6dacb670a9fbc88808
Author: Javier Jardón <jjardon@gnome.org>
Date:   Fri Sep 30 17:08:15 2011 +0100

    gio: Use G_VALUE_INIT

 gio/gasynchelper.c               |    4 ++--
 gio/gcancellable.c               |    4 ++--
 gio/gdbus-2.0/codegen/codegen.py |    6 +++---
 gio/gdbusnameowning.c            |    6 +++---
 gio/gdbusnamewatching.c          |    4 ++--
 gio/gpollableinputstream.c       |    4 ++--
 gio/gsettings.c                  |    4 ++--
 gio/gsocket.c                    |    4 ++--
 8 files changed, 18 insertions(+), 18 deletions(-)

commit f07201c314e891354f236d7ec49a11700ce02da0
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Oct 16 10:57:29 2011 +0100

    GDBusConnection: Fix race in /gdbus/connection/life-cycle

    GDBusConnection sets the closed flag in the worker thread, then
    adds an
    idle callback (which refs the Connection) to signal this in the main
    thread. The tests session_bus_down doesn't spin the mainloop, so the
    "closed" signal will always fire if iterating the mainloop later (and
    drops the ref when doing so). But _is_closed can return TRUE even
    before
    signalling this, in which case the "closed" signal isn't fired and the
    ref isn't dropped, causing the test to fail.

    Instead simply always wait for the closed signal, which is a good
    thing
    to check anyway and ensures the ref is closed.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=661896
    Reviewed-by: Matthias Clasen <mclasen@redhat.com>

 gio/tests/gdbus-connection.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit cf3f1b026b13fe377057f6e1102eefaad1e24c72
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Oct 18 14:15:07 2011 +0200

    Actually Don't define GLIB_COMPILATION in libgthread

    Last commit was wrong, fixing it up

 glib/gthread-win32.c   |    9 +++++++--
 gthread/Makefile.am    |    1 -
 gthread/gthread-impl.c |    4 ++++
 3 files changed, 11 insertions(+), 3 deletions(-)

commit be770969e93f989d7165b240c4e7e5e6ac9c0587
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Oct 18 13:34:06 2011 +0200

    Don't define GLIB_COMPILATION in libgthread

    This was turning all the GLIB_VARs in the glib headers into
    dllexports on windows, causing all sort of nastiness. libgthread is
    mostly empty now anyway, so we don't need any GLIB_COMPILATION like
    flag.

 glib/gthread-win32.c   |    9 ++-------
 gthread/gthread-impl.c |    4 ----
 2 files changed, 2 insertions(+), 11 deletions(-)

commit 735420e54690d5971a0e258e12fff6ee79ae34a6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 17 17:01:36 2011 -0400

    Fix an include guard mismatch

    Spotted by Colin Walters.

 glib/gcharset.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 52389bd01067284565b007bc156643d534282842
Author: Alexander Larsson <alexl@redhat.com>
Date:   Mon Oct 17 23:00:29 2011 +0200

    Fix up testcase broken due to g_thread_new API change

 gio/tests/win32-streams.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f3ac581713f7297b0bf33c77c47e9bf32961775f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Oct 18 00:15:37 2011 +0800

    Move _glib_get_locale_dir to ggettext.c

    -Move _glib_get_locale_dir to ggettext.c, as Matthias suggested
    -Made up for the headers that needed to be included in ggettext.c
    to avoid
     C4013 (implicit declaration of ...) errors/warnings

 glib/ggettext.c |   56
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 glib/gutils.c   |   50 -------------------------------------------------
 2 files changed, 56 insertions(+), 50 deletions(-)

commit 9973383bd05236272f28909db8f422f7a56b11ea
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Oct 17 18:31:48 2011 +0200

    Updated POTFILES.in

 po/POTFILES.in |   41 +++++++++++++++++++++--------------------
 1 files changed, 21 insertions(+), 20 deletions(-)

commit 32214583c361e1b0406a3e6c77c66d907f3f1126
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Oct 17 14:54:50 2011 +0800

    Fix gio.symbols

    g_simple_action_get_parameter_type is now static, so this symbol
    needs to
    be removed from here...

 gio/gio.symbols |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit b25177fc4f1aaa1daf27791982ecc5e001845d2c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Oct 17 14:53:58 2011 +0800

    GLib: Add forgotten includes and build fixes

    -gcharset.c, genviron.c, gunicollate.c: Some headers were missed
    in those
     files that triggered C4013 warnings/errors (aka. implicit declaration
     of ... in GCC).  Make up for them here.
    -gwin32.h: Only define g_win32_get_package_installation_directory/
     g_win32_get_package_installation_subdirectory as macros
     (alias of g_win32_get_package_installation_directory_utf8/
     g_win32_get_package_installation_subdirectory_utf8) on Win64 (x64) as
     g_win32_get_package_installation_directory/
     g_win32_get_package_installation_subdirectory have seperate existing
     implmentations for Win32-this is a long-standing problem but was
     covered-
     up by G_DISABLE_DEPRECATED, which we are stopping to use as of
     2.31.0.

 glib/gcharset.c    |    3 +++
 glib/genviron.c    |    6 ++++++
 glib/gunicollate.c |    1 +
 glib/gwin32.h      |    2 ++
 4 files changed, 12 insertions(+), 0 deletions(-)

commit e5fd0f5df6043887a985f922ee4a35b73585ca3e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Oct 17 10:54:50 2011 -0400

    Revert "Bug 652827 - glib-2.29.8 no longer builds with mingw.org's
    toolchain"

    This reverts commit 349212211247781e7bec43b95cb57dddc1d0e5b1.

 configure.ac   |   12 +-----------
 glib/gatomic.c |    2 +-
 2 files changed, 2 insertions(+), 12 deletions(-)

commit 3a04f8796855777aa503f1be9ee90107d978cd76
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Oct 17 17:47:00 2011 +0800

    Update VS property sheets

    Some new headers were added...

 build/win32/vs10/glib.props  |   10 ++++++++++
 build/win32/vs9/glib.vsprops |    5 +++++
 2 files changed, 15 insertions(+), 0 deletions(-)

commit e192f45a932b62edcd1d3e2315a5dff20747a346
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Oct 17 17:18:20 2011 +0800

    glib/tests/thread.c: Add config guards

    Not all systems come with unistd.h and sys/time.h, so use config
    guards
    on them so that they are only included when available.

 glib/tests/thread.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 1bfa7e7e860feb9e825ad0a4ae340aca7afe51a6
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Oct 17 16:40:44 2011 +0800

    Update VS property sheets

    gcache.h is now a deprecated header, so up the "install" part for it.

 build/win32/vs10/glib.props  |    4 ++--
 build/win32/vs9/glib.vsprops |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 2f71118e785be41953765d048a7d03718a94e619
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 17 02:14:18 2011 -0400

    More include cleanups

 glib/gconvert.c      |    2 --
 glib/grand.c         |    1 -
 glib/gstrfuncs.c     |    1 -
 glib/gthread-win32.c |    4 +---
 4 files changed, 1 insertions(+), 7 deletions(-)

commit eb125665d8ad11c22457b4ec5062ede6594b8d89
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Oct 17 14:17:53 2011 +0800

    Update VS property sheets

    Stop using G_DISABLE_DEPRECATED as there are now warnings for usage of
    deprecated APIs/items in GLib

 build/win32/vs10/glib.props  |    2 +-
 build/win32/vs9/glib.vsprops |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 0ec3c744c4f90d99b46658b39cab36a530904ab8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 17 01:59:35 2011 -0400

    include cleanup

 glib/gutils.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit d9053e026c5b56a0aab2ca684de0929024181d10
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 17 01:52:10 2011 -0400

    Make things compile again

 glib/Makefile.am |    2 +
 glib/glib.h      |    1 +
 glib/gstrfuncs.c |  308
 +-----------------------------------------------------
 glib/gstrfuncs.h |   19 ----
 glib/gutils.c    |   63 +-----------
 5 files changed, 5 insertions(+), 388 deletions(-)

commit 08933846e49d14e48dded58b6237cbc0a7a9c371
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 17 01:50:00 2011 -0400

    Move gettext variations into their own files

 glib/ggettext.c |  402
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 glib/ggettext.h |   59 ++++++++
 2 files changed, 461 insertions(+), 0 deletions(-)

commit 67bf0083db329d02ad2e99a8f4586ebfdcba1dd2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 17 01:30:31 2011 -0400

    Reshuffle some functions between gutils and gfileutils

    Move filename-related functions to gfileutils, and move
    size formatting functions to gutils.

 glib/gfileutils.c |  709
 ++++++++++++++++++++++++++++++++++-------------------
 glib/gfileutils.h |  101 +++++---
 glib/gutils.c     |  679
 +++++++++++++++++++--------------------------------
 glib/gutils.h     |   60 +----
 4 files changed, 779 insertions(+), 770 deletions(-)

commit 23afdb119e05741e90d048b0d54077842de25720
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 17 01:30:09 2011 -0400

    include cleanup

 glib/gconvert.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f8a747130887ee1b48d31fe2a5b3480b121379d7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 17 01:11:56 2011 -0400

    Trivial

 glib/genviron.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit fbe24cab21fbf85c5f52b3cb5967efe614194756
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 17 00:33:54 2011 -0400

    Reshuffle genviron.c

    Split win32 functions off into their own section, instead
    of having large and unwieldy ifdef sections inside each function.

    Also move the compat versions of env functions over from gutils.c

 glib/genviron.c |  727
 ++++++++++++++++++++++++++++++-------------------------
 glib/gutils.c   |   49 ----
 2 files changed, 396 insertions(+), 380 deletions(-)

commit b0ab7aba6bf2d70e0546f85091d76d9f83174ce8
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 21:59:55 2011 -0400

    push G_THREADS_MANDATORY over the cliff

    This was used as an optimisation for the macro hackery that used
    to live
    in gthread.h.  If a particular library or program knew that it could
    rely on thread support being enabled, it would allow for static
    evaluation of conditionals in some of those macros.

    Since the macros are dead and thread support is now always-on, we can
    get rid of this bit of legacy.

 gio/Makefile.am           |    2 --
 glib/Makefile.am          |    1 -
 glib/deprecated/gthread.h |    6 +-----
 gobject/Makefile.am       |    2 --
 4 files changed, 1 insertions(+), 10 deletions(-)

commit b0760207197cb32dcc89190f6329a043670ecbd7
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 21:53:03 2011 -0400

    gobject/gio: some last missed statics/inclues

 gio/glib-compile-schemas.c |    2 +-
 gobject/gparam.c           |    2 +-
 gobject/gvalue.c           |    1 +
 gobject/testgobject.c      |    2 +-
 4 files changed, 4 insertions(+), 3 deletions(-)

commit a6d9cf3380a3be9ea518227cba3c571726bb99c6
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 21:50:26 2011 -0400

    gthread/: fix up declarations

    g_thread_init() is now a deprecated API, so drop G_DISABLE_DEPRECATED
    from the CFLAGS for gthread/.  Add the missing declaration for
    g_thread_init_with_errorcheck_mutexes() back to deprecated/gthread.h.

 glib/deprecated/gthread.h |    2 ++
 gthread/Makefile.am       |    3 +--
 gthread/gthread-impl.c    |    2 +-
 3 files changed, 4 insertions(+), 3 deletions(-)

commit 3eec796b18e56351638cc6c0c03ab481618d0e29
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 20:58:02 2011 -0400

    Add private prototype for g_thread_init_glib()

    This function was never put in a header and was only used internally
    from libgthread, but we should keep the symbol around to avoid
    triggering any false-positives on ABI checkers.

    For -Wmissing-prototypes compatibility with this unusual case,
    we should
    add a private prototype in the .c file just before.

 glib/deprecated/gthread-deprecated.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 09429e2c820118918e6132d32884eb02203136d4
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 21:24:45 2011 -0400

    gio static fixups

 gio/gapplicationimpl-dbus.c   |    2 +-
 gio/giomodule.c               |    2 +-
 gio/gkeyfilesettingsbackend.c |    2 +-
 gio/gnetworkaddress.c         |    1 +
 gio/gnetworkservice.c         |    1 +
 gio/gsettingsschema.c         |    2 ++
 gio/gsimpleaction.c           |    2 +-
 gio/gsocketaddress.c          |    1 +
 gio/gsocketclient.c           |    2 +-
 gio/gsrvtarget.c              |    2 +-
 gio/gtlscertificate.c         |    4 ++--
 11 files changed, 13 insertions(+), 8 deletions(-)

commit 740eacbfcacb4acdc09a5ef93cb2840d1648ce28
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 21:17:10 2011 -0400

    static and #include fixups in glib/

 glib/gfileutils.c      |    2 +-
 glib/gmain.c           |    2 +-
 glib/gvariant-parser.c |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 1b018a8bb2c4c508fe8e3996a31210d655b70d30
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 21:13:22 2011 -0400

    genviron: #include fixups

 glib/genviron.c |    2 ++
 glib/genviron.h |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 38e8ecd62a4e9dfcdf37bc31d8de6fb1fd39d6b5
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 21:11:11 2011 -0400

    more 'static' adding in testcases

    No dead code found this time...

 gio/tests/gapplication-example-cmdline2.c |    3 ++-
 gio/tests/gdbus-example-export.c          |    3 ++-
 gio/tests/gsettings.c                     |    7 ++++---
 gio/tests/gtlsconsoleinteraction.c        |    4 ++--
 gio/tests/io-stream.c                     |    1 +
 gio/tests/socket-common.c                 |    2 +-
 gio/tests/tls-interaction.c               |    1 +
 gobject/tests/binding.c                   |    2 ++
 gobject/tests/boxed.c                     |    1 +
 gobject/tests/dynamictests.c              |    5 ++++-
 gobject/tests/ifaceproperties.c           |    7 ++++---
 gobject/tests/properties.c                |    1 +
 gobject/tests/reference.c                 |    1 +
 gobject/tests/signals.c                   |    4 ++--
 gobject/tests/threadtests.c               |    7 +++++++
 15 files changed, 35 insertions(+), 14 deletions(-)

commit b264fccd23cfb678fbaba9fc7459220f5eef7e14
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 21:10:23 2011 -0400

    contexts test: don't use deprecated GCond wait API

 gio/tests/contexts.c |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit 3d93c44374964b5846aea61f32ecb294efe148db
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 20:57:40 2011 -0400

    Mark some functions 'static' in glib/tests

    This has uncovered two unused testcases in option-context.c.  They are
    currently broken and require more investigation (which is probably why
    they are unused).

 glib/tests/642026.c           |    2 +-
 glib/tests/collate.c          |    4 +-
 glib/tests/cond.c             |    2 +-
 glib/tests/logging.c          |    8 ++--
 glib/tests/markup-subparser.c |    2 +-
 glib/tests/option-context.c   |   91
 +++++++++++++++++++++--------------------
 glib/tests/sequence.c         |    2 +-
 glib/tests/slice.c            |    2 +-
 glib/tests/strfuncs.c         |    2 +-
 glib/tests/string.c           |    2 +-
 10 files changed, 59 insertions(+), 58 deletions(-)

commit 5f79db145d5caf5c16d254cba80cccfdb82e1abc
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:   Mon Oct 17 09:25:08 2011 +0900

    Updated Japanese translation

 po/ja.po |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit c3a1d832b8f783308f038bf2b821359c87fedcaf
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 19:21:35 2011 -0400

    README: Add note about gobject->gthread situation

 README.in |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit 086d577b3dc7aa1509e95a875984682d9048aabc
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 19:17:52 2011 -0400

    gobject.pc: remove dependency on gthread

    GObject no longer uses gthread, so libgthread should no longer be
    included in the linker flags of programs built against GObject.

 gobject-2.0.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 306aa62ea5fa4d3a57bca419afcc159f9509b476
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 19:14:18 2011 -0400

    drop -uninstalled.pc files

    These were meant to provide the ability to use GLib directly out
    of its
    build tree but have a couple of rather serious limitations that
    prevent
    their serious use:

     - these files only worked with programs built using libtool

     - for non-trivial uses, other environment variables will need to be
       setup to allow GLib to function properly

     - the system doesn't stack well when attempting to use multiple
       libraries all uninstalled

    The jhbuild --prefix= style system works much better in every way,
    so we
    remove this old hack.

 Makefile.am                             |    9 +--------
 README.in                               |    2 ++
 configure.ac                            |    7 -------
 gio-2.0-uninstalled.pc.in               |    6 ------
 gio-unix-2.0-uninstalled.pc.in          |    6 ------
 glib-2.0-uninstalled.pc.in              |    9 ---------
 gmodule-2.0-uninstalled.pc.in           |    8 --------
 gmodule-no-export-2.0-uninstalled.pc.in |   14 --------------
 gobject-2.0-uninstalled.pc.in           |    7 -------
 gthread-2.0-uninstalled.pc.in           |    6 ------
 10 files changed, 3 insertions(+), 71 deletions(-)

commit c5aa8390b27c6cb535251187f8d4f86da59730e9
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 19:11:00 2011 -0400

    gitignore

 gio/tests/.gitignore  |   14 ++++++++------
 glib/tests/.gitignore |   13 +++++++++++++
 2 files changed, 21 insertions(+), 6 deletions(-)

commit a9a1c97904aeed96bcb248e16cb495e6907b7126
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 19:08:59 2011 -0400

    gthread: move test cases to glib/

 configure.ac                        |    1 -
 glib/tests/1bit-mutex.c             |  157 ++++++++++++++++++++
 glib/tests/642026.c                 |   91 ++++++++++++
 glib/tests/Makefile.am              |   46 ++++++-
 glib/tests/gwakeuptest.c            |  272
 +++++++++++++++++++++++++++++++++++
 glib/tests/spawn-multithreaded.c    |  236 ++++++++++++++++++++++++++++++
 glib/tests/spawn-singlethread.c     |  190 ++++++++++++++++++++++++
 glib/tests/test-spawn-echo.c        |   39 +++++
 gthread/Makefile.am                 |    3 -
 gthread/tests/.gitignore            |   11 --
 gthread/tests/1bit-mutex.c          |  157 --------------------
 gthread/tests/642026.c              |   91 ------------
 gthread/tests/Makefile.am           |   52 -------
 gthread/tests/gwakeuptest.c         |  272
 -----------------------------------
 gthread/tests/spawn-multithreaded.c |  236 ------------------------------
 gthread/tests/spawn-singlethread.c  |  190 ------------------------
 gthread/tests/test-spawn-echo.c     |   39 -----
 17 files changed, 1029 insertions(+), 1054 deletions(-)

commit fb4e120d88777affc4a8fbeb73312b1e810e2431
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 19:04:19 2011 -0400

    tests: merge gthread/ and glib/ atomic tests

 glib/tests/atomic.c       |   60 +++++++++++++++++++++++++++++++++++++-
 gthread/tests/Makefile.am |    4 --
 gthread/tests/atomic.c    |   70
 ---------------------------------------------
 3 files changed, 59 insertions(+), 75 deletions(-)

commit f5e869478221387f915bb619892d68d10744ff65
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 16 19:01:55 2011 -0400

    glib/tests/atomic: convert to proper gtester test

 glib/tests/atomic.c |   14 ++++++++++++--
 1 files changed, 12 insertions(+), 2 deletions(-)

commit 6c1d768f7bb4ced7d0f484fe9fe8ee2daef489e2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 16 18:43:22 2011 -0400

    Also clean up includes

 glib/gconvert.c  |    1 +
 glib/gmessages.c |    3 ++-
 glib/gunicode.h  |    3 ---
 glib/gutils.h    |    4 ----
 4 files changed, 3 insertions(+), 8 deletions(-)

commit 0589f715e5462b6bfcadc044fe4bcf9bbaf62ccb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 16 18:40:58 2011 -0400

    Move charset and locale name functions to their own files

    They did not really belong into either gutils or gutf8.

 glib/Makefile.am |    6 +-
 glib/gcharset.c  |  589
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 glib/gcharset.h  |   40 ++++
 glib/glib.h      |    1 +
 glib/gutf8.c     |  193 ------------------
 glib/gutils.c    |  363 ---------------------------------
 6 files changed, 634 insertions(+), 558 deletions(-)

commit 86cc4b246da0896d7842d121bf5bc019741ba99b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 16 17:37:29 2011 -0400

    Add deprecation annotations to mem chunk apis

 glib/deprecated/gallocator.h |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit e7b4319d61495d742915770a7b6f4fc14c29db02
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 16 17:01:26 2011 -0400

    Move version APIs out of gutils

    Just another cleanup.

 glib/Makefile.am |    2 +
 glib/glib.h      |    1 +
 glib/gutils.c    |   93 ----------------------------------
 glib/gutils.h    |   42 ----------------
 glib/gversion.c  |  145
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 glib/gversion.h  |   78 +++++++++++++++++++++++++++++
 6 files changed, 226 insertions(+), 135 deletions(-)

commit 45f221c32f7c88e487fe260eefb3be8d1c2443af
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 16 16:52:24 2011 -0400

    Move GTrashStack out of gutils.[hc]

    Reducing the mess in gutils, and moving docs inline
    at the same time. Double win.

 docs/reference/glib/tmpl/.gitignore       |    1 +
 docs/reference/glib/tmpl/trash_stack.sgml |   77 ---------------------
 glib/Makefile.am                          |    2 +
 glib/glib.h                               |    1 +
 glib/gslice.c                             |    1 +
 glib/gtrashstack.c                        |   94
 ++++++++++++++++++++++++++
 glib/gtrashstack.h                        |  103
 +++++++++++++++++++++++++++++
 glib/gutils.h                             |   61 -----------------
 8 files changed, 202 insertions(+), 138 deletions(-)

commit 6ab1c772705560f62b3f302ee0d396eed06eefb4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 16 16:23:18 2011 -0400

    Pass correct data to fatal log handlers

    This was pointed out by John Ralls in bug 653052.
    He also provided the test case.

 glib/gmessages.c     |    2 +-
 glib/tests/logging.c |   58
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+), 1 deletions(-)

commit 1435db48baff185660650d46992f1a290a803b9d
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Aug 17 08:57:15 2011 +0200

    Clarify g_spawn_*() behaviour without full path

    Document the previously uncovered case of calling
    g_spawn_async_with_pipes()
    without a full path but no G_SPAWN_SEARCH_PATH. This runs programs
    from the
    current directory, which might be unexpected and even dangerous in
    some corner
    cases.

    https://bugzilla.gnome.org/show_bug.cgi?id=656621

 glib/gspawn.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 8ff94df6325b54264cd2ea7b7b6701665b1014a9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 16 14:34:16 2011 -0400

    Add a tests of some GVfs functions

    https://bugzilla.gnome.org/show_bug.cgi?id=656621

 gio/tests/Makefile.am |    7 ++++-
 gio/tests/vfs.c       |   55
 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+), 2 deletions(-)

commit c41f6a0b7c90a51f7e195669083754e96c794d6a
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Mon Oct 17 01:54:33 2011 +0900

    Updated Japanese translation

 po/ja.po |  218
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 122 insertions(+), 96 deletions(-)

commit 0e68a7d06d5ca68253d1992a8147afc3ecd90460
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Sat Sep 17 11:30:01 2011 +0900

    Updated Japanese translation

 po/ja.po |  195
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 98 insertions(+), 97 deletions(-)

commit 448be24cf38e90c0ba415cb37cbc0bae09666593
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 16 00:08:42 2011 -0400

    Add app lauch environment test

 gio/tests/appinfo.c |   31 +++++++++++++++++++++++++++++++
 1 files changed, 31 insertions(+), 0 deletions(-)

commit cbb0b2a0ed4e5e219902fd0dbbff408ff0324381
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 15 23:58:30 2011 -0400

    Add g_get_codeset test

 glib/tests/utils.c |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)

commit 1493285f1d4693b54020dd77bbbfd8a5086af6ae
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 15 23:58:18 2011 -0400

    Add GAsyncQueue unit test

 glib/tests/Makefile.am  |    3 +
 glib/tests/asyncqueue.c |  182
 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 185 insertions(+), 0 deletions(-)

commit d0bb1e0b0a3237f982a0ec234e7be877d4e223f2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 15 23:27:28 2011 -0400

    Move g_get_codeset next to g_get_charset

    g_get_codeset is a close relatove to g_get_charset, and up to now
    it lived a shadowy existence without any header presence.

 docs/reference/glib/glib-sections.txt |    1 +
 glib/gunicode.h                       |   11 +++--------
 glib/gutf8.c                          |   28 +++++++++++++++++++++++-----
 glib/gutils.c                         |   18 ------------------
 4 files changed, 27 insertions(+), 31 deletions(-)

commit 976b0b72a477d64c9d4382de11b6db900ed9405f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 15 20:06:32 2011 -0400

    Include genviron.h where necessary

 glib/gasyncqueue.c |    1 +
 glib/grand.c       |    1 +
 glib/gspawn.c      |    1 +
 3 files changed, 3 insertions(+), 0 deletions(-)

commit 327e72f9fb9a44e9756dd037c2562701925a6a81
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 15 19:39:14 2011 -0400

    And fix the syntax, too

 glib/genviron.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 7df9637f0f09a2eefaddb1a76f171dc3f20e3430
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 15 19:38:10 2011 -0400

    Forgotten file

 glib/genviron.h |   61
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 61 insertions(+), 0 deletions(-)

commit d4dfca21bb01c98fcf415f974edc63297a38b59c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 15 18:23:07 2011 -0400

    Drop unused  copy of _g_getenv_nomalloc

 glib/genviron.c |  610
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 610 insertions(+), 0 deletions(-)

commit a7143a0e9f597916e3cfb7e3b59674f571e9cba6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Oct 13 17:39:03 2011 +0100

    GDBusConnection: warn that direct access to the stream is a bad idea

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=661679
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 gio/gdbusconnection.c |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit 70eff50f218e9bf34dafb97f50f0bc5da9356256
Author: Torsten Schönfeld <kaffeetisch@gmx.de>
Date:   Tue Aug 16 19:11:43 2011 +0200

    Add two annotations to gio

    https://bugzilla.gnome.org/show_bug.cgi?id=656679

 gio/gfile.c     |    2 +-
 gio/gfileinfo.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 5dcc502f914db3b57599e6740345b46292a979a4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 4 10:14:35 2011 +0100

    Document that types are limited to 64 KiB

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=659916
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 gobject/gtype.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit 33a86fce6a157ec7a69fe21a157b27748cb286eb
Author: Kean Johnston <kean.johnson@gmail.com>
Date:   Sat Oct 15 17:57:23 2011 -0400

    GIOModule: Use G_SEARCHPATH_SEPARATOR_S instead of ":"

    https://bugzilla.gnome.org/show_bug.cgi?id=661257

 gio/giomodule.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 94accc2d7891c8147ea5468828a346c716b06045
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Sat Oct 15 17:54:41 2011 -0400

    GKeyFile: improve introspection annotations

    Ensure that all methods that take or return arrays are annotated
    (including length). Mark ref, unref and free methods as (skip).

    https://bugzilla.gnome.org/show_bug.cgi?id=590808

 glib/gkeyfile.c |   60
 +++++++++++++++++++++++++++---------------------------
 1 files changed, 30 insertions(+), 30 deletions(-)

commit 96817746d999ce34b4fd3471b3c58d3a6be2dcbd
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Sat Oct 15 17:51:25 2011 -0400

    Turn GKeyFile into a boxed for introspection

    Using the new refcounting API, introduce a boxed type wrapping
    GKeyFile and expose it introspection bindings in glib-types.h.

 docs/reference/gobject/gobject-sections.txt |    1 +
 gobject/gboxed.c                            |    2 ++
 gobject/glib-types.h                        |   10 ++++++++++
 gobject/gobject.symbols                     |    1 +
 4 files changed, 14 insertions(+), 0 deletions(-)

commit a57c9148cf6dde67c967b837d74faf92a12c3ca6
Author: Christian Persch <chpe@gnome.org>
Date:   Mon May 25 15:07:27 2009 +0200

    GKeyFile: Add refcounting API

    Adds g_key_file_ref and g_key_file_unref, to be used by a future
    GKeyFile boxed type for language bindings.

    Based on the patch by Christian Persch and Emmanuele Bassi.

    Author: Christian Persch
    Signed-off-by: Johan Dahlin
    Signed-off-by: Giovanni Campagna

    https://bugzilla.gnome.org/show_bug.cgi?id=590808

 docs/reference/glib/glib-sections.txt |    2 +
 glib/gkeyfile.c                       |   59
 ++++++++++++++++++++++++++++++---
 glib/gkeyfile.h                       |    2 +
 glib/glib.symbols                     |    2 +
 4 files changed, 60 insertions(+), 5 deletions(-)

commit dfd75d2ead8c41f307f0daeb84aaa9e4bd923119
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 15 17:31:47 2011 -0400

    Add 'Since 2.32' indexes to gio and gobject docs

 docs/reference/gio/gio-docs.xml          |    4 ++++
 docs/reference/gobject/gobject-docs.sgml |    4 ++++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit de834bed306565c0652050665eafff4dfcdf0d8b
Author: Dan Winship <danw@gnome.org>
Date:   Sat Oct 15 16:59:59 2011 -0400

    GAppLaunchContext: add environment-manipulating functions

    Add functions for manipulating the environment under which a
    GAppLaunchContext will launch its children, to avoid thread-related
    bugs with using setenv() directly.

    FIXME: win32 side isn't implemented yet

    https://bugzilla.gnome.org/show_bug.cgi?id=659326

 docs/reference/gio/gio-sections.txt |    3 +
 gio/gappinfo.c                      |   99 ++++++++++++++++++++++-
 gio/gappinfo.h                      |   66 +++++++++-------
 gio/gdesktopappinfo.c               |  147
 ++++++++++++++++++++--------------
 gio/gio.symbols                     |    3 +
 gio/gwin32appinfo.c                 |    9 ++
 6 files changed, 233 insertions(+), 94 deletions(-)

commit 117e534091d7cf21ab48c56141a3340a15c74390
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 15 16:50:23 2011 -0400

    Misc doc formatting fixes

 docs/reference/glib/glib-sections.txt |    1 -
 glib/gscanner.c                       |    9 ++++-----
 glib/gthread.c                        |   16 +++++++---------
 glib/gthread.h                        |    2 +-
 glib/gthreadpool.c                    |    4 ++--
 5 files changed, 14 insertions(+), 18 deletions(-)

commit 94c246e8e3816d05971e9a825cf15769b04e8098
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 15 16:28:07 2011 -0400

    Add tests for new g_environ_ functions

 glib/tests/environment.c |   62
 ++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 60 insertions(+), 2 deletions(-)

commit 7a9987d35d568707df2c7c12e851623b46e9e63d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 15 16:13:08 2011 -0400

    Move environment-related functions into their own files

    gutils.[hc] is a bit of a grab bag, so lets start cleaning
    things up by moving all the environment-related functions
    into separate genviron.[hc] files.

    The private _g_getenv_nomalloc has been moved to its sole caller.

 glib/Makefile.am |    4 +-
 glib/glib.h      |    1 +
 glib/gslice.c    |   20 ++-
 glib/gutils.c    |  591
 +-----------------------------------------------------
 glib/gutils.h    |   38 +---
 5 files changed, 30 insertions(+), 624 deletions(-)

commit 409d93148f2d95c2966f75fe0901edd1e06c99a9
Author: Dan Winship <danw@gnome.org>
Date:   Sat Oct 15 15:52:28 2011 -0400

    gutils: Add functions for working with environment arrays

    When spawning a child process, it is not safe to call setenv() before
    the fork() (because setenv() isn't thread-safe), but it's also not
    safe to call it after the fork() (because it's not async-signal-safe).
    So the only safe way to alter the environment for a child process from
    a threaded program is to pass a fully-formed envp array to
    exec*/g_spawn*/etc.

    So, add g_environ_getenv(), g_environ_setenv(), and
    g_environ_unsetenv(), which act like their namesakes, but work on
    arbitrary arrays rather than working directly on the environment.

    http://bugzilla.gnome.org/show_bug.cgi?id=659326

 docs/reference/glib/glib-sections.txt |    3 +
 glib/glib.symbols                     |    3 +
 glib/gspawn.h                         |   36 ++++--
 glib/gutils.c                         |  204
 ++++++++++++++++++++++++++++-----
 glib/gutils.h                         |   27 +++--
 5 files changed, 225 insertions(+), 48 deletions(-)

commit 5ff803d91f252bfeb4a9cfaf2f94ecdea6e6a687
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Oct 15 13:27:46 2011 -0400

    Add to the pitfalls: fork() and daemon()

 glib/gthread.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit ef6371ff746e618eabd301b237b4e4a620ca5e47
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Oct 15 11:03:07 2011 -0400

    tests/Makefile.am: remove unused LDFLAGS variable

 tests/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 6651bd221e4d9316884b4fad3c3e9943695ab639
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 15 13:04:20 2011 -0400

    Expand thread docs a bit

    Add some discussion of pitfalls of threaded programming.

 glib/gthread.c |   41 +++++++++++++++++++++++++++++++++++++----
 1 files changed, 37 insertions(+), 4 deletions(-)

commit e4699af8eb384cac336a36db6b97722d021e1cbf
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 15 11:37:03 2011 -0400

    Documentation tweaks

 glib/gthread.c |   66
 ++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 41 insertions(+), 25 deletions(-)

commit 55654fc8adb1cb2f907aa0228631951860dc6dda
Author: Fran Dieguez <fran@openhost.es>
Date:   Sat Oct 15 16:29:50 2011 +0200

    Updaged Galician translations

 po/gl.po |  824
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 422 insertions(+), 402 deletions(-)

commit 3fe3fdd75abb313fc43b58ebd4a71dcfe8bab32f
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Oct 15 09:48:42 2011 -0400

    Check for "our" threads in some places

    Don't allow g_thread_join() to be called on or g_thread_exit() to be
    called from within threads that were not created by GLib.  Document
    this.

 glib/gthread.c |   20 +++++++++++++++++---
 1 files changed, 17 insertions(+), 3 deletions(-)

commit 11f3684b715ef35dd97ad108c7116260c7c4cdc2
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Oct 15 09:48:22 2011 -0400

    gtk-doc g_thread_ref() and g_thread_unref()

 glib/gthread.c |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit e75e9c30446157b52013644fdc5fd406733027b9
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Oct 15 09:48:10 2011 -0400

    Rename g_thread_try to g_thread_try_new

 docs/reference/glib/glib-sections.txt |    2 +-
 glib/glib.symbols                     |    2 +-
 glib/gthread.c                        |   18 +++++++++---------
 glib/gthread.h                        |    2 +-
 glib/gthreadpool.c                    |    2 +-
 glib/tests/thread.c                   |    4 ++--
 6 files changed, 15 insertions(+), 15 deletions(-)

commit 4417e77f17902e8a4d782979b187f23f6b86bf9e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 15 00:56:08 2011 -0400

    Add atomic test to TEST_PROGS

 glib/tests/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 482bb387484c3febb6f7b01326cb6ab66d900f91
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 15 00:26:02 2011 -0400

    Documentation additions

 glib/deprecated/gthread-deprecated.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 8bc8cd7aa05900dcfad943b91c3720caa7b611ee
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 15 00:09:20 2011 -0400

    Improve test coverage

 glib/tests/Makefile.am |    3 ++
 glib/tests/mainloop.c  |   58
 ++++++++++++++++++++++++++++++++++++++++++++++-
 glib/tests/strfuncs.c  |   15 ++++++++++++
 3 files changed, 74 insertions(+), 2 deletions(-)

commit 52321def8f187eb1586c8989c407b473e19cf2e6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Oct 14 23:20:06 2011 -0400

    Add a test involving g_thread_ref/unref

    Also, fix the resource-limit test to properly unset RLIMIT_NPROC.

 glib/tests/thread.c |   17 +++++++++++++++--
 1 files changed, 15 insertions(+), 2 deletions(-)

commit 81431fa5b8093ea15533a41cd46c5569941fe99a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Oct 14 23:12:06 2011 -0400

    Add g_thread_try to the docs

 docs/reference/glib/glib-sections.txt |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d000bf67f70f83bd37ae078b38cf83ee7d3c6447
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Oct 14 23:01:05 2011 -0400

    Update doc lists

 docs/reference/glib/glib-sections.txt |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 5ddcc284e801a84a455bfecca18dbc68dd91439b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Oct 14 23:00:17 2011 -0400

    Minor doc clarifications

 glib/gthread.c |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit a6da2b9ff91f0b8782a243e342e17a0ace415c11
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Oct 14 21:52:36 2011 -0400

    Mention thread API changes in README

 README.in |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

commit 4359cbd810e29f964aae16fb186d2ad2fe331189
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Oct 14 21:43:51 2011 -0400

    I read the news today, oh boy...

 NEWS |  201
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 201 insertions(+), 0 deletions(-)

commit 7ab25865f229ad8d98a067b590319bfdd988e50e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Oct 14 19:41:08 2011 -0400

    Stop checking for fork() across GMainContext

    01ed78d525cf2f8769022e27cc2573ec7ba123b3 introduced assertion
    checks for
    creating a main context, forking, and attempting to use the main
    context
    from the child side of the fork.

    Some code (such as gnome-keyring-daemon) daemonise after calling
    GMainContext.  That's probably still mostly safe since we still only
    have one side of the fork touching the context afterwards.

    This use case is still troubling, however, since if any worker threads
    have been created at the time of the fork(), we could end up in the
    classic situation of leaving some mutexes in a locked state when the
    other threads disappear from the copy of the image that the child
    gets.

    This will require some deeper thinking...

 glib/gmain.c |   14 --------------
 1 files changed, 0 insertions(+), 14 deletions(-)

commit 51773c6c64431c03242a6f3d12d44f99282c815c
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Oct 14 13:02:58 2011 -0400

    Mask all signals in GLib worker thread

    Some code using GLib (gnome-keyring-daemon, for example) assumes that
    they can catch signals by masking them out in the main thread and
    calling sigwait() from a worker.

    The problem is that our new worker thread catches the signals before
    sigwait() has a chance and the default action occurs (typically
    resulting in program termination).

    If we mask all the signals in our worker, then this can't happen.

 docs/reference/glib/tmpl/macros_misc.sgml |   15 +++++++++++++++
 glib/gmain.c                              |   11 +++++++++++
 2 files changed, 26 insertions(+), 0 deletions(-)

commit 1ed88f0615d1be4d629f3f1933ec5b249cb6429e
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Thu Oct 13 22:33:21 2011 +0200

    desktop-app-info: Add support for X-GNOME-Keywords

    With search gaining traction as being the preferred way to locate
    applications, the existing .desktop file fields meant for browsing
    often produce insufficient results.
    gnome-control-center introduced a custom X-GNOME-Keywords field for
    that purpose, which we plan to support in gnome-shell as well.

    https://bugzilla.gnome.org/show_bug.cgi?id=661763

 docs/reference/gio/gio-sections.txt |    1 +
 gio/gdesktopappinfo.c               |   21 +++++++++++++++++++++
 gio/gdesktopappinfo.h               |    1 +
 gio/gio.symbols                     |    1 +
 4 files changed, 24 insertions(+), 0 deletions(-)

commit 14e3b128237279d895128e4d611cd12c604a67d4
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Oct 14 00:00:14 2011 -0400

    g_cond_timed_wait: support NULL time parameter

    It was undocumented, but this used to mean "wait forever".  Looks like
    we have some uses of this internally and there may be others in the
    wild...

 glib/deprecated/gthread-deprecated.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 4033c616ff23eb1e647a0b0cd13ac54f28e1242b
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Oct 13 23:24:23 2011 -0400

    GCond: use monotonic time for timed waits

    Switch GCond to using monotonic time for timed waits by introducing a
    new API based on monotonic time in a gint64: g_cond_wait_until().

    Deprecate the old API based on wallclock time in a GTimeVal.

    Fix up the gtk-doc for GCond while we're at it: update the examples to
    use static-allocated GCond and GMutex and clarify some things a bit.
    Also explain the rationale behind using an absolute time instead of a
    relative time.

 docs/reference/glib/glib-sections.txt |    2 +-
 glib/deprecated/gthread-deprecated.c  |   46 ++++++++++
 glib/deprecated/gthread.h             |   12 ++-
 glib/glib.symbols                     |    2 +-
 glib/gthread-posix.c                  |  150
 ++++++++++++++++++---------------
 glib/gthread-win32.c                  |   30 +------
 glib/gthread.c                        |   42 ++++++----
 glib/gthread.h                        |    5 +-
 8 files changed, 168 insertions(+), 121 deletions(-)

commit fd382156b80a0ba848d6de7e009337fdb32221d9
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Oct 13 10:51:35 2011 -0400

    tests: disable deprecation warnings for tests

    We need to test deprecated functions, so don't warn us for doing so.

 tests/Makefile.am          |    5 +++--
 tests/gobject/Makefile.am  |    1 +
 tests/refcount/Makefile.am |    1 +
 3 files changed, 5 insertions(+), 2 deletions(-)

commit 3ebdb4d46a97790e0d93db3e2411b44e46da0159
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Oct 13 09:14:57 2011 -0400

    gutils: stop using GStaticPrivate

    This was our last internal use.

 glib/gutils.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 62fe0532685a592c760d98c791379dea4d79fbe1
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Oct 13 09:00:54 2011 -0400

    Revert "make struct _GThread private"

    This reverts commit d904612100120d12126f1a6623a106d8a5b02fa6.

    glibmm touches the contents of GThread, so this broke their build.

 glib/deprecated/gthread.h |    9 +++++++++
 glib/gthreadprivate.h     |    9 ---------
 2 files changed, 9 insertions(+), 9 deletions(-)

commit d904612100120d12126f1a6623a106d8a5b02fa6
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Oct 13 01:24:16 2011 -0400

    make struct _GThread private

    Hide the definition of struct _GThread in gthreadprivate.h for now.

    This is possibly an API break -- although the structure contents were
    undocumented and it was not safe to access them in a meaningful way,
    someone may have tried to do it anyway.  We'll leave it here for
    a while
    to see if it causes any problems.

    Avoid merging its contents with GRealThread for now, just incase
    we need
    to expose it again.

 glib/deprecated/gthread.h |    9 ---------
 glib/gthreadprivate.h     |    9 +++++++++
 2 files changed, 9 insertions(+), 9 deletions(-)

commit b1cc2579c199c6568e1bf5cef1aab7633f99824f
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Oct 13 01:22:51 2011 -0400

    tidy up gthreadprivate.h

    Remove some unused includes, too.

 glib/deprecated/gthread-deprecated.c |    1 +
 glib/gthreadprivate.h                |   40
 ++++++++++++++-------------------
 2 files changed, 18 insertions(+), 23 deletions(-)

commit 332f74a2fc40da5d8f9313020468ed27e56b2b14
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Oct 13 01:17:36 2011 -0400

    drop g_thread_new_full()

    We'll hold out on this until someone has a really convincing
    reason for
    why they need to control the stack size.

    If we do decide to add it back, it should probably have a name like
    _new_with_stack_size(), not _full().

 glib/deprecated/gthread-deprecated.c |    2 +-
 glib/deprecated/gthread.h            |    2 +-
 glib/glib.symbols                    |    1 -
 glib/gthread.c                       |   51
 +++------------------------------
 glib/gthread.h                       |    5 ---
 glib/tests/thread.c                  |    6 ++--
 6 files changed, 10 insertions(+), 57 deletions(-)

commit 430c5635f245ca485f09035f1b6c3a59dd69758c
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Oct 13 01:00:57 2011 -0400

    g_thread_new: never fail

    Remove the GError argument from g_thread_new() and abort on failure.
    Introduce g_thread_try() for those who want to handle failure.

 gio/gdbusprivate.c                  |    5 +---
 gio/tests/contexts.c                |    2 +-
 gio/tests/gdbus-export.c            |    7 +-----
 gio/tests/gdbus-peer.c              |   14 +++--------
 gio/tests/gdbus-proxy-threads.c     |    4 +--
 gio/tests/gdbus-test-codegen.c      |    3 +-
 gio/tests/gdbus-threading.c         |   24 +++-----------------
 gio/tests/resolver.c                |    4 +--
 gio/tests/send-data.c               |    4 +--
 gio/tests/socket-client.c           |    4 +--
 gio/tests/socket-server.c           |    4 +--
 gio/tests/socket.c                  |    3 +-
 gio/tests/tls-interaction.c         |    3 +-
 gio/tests/unix-streams.c            |    4 +-
 glib/glib.symbols                   |    1 +
 glib/gmain.c                        |    6 +----
 glib/gthread.c                      |   40
 +++++++++++++++++++++++++++++++---
 glib/gthread.h                      |    3 ++
 glib/gthreadpool.c                  |    2 +-
 glib/tests/once.c                   |    2 +-
 glib/tests/thread.c                 |    6 ++--
 gobject/tests/dynamictests.c        |    2 +-
 gthread/tests/1bit-mutex.c          |    3 +-
 gthread/tests/atomic.c              |    2 +-
 gthread/tests/gwakeuptest.c         |    2 +-
 gthread/tests/spawn-multithreaded.c |    6 +---
 26 files changed, 73 insertions(+), 87 deletions(-)

commit 015f4b4513279c4be40c03121473ffcea347ed84
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Oct 13 00:43:33 2011 -0400

    thread: nuke the concept of 'joinable'

    And remove the 'joinable' argument from g_thread_new() and
    g_thread_new_full().

    Change the wording in the docs.  Clarify expectations for
    (deprecated) g_thread_create().

 gio/gdbusprivate.c                   |    1 -
 gio/tests/contexts.c                 |    2 +-
 gio/tests/gdbus-export.c             |    1 -
 gio/tests/gdbus-peer.c               |    4 ---
 gio/tests/gdbus-proxy-threads.c      |    2 +-
 gio/tests/gdbus-test-codegen.c       |    1 -
 gio/tests/gdbus-threading.c          |    4 ---
 gio/tests/resolver.c                 |    8 +++++-
 gio/tests/send-data.c                |    6 +++-
 gio/tests/socket-client.c            |    6 +++-
 gio/tests/socket-server.c            |    6 +++-
 gio/tests/socket.c                   |    2 +-
 gio/tests/tls-interaction.c          |    2 +-
 gio/tests/unix-streams.c             |    4 +-
 glib/deprecated/gthread-deprecated.c |   24 ++++++++++++-----
 glib/gmain.c                         |    2 +-
 glib/gthread.c                       |   48
 ++++++++++------------------------
 glib/gthread.h                       |    2 -
 glib/gthreadpool.c                   |   13 +++++----
 glib/gthreadprivate.h                |   14 +++++-----
 glib/tests/once.c                    |    2 +-
 glib/tests/thread.c                  |   12 ++++----
 gobject/tests/dynamictests.c         |    2 +-
 gthread/tests/1bit-mutex.c           |    4 +-
 gthread/tests/atomic.c               |    2 +-
 gthread/tests/gwakeuptest.c          |    2 +-
 gthread/tests/spawn-multithreaded.c  |    3 +-
 27 files changed, 87 insertions(+), 92 deletions(-)

commit b0e73ca390d0f22baccc3636dd4d2e8e9cb0f58f
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Oct 13 00:29:04 2011 -0400

    GThread: make refcounting public

 glib/glib.symbols |    2 ++
 glib/gthread.c    |   12 +++++++++++-
 glib/gthread.h    |    2 ++
 3 files changed, 15 insertions(+), 1 deletions(-)

commit 62be9365d9641073185c28c8f0a8fe06fb9a92e0
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Oct 13 00:18:17 2011 -0400

    thread: simplify 'free' process

    GThread is freed using some very slightly confusing logic: if
    the thread
    was created 'joinable', then the structure is freed after the join()
    call succeeds (since we know the thread has exited).  If the
    thread was
    not created 'joinable' then the free is when the thread quits
    (since we
    know 'join' will not be called later).

    Move to a straight ref-counting system: 1 ref owned by the thread
    and 1
    extra ref if the thread is joinable.  Both thread quit and joining
    will
    decrease the refcount by 1.

 glib/gthread.c        |   40 ++++++++++++++++++----------------------
 glib/gthreadprivate.h |    1 +
 2 files changed, 19 insertions(+), 22 deletions(-)

commit becb4b820f84badac9eaee4e123c8a0ef41a9ba3
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Oct 13 00:01:28 2011 -0400

    remove 'joinable' parameter to backends

    Both backends are now oblivious to the concept of joinability,
    so don't
    bother passing the parameter.

 glib/gthread-posix.c  |    1 -
 glib/gthread-win32.c  |    1 -
 glib/gthread.c        |    2 +-
 glib/gthreadprivate.h |    1 -
 4 files changed, 1 insertions(+), 4 deletions(-)

commit dbf20d585fd53c612a1dd8ef07275d2affcf7fc0
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 23:40:02 2011 -0400

    posix threads: joinable tweaks

    Make the POSIX backend a little bit more like the win32 one in
    terms of
    how we deal with joinability.

    Calling g_system_thread_join() is now optional, and
    g_system_thread_wait() can be safely called by multiple threads.

    There is no longer any internal concept of joinability.

 glib/gthread-posix.c |   24 +++++++++++++++++++-----
 1 files changed, 19 insertions(+), 5 deletions(-)

commit f970dfc73471f2108bc21c10e4714eafea70315c
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 23:25:12 2011 -0400

    tests: don't #include <sys/resource.h> on win32

 glib/tests/thread.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 45736d33bb0a855cfa1aa07453c7af0d26996e9b
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 23:22:31 2011 -0400

    win32 threads: simplify

    Merge the GThreadData with the GThreadWin32 struct.  Drop the
    extra TLS
    variable.

    Close the handle on _free(), which means that there is no leak if
    g_system_thread_join() isn't called.

    Remove all internal concept of joinability.

 glib/gthread-win32.c |   57
 ++++++++------------------------------------------
 1 files changed, 9 insertions(+), 48 deletions(-)

commit dfd466979be8ab93d7c569c3e5199a02d03671e8
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 23:16:49 2011 -0400

    Only g_system_thread_free() our own threads

    Keep track of if we created a thread for ourselves or if the GThread*
    was allocated in response to g_thread_self() on a previously-unknown
    thread.

    Only call g_system_thread_free() in the first case.

 glib/gthread.c        |   21 +++++++++++++--------
 glib/gthreadprivate.h |    2 ++
 2 files changed, 15 insertions(+), 8 deletions(-)

commit a5800ef336661e51db019d7bc4b98b184b06ba86
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 23:04:15 2011 -0400

    Finish killing off GSystemThread

 configure.ac               |   14 --------------
 glib/deprecated/gthread.h  |   13 +++++++++++--
 glib/glibconfig.h.win32.in |   16 ----------------
 glib/gthreadprivate.h      |    1 -
 4 files changed, 11 insertions(+), 33 deletions(-)

commit e0c9757b9b0d7074923f96716adb3bff07b32349
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 22:53:52 2011 -0400

    win32 threads: use our own data, not system_thread

    Stop using the generic system_thread field in GRealThread.
    Use our own
    pointer instead.

 glib/gthread-win32.c |   24 +++++++++++++++++-------
 1 files changed, 17 insertions(+), 7 deletions(-)

commit 67e28068e14428afe8335a1503ea7d734419326d
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 22:49:39 2011 -0400

    win32: fix function name clash

 glib/gthread-win32.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2010f7f95554df5654e6ee626f76189a0712dbfe
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 22:40:37 2011 -0400

    posix threads: use our own system_thread

    Wrap GRealThread in a GThreadPosix that includes its own pthread_t
    field
    called "system_thread" and use that instead of the generic field in
    GRealThread.

 glib/gthread-posix.c |   24 +++++++++++++++++-------
 1 files changed, 17 insertions(+), 7 deletions(-)

commit 2f5486f02040b0d5cfc67eb97bd037a0ffd86635
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 22:35:35 2011 -0400

    thread creation: Simplify error handling

    Instead of always returning non-NULL and finding out about errors via
    the GError*, return NULL from the backend in the event of an error.

 glib/gthread-posix.c |    5 +++--
 glib/gthread-win32.c |    3 ++-
 glib/gthread.c       |   23 +++++++++--------------
 3 files changed, 14 insertions(+), 17 deletions(-)

commit e14a3746db8c9979b3d9840602be5f79af501605
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 22:29:13 2011 -0400

    Combine g_sytem_thread_{new,create}()

 glib/gthread-posix.c  |   24 ++++++++++--------------
 glib/gthread-win32.c  |   25 ++++++++++---------------
 glib/gthread.c        |   11 ++++-------
 glib/gthreadprivate.h |   12 +++++-------
 4 files changed, 29 insertions(+), 43 deletions(-)

commit a3f82c847f8f9dc7931bc9c81f95205e2178ab49
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 22:23:12 2011 -0400

    g_system_thread_create: drop 'data' arg

    Since it's now always the same as the 'thread' arg.

 glib/gthread-posix.c  |    3 +--
 glib/gthread-win32.c  |    3 +--
 glib/gthread.c        |    2 +-
 glib/gthreadprivate.h |    1 -
 4 files changed, 3 insertions(+), 6 deletions(-)

commit 3237eaf5d527ecccae51b490d9cfbbf7e6b8538c
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 22:19:28 2011 -0400

    g_system_thread_create: SystemThread -> RealThread

    Just like g_system_thread_wait().

 glib/gthread-posix.c  |    4 ++--
 glib/gthread-win32.c  |    4 ++--
 glib/gthread.c        |    2 +-
 glib/gthreadprivate.h |    2 +-
 4 files changed, 6 insertions(+), 6 deletions(-)

commit 6613b2f8fdc9d7422b124b69231c3f4b93c744c3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 12 22:29:18 2011 -0400

    Move more docs inline

 docs/reference/glib/tmpl/.gitignore    |    1 +
 docs/reference/glib/tmpl/messages.sgml |  300
 --------------------------------
 glib/gmessages.c                       |  268
 ++++++++++++++++++++++++++++
 3 files changed, 269 insertions(+), 300 deletions(-)

commit dc3727cc5f4f4c9939e010722ea28e152cf9b324
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 22:15:46 2011 -0400

    g_system_thread_join: rename to _wait()

 glib/gthread-posix.c  |    2 +-
 glib/gthread-win32.c  |    2 +-
 glib/gthread.c        |    2 +-
 glib/gthreadprivate.h |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 4bb968e3358db98a4ad41ce7e72cf62f4458053d
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 22:14:38 2011 -0400

    g_system_thread_join: take GRealThread *

    Make g_system_thread_join take the GRealThread* instead of a
    GSystemThread.

 glib/gthread-posix.c  |    4 ++--
 glib/gthread-win32.c  |    4 ++--
 glib/gthread.c        |    2 +-
 glib/gthreadprivate.h |    3 ++-
 4 files changed, 7 insertions(+), 6 deletions(-)

commit e064c9bfeca33b59627e7e1ee43d805713fde280
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 22:03:14 2011 -0400

    thread: delegate allocation of GThread to backends

    Add g_system_thread_new() and g_system_thread_free(), implemented with
    GSlice.  Use those instead of g_new() and g_free().

    Presently, the backends are both doing the same thing.  This will
    change
    soon.

 glib/gthread-posix.c  |   12 ++++++++++++
 glib/gthread-win32.c  |   12 ++++++++++++
 glib/gthread.c        |    8 ++++----
 glib/gthreadprivate.h |    5 +++++
 4 files changed, 33 insertions(+), 4 deletions(-)

commit 75ea14e885322ea1241315e070b2cdd68645e267
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 12 21:48:34 2011 -0400

    Move GScanner docs inline

 docs/reference/glib/tmpl/.gitignore   |    1 +
 docs/reference/glib/tmpl/scanner.sgml |  607
 ---------------------------------
 glib/gscanner.c                       |  472 +++++++++++++++++++++++++-
 3 files changed, 471 insertions(+), 609 deletions(-)

commit d537726ded76eb470a78d41418579b8652c4ae8b
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 21:47:25 2011 -0400

    thread: stop sharing g_once_mutex

    Unrelated code shouldn't be sharing the same mutex for no good
    reason --
    particularly not across a file boundary.

 glib/deprecated/gthread-deprecated.c |    9 +++++----
 glib/gthread.c                       |    2 +-
 glib/gthreadprivate.h                |    2 --
 3 files changed, 6 insertions(+), 7 deletions(-)

commit 8cff9c57b1cbb443aa4063d8624af8a7bb392b75
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 21:44:07 2011 -0400

    thread: drop thread setup function hackery

    Use a custom proxy function for the deprecated case instead.

    Now GRealThread has strictly zero members dedicated to deprecated
    functionality.

 glib/deprecated/gthread-deprecated.c |   15 +++++++++++++--
 glib/gthread.c                       |   17 ++++++-----------
 glib/gthreadprivate.h                |    7 ++++---
 3 files changed, 23 insertions(+), 16 deletions(-)

commit 2da83bbd36efd4adb1f4c036fe4793befbb8d120
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 12 19:55:02 2011 -0400

    Deprecate GCache

    Ryan said it would be 'deprecated soon in GLib', when he removed
    the use of this in GTK+. That was a year ago, so its about time
    we act on it.

 docs/reference/glib/glib-docs.sgml |    2 +-
 glib/Makefile.am                   |    4 +-
 glib/deprecated/gcache.c           |  345
 ++++++++++++++++++++++++++++++++++++
 glib/deprecated/gcache.h           |   73 ++++++++
 glib/gcache.c                      |  331
 ----------------------------------
 glib/gcache.h                      |   70 --------
 glib/glib.h                        |    2 +-
 7 files changed, 422 insertions(+), 405 deletions(-)

commit 39ae59c47e2fbed30da725041b4cad552bea82c7
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 18:35:45 2011 -0400

    thread: Delete g_system_thread_self()

    It's no longer used for anything at all.

 glib/gthread-posix.c  |    6 ------
 glib/gthread-win32.c  |   23 -----------------------
 glib/gthreadprivate.h |    1 -
 3 files changed, 0 insertions(+), 30 deletions(-)

commit a90a4b967fde1c2d7c7d6d978a797731adb25057
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 18:33:07 2011 -0400

    thread: reduce use of system_thread

    The use of system_thread is now limited to joining.  We don't do that
    for threads that we didn't create for ourselves, so we don't need to
    call g_system_thread_self() to fill in system_thread for those.

 glib/gthread.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit b7f05063710ff5bfd0e7f3722687eb63c0709ac3
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 18:27:06 2011 -0400

    thread: hide g_static_rec_mutex_get_rec_mutex_impl

    Unlike with GStaticMutex, this function was never part of the pre-2.32
    ABI, so we should keep it tucked in.

 glib/deprecated/gthread-deprecated.c |    2 +-
 glib/gconvert.c                      |    6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 1f34ef4117559f268257d902dd48ea91b3d4993e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 18:25:40 2011 -0400

    missed from last commit

 glib/gthreadprivate.h |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 47e20ed3ac5206c8aa83f7d307d9802328eed05f
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 18:24:48 2011 -0400

    thread: remove GSystemThread assign/equal

    These are no longer in use.

 glib/gthread-posix.c  |    7 -------
 glib/gthread-win32.c  |    7 -------
 glib/gthreadprivate.h |    9 ---------
 3 files changed, 0 insertions(+), 23 deletions(-)

commit 903705edf2e33384914688ee30ea118486cb537c
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 18:23:20 2011 -0400

    thread: remove dead decl from gthreadprivate.h

    This function hasn't existed for a while...

 glib/gthreadprivate.h |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit ed35d2719ba60fe36032db6eae5e07cd45b4fe1c
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 18:22:31 2011 -0400

    thread: Remove the zero_thread

    This was only used for redundant assertion checks.

 glib/deprecated/gthread-deprecated.c |    2 --
 glib/gthread.c                       |    8 +-------
 glib/gthreadprivate.h                |    1 -
 3 files changed, 1 insertions(+), 10 deletions(-)

commit 2b281e40f32b7916d856dcc95e6f8fe625fcff03
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 11 11:08:48 2011 -0400

    GStaticRecMutex: implement via GRecMutex

    Instead of doing our own hacked-up version.

    This also reduces use of GSystemThread.

 glib/deprecated/gthread-deprecated.c |  128
 +++++++++++++++-------------------
 1 files changed, 57 insertions(+), 71 deletions(-)

commit 96904b679061d78da65bf0dd0b331f4a3c754b3d
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 17:01:33 2011 -0400

    thread: use GSList for g_thread_foreach list

    ...instead of having a 'next' pointer in the GThread struct.

    Now GThread contains no fields used only by deprecated code
    (except for
    the rather generic setup function field).

 glib/deprecated/gthread-deprecated.c |   28 ++++++++--------------------
 glib/gthreadprivate.h                |    1 -
 2 files changed, 8 insertions(+), 21 deletions(-)

commit 9ca4f142641e6c756e48555c7dc0ea8780000359
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 16:50:43 2011 -0400

    thread: call g_enumerable_thread_add via callback

    There are no longer any functions defined in gthread-deprecated.c
    called
    from gthread.c.

 glib/deprecated/gthread-deprecated.c |  123
 +++++++++++++++++-----------------
 glib/gthread.c                       |   21 +++---
 glib/gthreadprivate.h                |   22 +++---
 3 files changed, 83 insertions(+), 83 deletions(-)

commit f788a2e5e1f7c9898675d3876367e2cf7d55f386
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 12 16:26:39 2011 -0400

    thread: use GPrivate for enumerable threads

    Use a GPrivate to track the destruction of enumerable threads
    and remove
    them from the list.

 glib/deprecated/gthread-deprecated.c |   27 ++++++++++++++++-----------
 glib/gthread.c                       |   11 +++--------
 glib/gthreadprivate.h                |    1 -
 3 files changed, 19 insertions(+), 20 deletions(-)

commit 1368533dc2c117202d11acdde27724a0301ad301
Author: Colin Walters <walters@verbum.org>
Date:   Wed Oct 12 15:25:12 2011 -0400

    gvariant: Doc typo fix

 glib/gvariant.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 15b9f64004e7377dabad7b9a03dae094df51a0e4
Author: Colin Walters <walters@verbum.org>
Date:   Wed Oct 12 15:22:09 2011 -0400

    gvariant: Briefly mention limits

 glib/gvariant.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 0af48a5d7b9504dd190d497963a14d8f7a4942ed
Author: Dan Winship <danw@gnome.org>
Date:   Wed Oct 12 13:59:33 2011 -0400

    gthread-deprecated: add a mising "static" to a method

 glib/deprecated/gthread-deprecated.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 95cab96515d84a9bc5dd731ea6eee08d7e786f50
Author: Dan Winship <danw@gnome.org>
Date:   Wed Oct 12 13:57:44 2011 -0400

    giomodule: make the default_modules mutex recursive

    It is possible for _g_io_module_get_default() to be called recursively
    (eg, if a module of one type is loaded that tries to look up gsettings
    from its init() method and ends up causing the gsettings module to be
    loaded). So use a recursive mutex.

 gio/giomodule.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 71cf70b39cd3859ac4cb4954c369bda731a61171
Author: Dan Winship <danw@gnome.org>
Date:   Tue Oct 11 15:38:37 2011 -0400

    Simplify checks for CLOCK_MONOTONIC

    Remove the complicated configure-time and runtime checks, and just use
    CLOCK_MONOTONIC if it's defined.

    https://bugzilla.gnome.org/show_bug.cgi?id=661421

 configure.ac |   15 ----------
 glib/gmain.c |   84
 +++++++++++++++++++++++----------------------------------
 2 files changed, 34 insertions(+), 65 deletions(-)

commit daede1dc27bbf28d2cbefc2fac22e0f917a23952
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 12 00:37:02 2011 -0400

    Disable deprecations where appropriate in tests

 glib/tests/unix.c                   |    4 ----
 gobject/tests/boxed.c               |    2 ++
 gobject/tests/dynamictests.c        |    3 +--
 gobject/tests/param.c               |    1 +
 gobject/tests/threadtests.c         |    2 +-
 gthread/tests/1bit-mutex.c          |    4 +---
 gthread/tests/642026.c              |    8 ++------
 gthread/tests/atomic.c              |    4 +---
 gthread/tests/gwakeuptest.c         |    4 +---
 gthread/tests/spawn-multithreaded.c |    6 ++----
 gthread/tests/spawn-singlethread.c  |    2 --
 11 files changed, 12 insertions(+), 28 deletions(-)

commit bcdb865c597b9201b717f0d4b420e73a2393e5ff
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 12 00:37:02 2011 -0400

    Disable deprecations where appropriate in tests

 glib/tests/cache.c      |    3 +++
 glib/tests/cond.c       |    3 +++
 glib/tests/date.c       |    3 +++
 glib/tests/fileutils.c  |    4 ++++
 glib/tests/mainloop.c   |   38 ++++++++++++++++++++++++++++++++++++++
 glib/tests/mappedfile.c |    2 ++
 glib/tests/mutex.c      |    3 +++
 glib/tests/once.c       |    2 +-
 glib/tests/private.c    |    5 +++--
 glib/tests/rec-mutex.c  |    3 +++
 glib/tests/rwlock.c     |    3 +++
 glib/tests/strfuncs.c   |    6 +++---
 glib/tests/string.c     |    3 +++
 glib/tests/thread.c     |    2 --
 glib/tests/tree.c       |    3 +++
 glib/tests/unicode.c    |    3 +++
 16 files changed, 78 insertions(+), 8 deletions(-)

commit 7455dd370eb37ce3b0b409ff6120501f37b50569
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 12 00:24:46 2011 -0400

    Make single includes mandatory

    This has been the official line since 2.17, which seems plenty
    long enough for a transition phase.

 README.in                          |    3 +++
 configure.ac                       |    2 --
 docs/reference/glib/compiling.sgml |    8 ++------
 glib/galloca.h                     |    2 +-
 glib/garray.h                      |    2 +-
 glib/gasyncqueue.h                 |    2 +-
 glib/gatomic.h                     |    2 +-
 glib/gbacktrace.h                  |    2 +-
 glib/gbase64.h                     |    2 +-
 glib/gbitlock.h                    |    2 +-
 glib/gbookmarkfile.h               |    2 +-
 glib/gcache.h                      |    2 +-
 glib/gchecksum.h                   |    2 +-
 glib/gconvert.h                    |    2 +-
 glib/gdataset.h                    |    2 +-
 glib/gdate.h                       |    2 +-
 glib/gdatetime.h                   |    2 +-
 glib/gdir.h                        |    2 +-
 glib/gerror.h                      |    2 +-
 glib/gfileutils.h                  |    2 +-
 glib/ghash.h                       |    2 +-
 glib/ghmac.h                       |    2 +-
 glib/ghook.h                       |    2 +-
 glib/giochannel.h                  |    2 +-
 glib/gkeyfile.h                    |    2 +-
 glib/glist.h                       |    2 +-
 glib/gmacros.h                     |    2 +-
 glib/gmain.h                       |    2 +-
 glib/gmappedfile.h                 |    2 +-
 glib/gmarkup.h                     |    2 +-
 glib/gmem.h                        |    2 +-
 glib/gmessages.h                   |    2 +-
 glib/gnode.h                       |    2 +-
 glib/goption.h                     |    2 +-
 glib/gpattern.h                    |    2 +-
 glib/gprimes.h                     |    2 +-
 glib/gqsort.h                      |    2 +-
 glib/gquark.h                      |    2 +-
 glib/gqueue.h                      |    2 +-
 glib/grand.h                       |    2 +-
 glib/gregex.h                      |    2 +-
 glib/gscanner.h                    |    2 +-
 glib/gsequence.h                   |    2 +-
 glib/gshell.h                      |    2 +-
 glib/gslice.h                      |    2 +-
 glib/gslist.h                      |    2 +-
 glib/gspawn.h                      |    2 +-
 glib/gstrfuncs.h                   |    2 +-
 glib/gstring.h                     |    2 +-
 glib/gstringchunk.h                |    2 +-
 glib/gtestutils.h                  |    2 +-
 glib/gthread.h                     |    2 +-
 glib/gthreadpool.h                 |    2 +-
 glib/gtimer.h                      |    2 +-
 glib/gtimezone.h                   |    2 +-
 glib/gtree.h                       |    2 +-
 glib/gtypes.h                      |    2 +-
 glib/gunicode.h                    |    2 +-
 glib/gurifuncs.h                   |    2 +-
 glib/gutils.h                      |    2 +-
 glib/gvariant.h                    |    2 +-
 glib/gvarianttype.h                |    2 +-
 glib/gwin32.h                      |    2 +-
 63 files changed, 65 insertions(+), 68 deletions(-)

commit 9bb5a55bda83c58ddbd0381693d98c7a2f701d01
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 11 23:13:22 2011 -0400

    GStaticPrivate: implement via GPrivate

    Thanks to the modifications in
    3d4846d92309d001697c2827660fa41b5c63dbc4,
    GStaticPrivate is not so directly tied in with GThread anymore.  It is
    now a simple matter to cut it out completely by using a GPrivate to
    store the GArray instead of storing it in the GThread.

 glib/deprecated/gthread-deprecated.c |   49
 +++++++++++++++------------------
 glib/gthread.c                       |    4 ---
 glib/gthreadprivate.h                |    2 -
 3 files changed, 22 insertions(+), 33 deletions(-)

commit c6016458ba2a981ccd72f02208f8140abde6c9d1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 11 23:50:34 2011 -0400

    Update deprecation docs

 docs/reference/glib/compiling.sgml |   17 ++++++++++++++---
 1 files changed, 14 insertions(+), 3 deletions(-)

commit 3d282dcc2ef1dba36e67f91d8a6c5f589ce249ea
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 11 23:44:43 2011 -0400

    Silence deprecations in deprecated/ (again)

 glib/deprecated/gallocator.c         |    5 +++++
 glib/deprecated/gcompletion.c        |    3 +++
 glib/deprecated/grel.c               |    3 +++
 glib/deprecated/gthread-deprecated.c |    7 +------
 4 files changed, 12 insertions(+), 6 deletions(-)

commit f5f242caf80d96a6ec057fc746e5d53a34de7077
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 11:23:49 2011 +0800

    Update VS projects

    Get rid of _CRT_SECURE_NO_WARNINGS and _CRT_NONSTDC_NO_WARNINGS
    from the preprocessor definitions as those two macros are now defined
    in msvc_recommended_pragmas.h, which is force-included in these
    projects
    via the property sheets.  This will silence C4005 warnings on macro
    redefinition.

 build/win32/vs10/glib-compile-schemas.vcxproj      |    8 ++++----
 build/win32/vs10/gsettings.vcxproj                 |    8 ++++----
 .../win32/vs10/gspawn-win32-helper-console.vcxproj |    8 ++++----
 build/win32/vs10/gspawn-win32-helper.vcxproj       |    8 ++++----
 build/win32/vs10/testglib.vcxproj                  |    8 ++++----
 build/win32/vs9/glib-compile-schemas.vcproj        |    8 ++++----
 build/win32/vs9/gsettings.vcproj                   |    8 ++++----
 build/win32/vs9/gspawn-win32-helper-console.vcproj |    8 ++++----
 build/win32/vs9/gspawn-win32-helper.vcproj         |    8 ++++----
 build/win32/vs9/testglib.vcproj                    |    8 ++++----
 10 files changed, 40 insertions(+), 40 deletions(-)

commit b93d6ab83a0cddce0a3847984a91a2819df61130
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 10:53:30 2011 +0800

    Bug 661438: Update msvc_recommended_pragmas.h

    Don't disable warning C4996 as that is the Visual C++ warning
    triggered by
    __declspec(deprecated) and __declspec(deprecated('..."))-disabling
    that
    warning will defeat the purpose of G_DPRECATED/G_DEPRECATED_FOR.

    For people who don't want to see the GLib deprecation warnings
    during GLib
    compilation, define GLIB_DISABLE_DEPRECATION_WARNINGS in the
    projects or
    property sheet.

 msvc_recommended_pragmas.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 36ccdab760003fc1efd2f49e77932cb253f006f4
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 10:38:47 2011 +0800

    Bug 661438: Fix up gmacros.h a bit

    The macro here should be G_DEPRECATED, not G_GNUC_DEPRECATED.

 glib/gmacros.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 17c713d3f6322e2e968e1f7774f1009bac6881c2
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 10:37:24 2011 +0800

    Update VS property sheets

    Missed the new glib/gstringchunk.h header that needed to be
    installed as
    well.

 build/win32/vs10/glib.props  |    2 ++
 build/win32/vs9/glib.vsprops |    1 +
 2 files changed, 3 insertions(+), 0 deletions(-)

commit 380ec80d07218123b8274ace506274f36af7c445
Author: Dan Winship <danw@gnome.org>
Date:   Tue Oct 11 19:28:59 2011 -0400

    g_time_val_from_iso8601: clarify the docs a bit

 glib/gtimer.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit baa394910b23bfa7162c2571d83d1c196522c636
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 11 18:39:57 2011 -0400

    gmain: use GPrivate instead of GStaticPrivate

 glib/gmain.c |   25 +++++++++++++------------
 1 files changed, 13 insertions(+), 12 deletions(-)

commit b3e39140621228788cedd2f6ce7fa03b0fef4664
Author: Dan Winship <danw@gnome.org>
Date:   Tue Oct 11 15:36:42 2011 -0400

    Fix two tests for G_DEBUG=gc-friendly

 glib/tests/array-test.c |    9 ++++-----
 glib/tests/protocol.c   |    6 +++++-
 2 files changed, 9 insertions(+), 6 deletions(-)

commit 08d6e1147d2e6e3abf85ae7a399c689609a7b761
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Oct 11 14:34:59 2011 +0800

    Use GLIB_DEPRECATED instead of G_GNUC_DEPRECATED in our headers

    This will let others opt out of seeing GLib deprecation warnings
    by defining GLIB_DISABLE_DEPRECATION_WARNINGS.

    https://bugzilla.gnome.org/show_bug.cgi?id=661438

 gio/gdrive.h                  |    7 ++-
 gio/gfile.h                   |   14 +++-
 gio/gmount.h                  |   14 +++-
 gio/gtlsconnection.h          |    5 +-
 gio/gunixsocketaddress.h      |    6 +-
 gio/gvolume.h                 |    7 ++-
 glib/deprecated/gcompletion.h |   22 ++++--
 glib/deprecated/grel.h        |   32 ++++++---
 glib/deprecated/gthread.h     |  149
 +++++++++++++++++++++++++++-------------
 glib/gasyncqueue.h            |    7 ++-
 glib/gatomic.h                |    3 +-
 glib/gcache.h                 |    3 +-
 glib/gdate.h                  |    3 +-
 glib/gfileutils.h             |    3 +-
 glib/giochannel.h             |   15 +++-
 glib/gmain.h                  |    3 +-
 glib/gmappedfile.h            |    3 +-
 glib/gstrfuncs.h              |   13 +++-
 glib/gstring.h                |    6 +-
 glib/gtree.h                  |    3 +-
 glib/gunicode.h               |    3 +-
 glib/gutils.h                 |    3 +-
 gobject/gboxed.h              |    3 +-
 gobject/gobject.h             |    3 +-
 gobject/gparam.h              |    3 +-
 gobject/gvaluetypes.h         |    8 ++-
 26 files changed, 231 insertions(+), 110 deletions(-)

commit a1acf35653ac5d437bdd8dce1b2b56333b005c0c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 11 13:33:07 2011 -0400

    Add our own deprecation macros

    This will allow to suppress deprecation warnings on a per-module
    basis, if needed. They are on by default now, though.

 docs/reference/glib/glib-sections.txt |    2 ++
 glib/gmacros.h                        |   14 ++++++++++++++
 2 files changed, 16 insertions(+), 0 deletions(-)

commit 0da0411a4a2f9efde4f8fc3d6bf504ee488c2e4a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 11 13:06:58 2011 -0400

    Add better deprecation macros

    Unlike G_GNUC_... macros, the new G_DEPRECATED[_FOR] are
    meant as abstractions that work with different compilers.
    Using a new name also lets us restrict it to 'must be placed
    before the declaration', which works with more compilers.

    https://bugzilla.gnome.org/show_bug.cgi?id=661438

 docs/reference/glib/glib-sections.txt |    4 ++++
 glib/gmacros.h                        |   17 +++++++++++++++++
 2 files changed, 21 insertions(+), 0 deletions(-)

commit a73113908f310c8ccc532d04f4cf4b4625860962
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Oct 11 18:04:07 2011 +0800

    Update VS property sheets

    Copy the deprecated headers in their appropriate places.

 build/win32/vs10/glib.props  |   15 +++++++++++----
 build/win32/vs9/glib.vsprops |    8 ++++++--
 2 files changed, 17 insertions(+), 6 deletions(-)

commit 0e71214bef4038316f96a12dfcf7b2635c94e5b1
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Oct 11 14:19:02 2011 +0800

    glibconfig.win32(.in): Cleanup cruft

    The definitions of _GMutex* and G_STATIC_MUTEX_INIT is now found in
    glib/deprecated/gthread.h, and should no longer be in the mainline
    code, so remove them from here.

 glib/glibconfig.h.win32.in |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 3e5a30fc17ee071254d7c2a70e1713d554e4a1ad
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Oct 10 13:13:31 2011 -0400

    GStaticMutex: ABI fixup

    Everything was OK as long as GMutex was backed by pthread_mutex_t on
    POSIX.  Since this is no longer the case, the ABI of GStaticMutex was
    broken.

    Fix that up by using pthread_mutex_t directly in the structure.  Since
    that's potentially incompatible with our GMutex implementation, set
    g_thread_use_default_impl to FALSE to cause the fallback code (which
    manually allocates a GMutex) to run, even in the case of
    already-existing code (without the need for a recompile).  This will
    cause the pthread_mutex_t part of the struct to be completely ignored.

 glib/deprecated/gthread-deprecated.c |   13 ++++++++-----
 glib/deprecated/gthread.h            |   25 +++++++++++++------------
 2 files changed, 21 insertions(+), 17 deletions(-)

commit 2c1cbde21e24be0e0ae1e20ad772b03255e96c53
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 10 11:10:20 2011 -0400

    Compile private test with -pthread on UNIX

    We are using explicit pthread calls here, so we should
    use the right linker flags for that.

    https://bugzilla.gnome.org/show_bug.cgi?id=661318

 glib/tests/Makefile.am |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 93e49aea1b5563c90f1c5152ab9cb65f19329891
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 10 09:49:50 2011 -0400

    Don't use deprecated GThread API in gio tests

 gio/tests/async-close-output-stream.c |    1 -
 gio/tests/contexts.c                  |    3 +-
 gio/tests/echo-server.c               |    1 -
 gio/tests/gdbus-connection-loss.c     |    1 -
 gio/tests/gdbus-export.c              |    9 ++++---
 gio/tests/gdbus-non-socket.c          |    1 -
 gio/tests/gdbus-peer.c                |   37
 +++++++++++++++++---------------
 gio/tests/gdbus-proxy-threads.c       |    5 ++-
 gio/tests/gdbus-test-codegen.c        |    9 ++++---
 gio/tests/gdbus-threading.c           |   37
 +++++++++++++++++---------------
 gio/tests/httpd.c                     |    1 -
 gio/tests/resolver.c                  |    2 +-
 gio/tests/send-data.c                 |    3 +-
 gio/tests/socket-client.c             |    4 +--
 gio/tests/socket-server.c             |    4 +--
 gio/tests/socket.c                    |    2 +-
 gio/tests/tls-interaction.c           |    3 +-
 gio/tests/unix-streams.c              |    5 +--
 gio/tests/win32-streams.c             |    5 +--
 19 files changed, 64 insertions(+), 69 deletions(-)

commit 5662619f22073e8d7ceec5429c36aae7bb9cf8ea
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Oct 10 07:53:16 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  765
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 382 insertions(+), 383 deletions(-)

commit 918954e089c9c1aea0019e4dc8a73f994d8bdf83
Author: Algimantas Margevičius <gymka@mail.ru>
Date:   Sun Oct 9 22:00:49 2011 +0300

    Updated Lithuanian translation

 po/lt.po | 1777
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 879 insertions(+), 898 deletions(-)

commit 5e2764d70cbd9f556fe4d873897e2d4a174a98a7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 9 09:57:13 2011 -0400

    Silence deprecation warnings in deprecated/

    We know we are all deprecated here...

 glib/deprecated/gthread-deprecated.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit ff2dafb20999d0b00ee599f998ef00ea514e4482
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 8 23:49:04 2011 -0400

    Add G_GNUC_DEPRECATED to deprecated functions in gio

 gio/gdesktopappinfo.h    |    3 ++-
 gio/gdrive.h             |   12 ++++++------
 gio/gfile.h              |   24 ++++++++++++------------
 gio/gmount.h             |    8 ++++----
 gio/gtlsconnection.h     |    4 ++--
 gio/gunixsocketaddress.h |    8 ++++----
 gio/gvolume.h            |   12 ++++++------
 7 files changed, 36 insertions(+), 35 deletions(-)

commit 93b3f6477e1670536d9d208e1d51d682a81d3d65
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 8 23:23:43 2011 -0400

    Add G_GNUC_DEPRECATED to deprecated functions in gobject

 gobject/gboxed.h      |    2 +-
 gobject/gobject.h     |    2 +-
 gobject/gparam.h      |    2 +-
 gobject/gvaluetypes.h |   10 +++++-----
 4 files changed, 8 insertions(+), 8 deletions(-)

commit f9b29ca0343a23d8eaa0aa41034169b95405383e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 8 23:16:01 2011 -0400

    Add G_GNUC_DEPRECATED to deprecated APIs in glib

 glib/deprecated/gcompletion.h |   20 ++++++------
 glib/deprecated/grel.h        |   20 ++++++------
 glib/deprecated/gthread.h     |   66
 ++++++++++++++++++++--------------------
 glib/gasyncqueue.h            |    4 +-
 glib/gatomic.h                |    2 +-
 glib/gcache.h                 |    2 +-
 glib/gdate.h                  |    2 +-
 glib/gfileutils.h             |    2 +-
 glib/giochannel.h             |   22 +++++++-------
 glib/gmain.h                  |    2 +-
 glib/gmappedfile.h            |    2 +-
 glib/gstrfuncs.h              |   14 ++++----
 glib/gstring.h                |    4 +-
 glib/gtree.h                  |    2 +-
 glib/gunicode.h               |    2 +-
 glib/gutils.h                 |    2 +-
 16 files changed, 84 insertions(+), 84 deletions(-)

commit 30b320b61c34f953bf7b7bbc27d978c321fe1c4d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 8 12:43:12 2011 -0400

    Add some GHookList tests

 glib/tests/Makefile.am |    3 ++
 glib/tests/hook.c      |   95
 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+), 0 deletions(-)

commit 6109db27aec99f456c5bbda27bd4afe851b5bcff
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 8 12:42:41 2011 -0400

    Test a few more GIOChannel functions

 glib/tests/protocol.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit d33f625444c28cd1c6313410d639360141dfd16b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 8 12:42:06 2011 -0400

    Remove a bit of dead code

 glib/gmarkup.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit b3ead3c998931b11d6d413474bba4866d6afd29d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 8 12:41:38 2011 -0400

    Pass G_DEBUG=g-gc-friendly when running the tests

 Makefile.decl |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d5a1ca8fd751c6f0a28ad3990259976f23954a34
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Oct 6 09:01:24 2011 -0400

    Add some more GMarkup tests

 glib/tests/markups/fail-41.expected  |    1 +
 glib/tests/markups/fail-41.gmarkup   |    3 +++
 glib/tests/markups/fail-42.expected  |    1 +
 glib/tests/markups/fail-42.gmarkup   |    5 +++++
 glib/tests/markups/fail-43.expected  |    1 +
 glib/tests/markups/fail-43.gmarkup   |    1 +
 glib/tests/markups/fail-44.expected  |    3 +++
 glib/tests/markups/fail-44.gmarkup   |    1 +
 glib/tests/markups/fail-45.expected  |    3 +++
 glib/tests/markups/fail-45.gmarkup   |    1 +
 glib/tests/markups/fail-46.expected  |    2 ++
 glib/tests/markups/fail-46.gmarkup   |    2 ++
 glib/tests/markups/fail-47.expected  |    1 +
 glib/tests/markups/fail-47.gmarkup   |    1 +
 glib/tests/markups/fail-48.expected  |    1 +
 glib/tests/markups/fail-48.gmarkup   |    2 ++
 glib/tests/markups/fail-49.expected  |    3 +++
 glib/tests/markups/fail-49.gmarkup   |    1 +
 glib/tests/markups/valid-12.expected |    5 +++++
 glib/tests/markups/valid-12.gmarkup  |    3 +++
 glib/tests/markups/valid-13.expected |    4 ++++
 glib/tests/markups/valid-13.gmarkup  |    3 +++
 glib/tests/markups/valid-14.expected |   30
 ++++++++++++++++++++++++++++++
 glib/tests/markups/valid-14.gmarkup  |   24 ++++++++++++++++++++++++
 24 files changed, 102 insertions(+), 0 deletions(-)

commit 08e17ae51b6336d059b0cc85071cc26772ab2f0c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Oct 6 08:59:51 2011 -0400

    Call setlocale in markup-parse test

    This is necessary to make utf-8 text come out properly.

 glib/tests/markup-parse.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 87cb246f4627a7644d0291e1ae131fa2e628fde9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 5 23:36:35 2011 -0400

    Improve GNode test coverage

 glib/tests/node.c |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit dca6a601c13798dde689cab7f9ac67db2765ae2d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 5 23:31:14 2011 -0400

    Improve GCache test coverage

 glib/tests/cache.c |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)

commit eeedaac3e8306403c9359edd8e4baea6a22153ed
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 5 23:24:27 2011 -0400

    Improve coverage of string function tests

 glib/tests/strfuncs.c |   30 ++++++++++++++++++++++++++++++
 1 files changed, 30 insertions(+), 0 deletions(-)

commit 944f66f38fa24c657c192e7d72ca2508020f68dd
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 5 23:24:08 2011 -0400

    Improve coverage of GHmac tests

 glib/tests/hmac.c |   50
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 50 insertions(+), 0 deletions(-)

commit d9e9239a4659c972279955e77d0351e664613e70
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 5 23:00:09 2011 -0400

    Add a test for g_date_time_new_from_timeval_utc

 glib/tests/gdatetime.c |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)

commit c739a5df14ff5ee8cf262ce6e1cebdd0096aff5a
Author: Antoine Jacoutot <ajacoutot@openbsd.org>
Date:   Sat Oct 8 11:47:20 2011 +0200

    gio: enable test_peer regression test for OpenBSD

    https://bugzilla.gnome.org/show_bug.cgi?id=661255

 gio/tests/gdbus-peer.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 3c4d3dec092609bb8e8bf77dcaea5ad9ddfb4ed3
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Oct 7 14:20:03 2011 -0400

    GDBusConnection: Make pending calls error when the connection is lost

    If the connection to the bus is lost while a method call is ongoing,
    the method call does not get cancelled. Instead it just sits around
    until it times out.

    This is visible here on XO laptops when stopping the display manager
    during shutdown. imsettings starts sending a sync message to give up
    its bus name (via g_bus_unown_name()), then systemd terminates the
    session bus at approximately the same time. imsettings then hangs for
    about 20 seconds before timing out the message.

     http://lists.freedesktop.org/archives/dbus/2011-September/014717.html

    imsettings behaviour could be improved as described in that thread,
    but I think this is a glib bug. I've also come up with the attached
    patch which fixes it.

    Credits for the bug-fix goes to Daniel Drake <dsd@laptop.org>. The
    test
    case was written by David Zeuthen <zeuthen@gmail.com>.

    https://bugzilla.gnome.org/show_bug.cgi?id=660637

    Signed-off-by: David Zeuthen <davidz@redhat.com>

 gio/gdbusconnection.c             |   42 ++++++++--
 gio/tests/Makefile.am             |    4 +
 gio/tests/gdbus-connection-loss.c |  155
 +++++++++++++++++++++++++++++++++++++
 3 files changed, 194 insertions(+), 7 deletions(-)

commit edcac1ee419116327aee73435f7442f2201752e6
Author: John Ralls <jralls@ceridwen.us>
Date:   Fri Oct 7 09:51:04 2011 -0700

    Bug 661129: Duplicate symbols zero_thread and g_once_mutex on OSX

 glib/gthreadprivate.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 59f1f5465571bac403357b59cf7bfe2723356a37
Author: Dan Winship <danw@gnome.org>
Date:   Wed Oct 5 10:46:57 2011 -0400

    Add g_main_context_ref_thread_default()

    Add g_main_context_ref_thread_default(), which always returns a
    reffed GMainContext, rather than sometimes returning a (non-reffed)
    GMainContext, and sometimes returning NULL. This simplifies the
    bookkeeping in any code that needs to keep a reference to the
    thread-default context for a while.

    https://bugzilla.gnome.org/show_bug.cgi?id=660994

 docs/reference/glib/glib-sections.txt |    1 +
 gio/gdbus-2.0/codegen/codegen.py      |    7 +---
 gio/gdbusconnection.c                 |   46
 ++++++++++++--------------------
 gio/gdbusinterfaceskeleton.c          |    7 +---
 gio/gdbusnameowning.c                 |   17 +++++------
 gio/gdbusnamewatching.c               |   17 +++++------
 gio/gdbusserver.c                     |    9 ++----
 gio/gfilemonitor.c                    |    5 +--
 gio/gioscheduler.c                    |    7 +---
 gio/gsettings.c                       |    7 +----
 gio/gsimpleasyncresult.c              |    9 +-----
 gio/gtlsinteraction.c                 |    7 +---
 glib/glib.symbols                     |    1 +
 glib/gmain.c                          |   34 +++++++++++++++++++++++-
 glib/gmain.h                          |    1 +
 15 files changed, 84 insertions(+), 91 deletions(-)

commit d91769b64160353b4f9861cb68a97a0171b323ad
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Oct 7 10:14:10 2011 +0200

    Updated Spanish translation

 po/es.po |  936
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 481 insertions(+), 455 deletions(-)

commit 97b0b36ae39d5eb087315259ff56c799271b28c3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Oct 7 01:19:15 2011 -0400

    USE __COUNTER__ instead of __LINE__ when available

    I've seen builds fail with

    nm-connection.c:119:691: error: declaration of
    '_GStaticAssertCompileTimeAssertion_119' shadows a previous local
    [-Werror=shadow]

    because several compile-time assertions ended up on the same
    line. __COUNTER__ is meant specifically for the purpose of
    constructing identifiers, so use it when available.

 glib/gmacros.h |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit c51fa1852dc7c661dc5d46355303d97a521e0a0c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Oct 7 00:42:52 2011 -0400

    Don't redundantly redeclare

    It makes gcc throw an error:

    redundant redeclaration of 'g_static_mutex_get_mutex_impl'
    [-Werror=redundant-decls]

 glib/deprecated/gthread.h |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit e76927006a6886b92e73eb25b5ed559485a83af0
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Oct 6 12:24:21 2011 -0400

    Move G_LOCK below GMutex in the docs

    The flow is currently a bit wrong since G_LOCK makes reference
    to GMutex
    which was not yet defined, so switch things around.

 docs/reference/glib/glib-sections.txt |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 761e75f84966e58f9a40ddae6ca3bc497c45afbe
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Oct 6 12:21:33 2011 -0400

    .gitignore

 docs/reference/glib/tmpl/.gitignore |   16 +++++++++-------
 1 files changed, 9 insertions(+), 7 deletions(-)

commit 083812f8546230deef08a63f2064c293438b3802
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Oct 6 12:19:58 2011 -0400

    Several docs cleanups

 docs/reference/glib/glib-sections.txt |    8 ++++++++
 glib/deprecated/gthread-deprecated.c  |   11 +++++++++++
 glib/gthread.h                        |    1 +
 glib/gvariant.h                       |    2 +-
 4 files changed, 21 insertions(+), 1 deletions(-)

commit 94b7d2ee6cb9f1e0416c82e2bf0615fd2d0c848a
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Oct 6 12:01:53 2011 -0400

    Cleanup thread documentation

 docs/reference/glib/Makefile.am        |    3 +
 docs/reference/glib/glib-docs.sgml     |    9 ++-
 docs/reference/glib/glib-overrides.txt |    2 +-
 docs/reference/glib/glib-sections.txt  |   92
 +++++++++++++++--------------
 glib/deprecated/gthread-deprecated.c   |   18 ++++++
 glib/gthread-posix.c                   |   40 +++++++------
 glib/gthread.c                         |  101
 +++++--------------------------
 7 files changed, 114 insertions(+), 151 deletions(-)

commit 49b93a0bba1d2a837e5ea8f299464aa7ecd02321
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 6 16:02:18 2011 +0800

    gobjet/gclosure.c: Fix styling issues

    ...so that it looks more consistent with the rest.

 gobject/gclosure.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e80d8f0c2304ca471e6643dec846153307eee0fa
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 6 15:37:52 2011 +0800

    gobject/gclosure.c: Add type cast for int_val = value

    This will silence compiler warnings on Visual C++.

    (Sorry for the bad fix just now.)

 gobject/gclosure.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d77f65d24dbdff40052e2346861eb420af9718ad
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 6 15:33:34 2011 +0800

    Revert "gobject/gclosure.c: Made up for missed pointer deref"

    This reverts commit d792a1ebe445cfab942ee9e079daa3b87bd60304.

 gobject/gclosure.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d792a1ebe445cfab942ee9e079daa3b87bd60304
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 6 15:24:08 2011 +0800

    gobject/gclosure.c: Made up for missed pointer deref

    The value parameter is a gpointer * (void **), but ffi_arg itself
    is not a
    pointer type, so make up for dereference here.

 gobject/gclosure.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ed03047a5be48995be01e217d3f942619dedc030
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 6 15:12:22 2011 +0800

    gthread-deprecated.c: Include gutils.h

    This is needed for declaration of inline.

 glib/deprecated/gthread-deprecated.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit eb17516a6731acf7347e9f72ee81651c59087232
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 6 15:02:54 2011 +0800

    config.h.win32(.in): Update for strcasecmp

    Visual C++ uses _stricmp, which is identical to strcasecmp on gcc.

 config.h.win32.in |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit 3636cf2c640ab0b6a7c3b9d2358332bb52f4dc6e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 5 22:43:22 2011 -0400

    Update threads docs for the demise of g_thread_init()

 glib/gthread.c |   35 ++++++++++++++++-------------------
 1 files changed, 16 insertions(+), 19 deletions(-)

commit 47c7fa2ccd9baad00da95fcc9a3dc6c2ef222747
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 5 22:31:17 2011 -0400

    Remove mention of gthread-2.0.pc from 'Compiling' section

    At the same time, add one or two other corrections.

 docs/reference/glib/compiling.sgml |   55
 +++++++++++++++++++++---------------
 1 files changed, 32 insertions(+), 23 deletions(-)

commit 749758ec78b84ca577947fecca0ea54b790fd529
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 5 22:23:25 2011 -0400

    Add a warning to g_thread_init_with_errorcheck_mutexes

    Should anybody try to use this, we should at least tell them that
    its gone.

 gthread/gthread-impl.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 8e82225aedf81ea8a33deb3eb27a8878cd606521
Author: Dan Williams <dcbw@redhat.com>
Date:   Fri Sep 23 12:32:23 2011 -0500

    closure: fix handling of ENUMs and integral return types on 64-bit
    BE platforms

    enums are stored in v_long but need to be marshalled as signed
    integers.  On platforms where int is 32 bits, taking the
    address of v_long resulted in the wrong 32 bits being marshalled.
    So we need to stuff the enum's int-sized value to a temporary
    int-sized variable and marshall that instead.

    Second, on return, libffi actually returns a pointer to a value
    that's sized according to platform conventions, not according to
    what the caller requested.  ie if ffi_type_sint was requested, the
    value can still be a 64-bit sign-extended long on a 64-bit
    architecture like PPC64, thus the caller cannot simply cast
    the return value as a pointer to the desired type, but must cast
    as a pointer to an integral type and then cast to the desired
    type to remove any sign extension complications.

    For more information on how to correctly handle libffi return
    values, see the following bug, specifically comment 35:

    https://bugzilla.redhat.com/show_bug.cgi?id=736489

    "For 64-bit ABIs that extend integral returns types to 64-bits,
    libffi always
    returns full 64-bit values that you can truncate in the calling code.
    It's
    just the way it is has always been.  Please don't change libffi.
    I'll document
    this clearly for the next version (perhaps there is a mention of
    this, I
    haven't looked yet).

    The same is true for returning 8-bit values, for instance, on
    32-bit systems.
    All ABIs extend those results to the full 32-bits so you need to
    provide a
    properly aligned buffer that's big enough to hold the result."

    https://bugzilla.gnome.org/show_bug.cgi?id=659881

 gobject/gclosure.c |   76
 ++++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 59 insertions(+), 17 deletions(-)

commit c3133affcd55023a5e9cfbd87ec96e04a13c8e86
Author: Colin Walters <walters@verbum.org>
Date:   Wed Oct 5 11:27:45 2011 -0400

    gmacros: Hide G_STATIC_ASSERT from g-ir-scanner

    The C syntax here is twisted and confuses the scanner.  We don't
    need to see it, so let's just skip it.

    https://bugzilla.gnome.org/show_bug.cgi?id=660413

 glib/gmacros.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 9560423a6ea05d6f34b5ee8533974b8f41ab03fc
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Oct 5 13:16:05 2011 -0400

    Be sure to #include "gutils.h" in gbacktrace.c

    0e3f530185d494dbb9db1b47f72f10f3ae598564 introduced a compiler warning
    about implicit declaration of g_get_prgname().  Fix that.

    Problem caught and fix suggested by Rico Tzschichholz.

 glib/gbacktrace.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f34908ef1555c8c579b0154e17932b84af04b81f
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Oct 5 12:33:55 2011 -0400

    GDBus: Regenerate code when the codegen or options passed to it
    changes

    https://bugzilla.gnome.org/show_bug.cgi?id=660498

    Signed-off-by: David Zeuthen <davidz@redhat.com>

 gio/gdbus-2.0/codegen/Makefile.am                  |    2 +-
 gio/tests/Makefile.am                              |    2 +-
 gio/tests/gdbus-object-manager-example/Makefile.am |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 7ca83c6c9f369a88df98a86810596bb9efc73736
Author: Dan Winship <danw@gnome.org>
Date:   Wed Oct 5 11:45:51 2011 -0400

    Fix up some doc comments that referred to threads not being enabled

    (and a few other unrelated comment fixes)

 gio/gasyncresult.c       |    6 ------
 gio/gioscheduler.c       |    2 +-
 gio/giotypes.h           |    6 +-----
 gio/gresolver.c          |    3 +--
 gio/gsimpleasyncresult.c |    2 +-
 gio/gsocketservice.c     |   12 +++++++-----
 glib/glib-unix.c         |    6 ------
 glib/gmain.c             |    2 +-
 glib/gthreadpool.c       |    2 +-
 9 files changed, 13 insertions(+), 28 deletions(-)

commit af55ff5a2b604399aa216bd731df97cba4474ad0
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Oct 5 10:56:11 2011 -0400

    GDBus: disable two more GDBus tests using fork()

    Signed-off-by: David Zeuthen <davidz@redhat.com>

 gio/tests/gdbus-proxy.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 2b963266b68a3b14afcaa237ed41319c99949e43
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Oct 4 11:37:16 2011 -0400

    GDBusProxy: Correctly handle unknown members when having an expected
    interface

    Since it is valid for a D-Bus interface / service to add new methods,
    signals or properties we must NEVER warn about unknown properties or
    drop unknown signals or disallow unknown method invocations when we
    have an expected interface.

    So this means that the expected_interface machinery is only useful for
    checking that the service didn't break ABI.

    Also update the docs so it is clear exactly what it means to have an
    expected interface.

    https://bugzilla.gnome.org/show_bug.cgi?id=660886

    Signed-off-by: David Zeuthen <davidz@redhat.com>

 gio/gdbusproxy.c              |  165
 +++++++++++++++++++++++++----------------
 gio/tests/gdbus-proxy.c       |  147 ++++++++++++++++++++++++++++++++++--
 gio/tests/gdbus-testserver.py |   12 +++
 3 files changed, 253 insertions(+), 71 deletions(-)

commit 2f48b4b7fb4d2d1f758ce5a8064ab51ac3d17a12
Author: Dan Winship <danw@gnome.org>
Date:   Wed Oct 5 08:36:03 2011 -0400

    gthreadedresolver: remove a bit of cruft

    Remove a test that only made sense when GThreadedResolver was the base
    class for the two non-threaded resolver classes that no longer exist.

 gio/gthreadedresolver.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0e3f530185d494dbb9db1b47f72f10f3ae598564
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 4 01:25:26 2011 -0400

    Remove cruft from g_strerror and g_strsignal

    We can just assume that strerror/strsignal are available
    nowadays. At the same time, drop use of thread-private storage.
    Instead, always return interned strings.

    https://bugzilla.gnome.org/show_bug.cgi?id=660849

 configure.ac     |   33 ---
 glib/gstrfuncs.c |  627
 +++---------------------------------------------------
 2 files changed, 29 insertions(+), 631 deletions(-)

commit 5fef796126e2c74ccc619528414339cfb5dfcf9c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 5 01:04:42 2011 -0400

    Misc test coverage improvements

    https://bugzilla.gnome.org/show_bug.cgi?id=660849

 glib/tests/array-test.c |    6 +++++-
 glib/tests/fileutils.c  |    3 +++
 glib/tests/strfuncs.c   |    2 ++
 3 files changed, 10 insertions(+), 1 deletions(-)

commit ddbd4acdfbfd6766aaba2de5a3ff4c599dbf1b74
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 5 01:04:02 2011 -0400

    Need to check for prlimit

 configure.ac |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit ea4bc6008f3acdd90a7da490a0cbc15f62ba608b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 5 00:28:53 2011 -0400

    Add a test for thread creation failure

 glib/tests/thread.c |   36 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)

commit 08a6d812312c6d164844bb77dad203d7781139e5
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 20:31:33 2011 -0400

    gthread.h: a bunch of pointless whitespace changes

    Make it look pretty.

 glib/gthread.h |  223
 +++++++++++++++++++++++++++-----------------------------
 1 files changed, 107 insertions(+), 116 deletions(-)

commit 674543d091d0561f3b6a28b4326d21ac56f093c1
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 20:23:20 2011 -0400

    Move typedef GStaticPrivate to deprecated/

    This was missed in the earlier move.

 glib/deprecated/gthread.h |    1 +
 glib/gthread.h            |    1 -
 2 files changed, 1 insertions(+), 1 deletions(-)

commit 69c0b4440eabd5898066b36caccac9a34d783a78
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 19:09:43 2011 -0400

    Deprecate g_{mutex,cond}_{new,free}()

    Now that we have _init() and _clear(), these old calls are no longer
    useful.

    https://bugzilla.gnome.org/show_bug.cgi?id=660739

 glib/deprecated/gthread-deprecated.c |   84
 ++++++++++++++++++++++++++++++++++
 glib/deprecated/gthread.h            |    4 ++
 glib/gthread.c                       |   72 -----------------------------
 glib/gthread.h                       |    4 --
 4 files changed, 88 insertions(+), 76 deletions(-)

commit 26a6b3c6ff4ee086f72612930d3134df90980211
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 20:07:31 2011 -0400

    gdbusprivate: fix a missed g_mutex_free()

    This should have been changed to g_mutex_clear()

 gio/gdbusprivate.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6f343ca548af912e7ea6b0a35f5e12c8cb820126
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 19:04:41 2011 -0400

    Remove g_mutex_new()/g_cond_new() in testcases

    These were the last users of the dynamic allocation API.

    Keep the uses in glib/tests/mutex.c since this is actually meant
    to test
    the API (which has to continue working, even if it is deprecated).

    https://bugzilla.gnome.org/show_bug.cgi?id=660739

 gio/tests/contexts.c         |   30 +++++++++++++++---------------
 gio/tests/tls-interaction.c  |   28 ++++++++++++++++------------
 gobject/tests/dynamictests.c |   12 +++++-------
 gobject/tests/threadtests.c  |   27 ++++++++++++---------------
 tests/mainloop-test.c        |   30 ++++++++++++++----------------
 tests/memchunks.c            |   25 +++++++++----------------
 tests/onceinit.c             |   31 +++++++++++++++----------------
 tests/slice-concurrent.c     |   13 +++++--------
 tests/slice-test.c           |    2 --
 tests/thread-test.c          |   14 ++++++--------
 10 files changed, 97 insertions(+), 115 deletions(-)

commit 9793708931640df4d89f87d16678508d417fd1e6
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 18:52:55 2011 -0400

    drop errorcheck mutex test

    We don't support errorchecking mutexes in GLib anymore.

 tests/.gitignore              |    1 -
 tests/Makefile.am             |    1 -
 tests/errorcheck-mutex-test.c |  131
 -----------------------------------------
 3 files changed, 0 insertions(+), 133 deletions(-)

commit 4d5fe2704834e5038aa7a05a54445336cff831b6
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 17:27:27 2011 -0400

    GVariant: add a clarification to the docs

    Add a note to the doc for g_viarnat_get_child_value() that the return
    value is non-floating and must be freed with g_variant_unref().

    https://bugzilla.gnome.org/show_bug.cgi?id=654412

 glib/gvariant-core.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 6b566e1d0b672e156c0cb80ceddc21b2f01deeaf
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 17:17:01 2011 -0400

    gtimer: remove warnings about threads

    GTimer no longer uses the thread system for time information and
    g_thread_init() no longer does anything, so remove the doubly-untrue
    warning about these topics.

    https://bugzilla.gnome.org/show_bug.cgi?id=527214

 glib/gtimer.c |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit e3be556728831b03b448819741f2c1c69f939294
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 16:52:03 2011 -0400

    end the glib-ctor experiment

    This was a bad approach.  We attempt to handle initailisation in
    a more
    centralised way now.

 glib/Makefile.am |    1 -
 glib/glib-ctor.h |   25 -------------------------
 glib/gmem.c      |    2 --
 3 files changed, 0 insertions(+), 28 deletions(-)

commit bb5d90a76806788c26a6a3ed2c8453b35cb8c86e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 16:36:53 2011 -0400

    Test that g_slice_set_config() works

    For a while it didn't work, due to the ctor-based initialisation of
    gslice.

    https://bugzilla.gnome.org/show_bug.cgi?id=660887

 glib/tests/.gitignore  |    1 +
 glib/tests/Makefile.am |    3 +++
 glib/tests/slice.c     |   28 ++++++++++++++++++++++++++++
 3 files changed, 32 insertions(+), 0 deletions(-)

commit 5bfb64d50704f334ae6692184e53de6dbb2e6be4
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 16:38:28 2011 -0400

    gslice: stop using ctors

    We can't initialise gslice from a ctor because g_slice_set_config()
    must
    be called before gslice initialisation.

    Instead, do the initialisation in a threadsafe way from the
    initialisation function for the thread private data.  This will
    only be
    called once per thread so the synchronisation doesn't pose a
    significant
    overhead here.

    Ensure that we try to grab the thread private data directly on
    entrance
    to g_slice_alloc() so that we force the initialisation to occur.
    Grabbing the private data is the common case anyway.

    https://bugzilla.gnome.org/show_bug.cgi?id=660887

 glib/gslice.c |   27 +++++++++++++++++++++------
 1 files changed, 21 insertions(+), 6 deletions(-)

commit f1512917e6e46e30000bcca2ebf06ef9d15b751d
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 16:08:27 2011 -0400

    win32: stop leaking GPrivate data

    Instead of running the GPrivate destructors from our thread proxy
    code,
    run it from the DllMain handler for the DLL_THREAD_DETACH case.

    This should ensure that thread-local data is free at the exit of all
    threads -- not just the ones we created for ourselves.

    https://bugzilla.gnome.org/show_bug.cgi?id=660745

 glib/glib-init.c     |    4 ++
 glib/glib-init.h     |    1 +
 glib/gthread-win32.c |   95
 ++++++++++++++++++++++++++------------------------
 3 files changed, 54 insertions(+), 46 deletions(-)

commit dd09a95543dd9e2156a635e81892d2c583177f08
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 16:02:16 2011 -0400

    Add GPrivate destroy notify testcase

    Ensure that GPrivate destroy notifies are properly called.

    This test currently fails on win32 (where we are leaking).

    https://bugzilla.gnome.org/show_bug.cgi?id=660745

 glib/tests/private.c |   52
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 52 insertions(+), 0 deletions(-)

commit 2e5cb6f52242a235f09d0b72954ed06591c01c06
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 15:44:48 2011 -0400

    win32 fixes from g_thread_init() deprecation

    I can't even begin to imagine how these fell through the cracks...

 glib/gmessages.c     |    4 ----
 glib/gthread-win32.c |    2 +-
 glib/gutils.c        |   23 +----------------------
 3 files changed, 2 insertions(+), 27 deletions(-)

commit 1bf01efb9f41a3b261e480f4cee0c3385ce3cfcb
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 15:34:15 2011 -0400

    gitignore

 glib/tests/.gitignore |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 47444dacc069be5984df4064ae382d45a9ae8c9e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 15:30:39 2011 -0400

    Deprecate g_thread_init()

    Move the last few things that needed thread-safe initialisation to a
    global ctor.

    https://bugzilla.gnome.org/show_bug.cgi?id=660744

 glib/Makefile.am                     |    2 +
 glib/deprecated/gthread-deprecated.c |   49 +++++++
 glib/deprecated/gthread.h            |   15 ++
 glib/glib-init.c                     |  246
 ++++++++++++++++++++++++++++++++++
 glib/glib-init.h                     |   38 +++++
 glib/gmain.c                         |    4 -
 glib/gmem.c                          |   54 +-------
 glib/gmessages.c                     |   87 +------------
 glib/grand.c                         |    2 -
 glib/gslice.c                        |    3 -
 glib/gstrfuncs.c                     |    2 -
 glib/gthread.c                       |   71 ----------
 glib/gthread.h                       |   14 --
 glib/gthreadpool.c                   |    1 -
 glib/gthreadprivate.h                |    3 -
 glib/gutils.c                        |   95 -------------
 glib/gwin32.c                        |    2 -
 gobject/gtype.c                      |    3 -
 gthread/gthread-impl.c               |   13 --
 19 files changed, 353 insertions(+), 351 deletions(-)

commit 310c3ed4cc733f47b88b44fb03757bd7213a4f9a
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Sep 21 21:20:07 2011 -0400

    Clean up process of calling g_debug_init()

    Make sure that it calls absolutely nothing that may ever recurse back
    into GLib again:

      - g_ascii_strcasecmp() is unsafe because it has g_return_if_fail()
      at
        the top.  As far as I know, the only ASCII character letter that
        would get special treatment here is "i" and that appears in
        neither
        "help" nor "all".

      - g_getenv() is very complicated on Windows, so use a simple version
        that is sufficient for our purposes.

    Now that it's completely safe, we can just call it from g_logv()
    in the
    usual way without all of the hacks.

    https://bugzilla.gnome.org/show_bug.cgi?id=660744

 glib/gmessages.c |   87
 +++++++++++++++++++++--------------------------------
 glib/gutils.c    |   16 ++++++----
 2 files changed, 45 insertions(+), 58 deletions(-)

commit 1481b7bca3c24149a2970758bc8762e1318f361e
Author: Dan Winship <danw@gnome.org>
Date:   Tue Jun 21 18:21:27 2011 -0400

    Add _g_io_module_get_default(), use to simplify other *_get_default()s

    Add _g_io_module_get_default(), which implements the
    figure-out-the-best-available-module-that-is-actually-usable logic,
    and use that to simplify g_proxy_resolver_get_default(),
    g_settings_backend_get_default(), g_tls_backend_get_default(), and
    g_vfs_get_default().

    https://bugzilla.gnome.org/show_bug.cgi?id=620932

 gio/giomodule-priv.h   |    5 ++
 gio/giomodule.c        |  127
 ++++++++++++++++++++++++++++++++++++++++++++++++
 gio/gproxyresolver.c   |   52 +------------------
 gio/gsettingsbackend.c |   63 ++++++++----------------
 gio/gtlsbackend.c      |   35 +------------
 gio/gvfs.c             |   53 +-------------------
 6 files changed, 161 insertions(+), 174 deletions(-)

commit 38d21f6d8a761cf211c0e0ca21c394b4824d13f2
Author: Dan Winship <danw@gnome.org>
Date:   Thu Sep 22 11:52:53 2011 -0400

    gsettingsbackend: remove useless check

    GMemorySettingsBackend is always present, so there's no need to check
    for "no backends available"

    https://bugzilla.gnome.org/show_bug.cgi?id=620932

 gio/gsettingsbackend.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit afa604f88179b4c95bdfe4e1819a93318f7b1d3f
Author: Dan Winship <danw@gnome.org>
Date:   Tue Oct 4 13:19:21 2011 -0400

    gio/tests/socket-client: fix a crash (and some indentation)

 gio/tests/socket-client.c |   23 ++++++++++++++++-------
 1 files changed, 16 insertions(+), 7 deletions(-)

commit 53fb4e986777ccad3b382151a23765c162a645c4
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Oct 4 23:52:38 2011 +0800

    Bug 660851: Update GIO for changes in GThread API

    gsocket.c: Use intern string instead of GStaticPrivate/
               g_static_private_set, as Dan suggested.

 gio/gsocket.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 82fae72ae9d68bcce23c47c9f7046a50bb226105
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 3 15:27:15 2011 +0100

    [gio] Improve doc for g_file_make_directory_with_parents()

    g_file_make_directory_with_parents() will fail for already
    existing directories, unlike g_mkdir_with_parents(), so mention
    this clearly in the docs.

    https://bugzilla.gnome.org/show_bug.cgi?id=660791

 gio/gfile.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 449a1e8bfd0ea7e8db1e3a436cf182b5cc71aa75
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 11:07:15 2011 -0400

    Fix an invalid non-looping use of GCond

    The GIOScheduler was using a GCond in a way that didn't deal with the
    possibility of spurious wakeups.  Add an explicit predicate and
    a loop.

    Problem caught by Matthias Clasen.

    https://bugzilla.gnome.org/show_bug.cgi?id=660739

 gio/gioscheduler.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit c474cd71ba3fe205865966c4a1467916597d43c4
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Oct 3 23:44:37 2011 -0400

    GIO: switch a couple more GMutex users to _init()

    Move a couple more GIO users off of _new()/_free() to
    _init()/_clear().

    https://bugzilla.gnome.org/show_bug.cgi?id=660739

 gio/gioscheduler.c    |   41 ++++++++++++++++++-----------------------
 gio/gtlsinteraction.c |   38 +++++++++++++++++++-------------------
 2 files changed, 37 insertions(+), 42 deletions(-)

commit e517fb6cb030c678918932aad5c0e63b4e0b1beb
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 11:52:47 2011 -0400

    Make G_ASSERT_STATIC work with clang

    A simplified variant of an approach proposed by Behdad.

    https://bugzilla.gnome.org/show_bug.cgi?id=660413

 glib/gmacros.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7d4dea748d74a648989fe5d62361c1b151725f61
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 00:09:53 2011 -0400

    GDBus codegen: generate code with embedded GMutex

    Modify GDBus code generator to emit code that uses GMutex embedded
    into
    the structure of the skeleton instead of a pointer.

    https://bugzilla.gnome.org/show_bug.cgi?id=660739

 gio/gdbus-2.0/codegen/codegen.py |   30 +++++++++++++++---------------
 1 files changed, 15 insertions(+), 15 deletions(-)

commit 8bcdabf25a16bfcbc14696849ecf34689022469b
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 00:02:36 2011 -0400

    GThreadedResolver: port to embedded GMutex/GCond

    This is the only case that was non trivial to port, due to some of the
    logic being based on checking the GCond* for being non-%NULL.

    https://bugzilla.gnome.org/show_bug.cgi?id=660739

 gio/gthreadedresolver.c |   41 ++++++++++++++++++++---------------------
 1 files changed, 20 insertions(+), 21 deletions(-)

commit 518feb45eb1522f3e80125372d78b225b4e2e6e1
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Oct 3 23:52:13 2011 -0400

    GMain, ThreadPool: embed GCond in struct

    Use an embedded GCond and g_cond_init()/clear() instead of a pointer
    with g_cond_new() and _free().

    https://bugzilla.gnome.org/show_bug.cgi?id=660739

 glib/gmain.c       |   24 ++++++++----------------
 glib/gthreadpool.c |   14 +++++---------
 2 files changed, 13 insertions(+), 25 deletions(-)

commit 19cd57d4f3d1da19b3792f6294d354c2b3c70b85
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Oct 3 23:33:57 2011 -0400

    GCancellable: use GCond and GMutex directly

    Use a statically-allocated GCond and directly use GMutex instead of
    making use of the undocumented G_LOCK_NAME() macro.

    https://bugzilla.gnome.org/show_bug.cgi?id=660739

 gio/gcancellable.c |   51
 +++++++++++++++++++++++++++------------------------
 1 files changed, 27 insertions(+), 24 deletions(-)

commit 5f48e2cde5cb2871abb4e07b16140f52244d36ff
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Oct 3 23:26:55 2011 -0400

    GDBus: switch to struct-embedded GMutex and GCond

    Now that we have those, we should use them.

    https://bugzilla.gnome.org/show_bug.cgi?id=660739

 gio/gdbusconnection.c          |   22 +++++-----
 gio/gdbusinterfaceskeleton.c   |   44 +++++++++++-----------
 gio/gdbusobjectmanagerclient.c |   58 ++++++++++++++--------------
 gio/gdbusobjectmanagerserver.c |   52 +++++++++++++-------------
 gio/gdbusobjectproxy.c         |   44 +++++++++++-----------
 gio/gdbusobjectskeleton.c      |   50 ++++++++++++------------
 gio/gdbusprivate.c             |   80
 ++++++++++++++++++++--------------------
 7 files changed, 175 insertions(+), 175 deletions(-)

commit e03db42792220e75fe7587f6c37493fd071e2b65
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Oct 4 13:56:30 2011 +0800

    gstringchunk.c: Include gutils.h

    This is due to usage of the inline keyword which may not be
    universally
    defined unless guils.h is included.

 glib/gstringchunk.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 13bd399d0a369cd62590777f8da6f3c3e7e21172
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 4 10:59:29 2011 -0400

    Add README notes about recent changes

 README.in |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 794c1a30bc27b4c8d77537813acb1213d5ac80f2
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Oct 3 14:40:00 2011 -0400

    macro wrappers for g_once_init_enter/leave

    Give the macro wrapper treatment to g_once_init_enter() and leave() in
    the same style that we did for gatomic.

    It is now possible to use these macros with any pointer-sized object,
    and not just gsize.  The leave() macro ensures that the initialisation
    result is a compatible type with the pointer that it is being written
    to.

    Just like with gatomic, there could be problems caused by use of
    (void*)
    casts.  We'll see how that goes, and reevaluate if necessary.

    https://bugzilla.gnome.org/show_bug.cgi?id=660743

 glib/deprecated/gthread-deprecated.c |    7 ++++++
 glib/deprecated/gthread.h            |    2 +
 glib/gthread.c                       |   15 +++++++-----
 glib/gthread.h                       |   40
 +++++++++++++++++++++------------
 glib/tests/once.c                    |   12 ++++++++++
 5 files changed, 55 insertions(+), 21 deletions(-)

commit 8f58c2c0c43fadc19463aec214b27bc41c6a1651
Author: Antoine Jacoutot <ajacoutot@openbsd.org>
Date:   Tue Oct 4 07:52:10 2011 +0200

    Fix DATADIRNAME on OpenBSD.

    On OpenBSD translation files are always installed under
    PREFIX/share/locale,
    there is no such thing as PREFIX/lib/locale; according to that, set
    DATADIRNAME to "share".

 m4macros/glib-gettext.m4 |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 037c91f845246b692acf5ff99c233b46514504ac
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 2 12:08:56 2011 -0400

    rec-mutex testcase: add a performance test

    Add a reasonable performance test for uncontended and contended
    cases at
    different levels of recursion depth.

 glib/tests/rec-mutex.c |   88
 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 88 insertions(+), 0 deletions(-)

commit 7973d9f8bac34fa090e330dec136b251f305d06c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon Oct 3 14:27:15 2011 +0100

    In the GVariant intro, mention lack of built-in endianness, and
    rationale

    Presumably, the rationale for not storing the endianness is that
    GVariant is a recursive type system, and in a sane format, endianness
    only needs to be stored once per blob of data (once per D-Bus message,
    once per file on disk, etc.).

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=632049
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Ryan Lortie <desrt@desrt.ca>

 glib/gvariant.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit ebb544f549c77d0e98431ee38c55824ff4de81ab
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon Oct 3 14:20:51 2011 +0100

    g_variant_get_data: mention what you need to know to deserialise

    Also include a shorter version in the docs for g_variant_store, with a
    pointer to g_variant_get_data.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=632049
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Ryan Lortie <desrt@desrt.ca>

 glib/gvariant-core.c |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 3869e40ac339a9395e47a9aa81b017dbaf8ad925
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon Oct 3 14:19:58 2011 +0100

    g_variant_new_from_data: mention that the caller might need to
    byteswap

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=632049
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Ryan Lortie <desrt@desrt.ca>

 glib/gvariant.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 3d7264ce703f7dd55b6deac91562d64db69059ef
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 4 12:39:08 2011 +0100

    Fix a typo in describing GVariant serialisation functions

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=632049
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Ryan Lortie <desrt@desrt.ca>

 glib/gvariant.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 83afcc0a29202f7171e185c93ab0183dbf80cb39
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 4 10:46:13 2011 +0100

    Escape percent sign in g_variant_new_parsed documentation

    Strings matching /%[a-z]/ are special syntax for gtk-doc.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=632049
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Ryan Lortie <desrt@desrt.ca>

 glib/gvariant-parser.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d34c9bc6f335b22260df25d849cb3f26d3998349
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Oct 13 12:22:41 2010 +0100

    g_variant_get_fixed_array: document which types are appropriate

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=632049
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Ryan Lortie <desrt@desrt.ca>

 glib/gvariant.c |   33 ++++++++++++++++++++++++++++-----
 1 files changed, 28 insertions(+), 5 deletions(-)

commit 9e827ab6152cf1c83c27bbffa2686390c78fe46e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Oct 13 12:21:22 2010 +0100

    GVariant docs: be clear that the serialisation format isn't the same
    as D-Bus

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=632049
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Ryan Lortie <desrt@desrt.ca>

 glib/gvariant.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit f778564ba2c389856904de3cc80126d7cfb988c2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 4 09:48:35 2011 +0100

    Be clear that g_str_hash etc. don't accept NULL

    This covers the str, double, int, int64 hash and equal functions,
    but not
    anything that takes an "object", since the convention is that "object
    methods" never accept NULL anyway.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=592715
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Colin Walters <walters@verbum.org>

 glib/ghash.c |   23 +++++++++++++++--------
 1 files changed, 15 insertions(+), 8 deletions(-)

commit 34a122454966546fed0ccbb73338b28021e76481
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 4 09:44:27 2011 +0100

    Be completely clear about what g_direct_hash, g_direct_equal do

    Also annotate them as (allow-none), more for the benefit of gtk-doc
    readers than introspection.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=592715
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Colin Walters <walters@verbum.org>

 glib/ghash.c |   20 ++++++++++++++------
 1 files changed, 14 insertions(+), 6 deletions(-)

commit 06c96ab1e59dead8a920433498624b946abdb9ab
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 4 09:42:28 2011 +0100

    GHashTable: be more clear what g_int_hash wants

    Using g_int_hash, g_int_equal with keys like GINT_TO_POINTER (n)
    seems to
    be a reasonably common GLib-novice mistake. It doesn't help that the
    documentation for GHashFunc was ambiguous about this.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=592715
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Colin Walters <walters@verbum.org>

 glib/ghash.c |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)

commit 5bed8317ea0dc615b02f34bde9b5dfa7374c5600
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon Oct 3 18:48:15 2011 +0100

    Warn when classes/instances exceed the allowed size, if possible

    It's impossible to check this if the library user is using
    g_type_register_static, but in that case their compiler should
    hopefully
    warn about the truncation. This fixes it for G_DEFINE_TYPE and
    friends,
    at least.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=659916
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Colin Walters <walters@verbum.org>

 gobject/gtype.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 29a71915d87aa3053ed60efbe30bd7cc63ae2114
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Oct 4 14:06:10 2011 +0800

    Update glibconfig.h.win32(.in)

    Update typedef of GStaticMutex here to match the typedef of GMutex
    in glib/gthread.h (due to commit c5634df6)

 glib/glibconfig.h.win32.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ca6a9850395ede6f8de8a1a34096eb32de3ba94d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 4 00:46:10 2011 -0400

    Improve test coverage in the thread tests

    Use g_thread_new_full() in some places.

 glib/tests/thread.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit e6fa27a5f80f05a6661b803620639e6f0ae96852
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 4 00:45:42 2011 -0400

    Improve test coverage in the GString tests

 glib/tests/string.c |   51
 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 50 insertions(+), 1 deletions(-)

commit fc3248065813557c37e1f5ec3442b652d4b0d404
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 4 00:44:58 2011 -0400

    Improve testcoverage in the rec-mutex test

    Test g_rec_mutex_trylock() in both locked and unlocked cases.

 glib/tests/rec-mutex.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 823e32655e2fc4810dee34ba1bdd5553bb383a42
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 3 23:55:02 2011 -0400

    Add a few more tests

    This brings test coverage for glist.c and glist.c to the
    coveted 100% lines mark.

 glib/tests/list.c  |   69
 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 glib/tests/slist.c |   53 +++++++++++++++++++++++++++++++++++++++-
 2 files changed, 119 insertions(+), 3 deletions(-)

commit 1fe4429318b147f275e730ef5a69cb94a0a25062
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 3 23:54:08 2011 -0400

    Remove bits of dead code identified by coverage tests

    These lines could were not hit by our tests, and examination
    of the code reveals that they can't ever be hit.

 glib/glist.c  |   16 ++++++----------
 glib/gslist.c |   12 ++----------
 2 files changed, 8 insertions(+), 20 deletions(-)

commit b74f46db6b585abe7fb665651e51888aea88b356
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Oct 3 22:22:55 2011 -0400

    Add some more thread tests

 glib/tests/Makefile.am |    3 +
 glib/tests/thread.c    |  119
 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 122 insertions(+), 0 deletions(-)

commit 070aefcf59b0238f4cf644cb9ec75cc0b2d4ffaf
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Oct 3 22:18:01 2011 -0400

    GAsyncQueue: properly set free function

    The copying of code from g_async_queue_new() to
    g_async_queue_new_full()
    in ef08aa786bca87c520ef319b97df4b3ed0782233 copied the setting of the
    free function to NULL (instead of the one passed in by the user).

    Fix that up so that the test passes again.

    https://bugzilla.gnome.org/show_bug.cgi?id=660843

 glib/gasyncqueue.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3f982cb9ab1dc9a435c5bba2f0438f165eba25dc
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Sep 29 23:46:28 2011 -0400

    GUnixMountPoint: expose options

    Make the options from an /etc/fstab entry available as public API -
    this can be used to support options such as

     comment=gvfs.name=Foo\040Bar

    to e.g. set the name of an fstab mount in the UI to "Foo Bar".

    https://bugzilla.gnome.org/show_bug.cgi?id=660536

    Signed-off-by: David Zeuthen <davidz@redhat.com>

 docs/reference/gio/gio-sections.txt |    1 +
 gio/gio.symbols                     |    1 +
 gio/gunixmounts.c                   |   28 ++++++++++++++++++++++++++++
 gio/gunixmounts.h                   |    1 +
 4 files changed, 31 insertions(+), 0 deletions(-)

commit 3106391694408877ebf6e8451146c5ac5d7bb017
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Oct 3 10:19:14 2011 -0400

    Revert "GSettings: don't abort on missing schemas"

    This reverts commit c841c2ce3fda6f754c88ae2c9099f36dff2f0814.

    This approach has been an unmitigated disaster.  We're getting
    all sorts
    of crashes due to functions that are returning NULL because they can't
    find the schema for the default value.  The people who get these
    crashes
    are then confused about the root cause of the problem and waste a
    lot of
    time trying to figure it out.

    Until we find a better solution, we should go back to what we had
    before.

    https://bugzilla.gnome.org/show_bug.cgi?id=655366

 gio/gsettings.c       |   77
 ++++++++++--------------------------------------
 gio/gsettingsschema.c |    5 +--
 gio/tests/gsettings.c |   26 ----------------
 3 files changed, 17 insertions(+), 91 deletions(-)

commit 9d989c7b8aebda0e56aaadb843def0f48f909156
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 23:53:56 2011 -0400

    Cosmetics

 glib/gthread.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit fa6710ab6f365b512281049276413747b311821d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 23:43:17 2011 -0400

    Documentation fixes

 docs/reference/glib/glib-sections.txt |  113 ++++++++++++++--------------
 glib/deprecated/gthread-deprecated.c  |    9 +-
 glib/gthread-posix.c                  |    3 +-
 glib/gthread.c                        |  133
 +++++++++++++++++---------------
 4 files changed, 135 insertions(+), 123 deletions(-)

commit 65b84bb7d0e429a30f344ebc149dc3d8d79bddda
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 22:38:49 2011 -0400

    Fix doc build

    The markup here was not only broken, it was also unnecessary,
    since gtk-doc knows to apply <function></function> tags to things
    that end with () already.

 glib/gthread-posix.c |   14 ++++++--------
 1 files changed, 6 insertions(+), 8 deletions(-)

commit 65056180dd2fee9187426354e8ef5161bf980578
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 2 23:37:20 2011 -0400

    locks: Add initialisation notes

    For each of the 4, mention that static storage or _init() is needed.

 glib/gthread.c |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit c5634df6d3ffe2da013a246880b183140b8f1260
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 2 20:59:15 2011 -0400

    locks: change the ABI just a bit

    Add a little bit more room in the ABI for our synchronisation
    primatives
    since we're going to need it when we add native implementations on
    Linux.

    Also: rename the pointer field and add /*< private >*/ annotations.

 glib/deprecated/gthread.h |    2 +-
 glib/gthread-posix.c      |   42
 +++++++++++++++++++++---------------------
 glib/gthread-win32.c      |   15 +++++++--------
 glib/gthread.h            |   20 ++++++++++++++------
 4 files changed, 43 insertions(+), 36 deletions(-)

commit 2a677d1370a1983c2c5e1a4a6dd5f0d9fa9868b3
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 2 20:51:38 2011 -0400

    locks: drop _INIT macros

    All locks are now zero-initialised, so we can drop the G_*_INIT macros
    for them.

    Adjust various users around GLib accordingly and change the docs.

    https://bugzilla.gnome.org/show_bug.cgi?id=659866

 docs/reference/glib/glib-sections.txt |    4 --
 gio/gunionvolumemonitor.c             |    2 +-
 glib/deprecated/gthread.h             |    2 +-
 glib/gbitlock.c                       |    2 +-
 glib/glib-ctor.h                      |    2 +-
 glib/gmem.c                           |    2 +-
 glib/gmessages.c                      |    2 +-
 glib/gslice.c                         |    2 +-
 glib/gthread-posix.c                  |   17 +++-----
 glib/gthread-win32.c                  |    9 +---
 glib/gthread.c                        |   67
 +++------------------------------
 glib/gthread.h                        |    7 +---
 glib/gvarianttypeinfo.c               |    2 +-
 glib/tests/cond.c                     |    4 +-
 glib/tests/mutex.c                    |    8 +--
 glib/tests/private.c                  |    6 +-
 glib/tests/rec-mutex.c                |    6 +--
 glib/tests/rwlock.c                   |   18 ++------
 gmodule/gmodule.c                     |    2 +-
 gobject/gparam.c                      |    2 +-
 gobject/gtype.c                       |    4 +-
 tests/thread-test.c                   |    2 +-
 22 files changed, 44 insertions(+), 128 deletions(-)

commit 3315aee70915deb12374ab1d6134e4414114bec3
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 2 21:03:49 2011 -0400

    Re-enable 'include' testcase

    The bug is fixed now.

    https://bugzilla.gnome.org/show_bug.cgi?id=659866

 glib/tests/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e081eadda598bc708fbf9dd53a190fc3b0e7fa76
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 2 20:43:28 2011 -0400

    GThread posix: switch to Windows ABI

    Modify the POSIX implementation of the synchronisation primatives
    to use
    the same ABI as Windows: one pointer for each type.

    This frees us from having to #include <pthread.h> and avoids the
    problem
    with pthread_rwlock_t not being defined under certain compiler
    defines.

    A few more changes are expected to the ABI -- they will be committed
    separately.

    https://bugzilla.gnome.org/show_bug.cgi?id=659866

 glib/gthread-posix.c |  198
 ++++++++++++++++++++++++++++++++++++++------------
 glib/gthread.h       |   29 -------
 2 files changed, 152 insertions(+), 75 deletions(-)

commit 151756631dcac8e74df37c02bf0cf13d9df2e18b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 22:31:45 2011 -0400

    Don't use g_thread_foreach in tests

 tests/threadpool-test.c |   30 +++---------------------------
 1 files changed, 3 insertions(+), 27 deletions(-)

commit 3d4846d92309d001697c2827660fa41b5c63dbc4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 01:29:08 2011 -0400

    Deprecate GStaticPrivate and g_thread_foreach

    This commit moves GStaticPrivate, g_thread_foreach and all
    related functions and variables to gthread-deprecated.c. We
    introduce some internal API to make this possible.

    g_thread_foreach is not a very useful function, since there is
    virtually nothing you can do with a GThread*, and implementing
    it requires us to keep a list of threads around.

    GStaticPrivate has been made redundant by adding comparable
    capabilities to GPrivate.

    https://bugzilla.gnome.org/show_bug.cgi?id=660635

 glib/deprecated/gthread-deprecated.c |  324
 +++++++++++++++++++++++++++++++-
 glib/deprecated/gthread.h            |   18 ++-
 glib/gthread.c                       |  348
 +--------------------------------
 glib/gthread.h                       |   16 --
 glib/gthreadprivate.h                |   20 ++
 5 files changed, 371 insertions(+), 355 deletions(-)

commit 12287c8cc70fc65bc7bbeb4f7079b262337fce09
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 09:51:13 2011 -0400

    Don't put threads created with g_thread_new() on the list

    This lets us avoid the overhead of maintaining the global
    list in the non-deprecated case.

    https://bugzilla.gnome.org/show_bug.cgi?id=660635

 glib/deprecated/gthread-deprecated.c |    4 +-
 glib/gthread.c                       |   76
 ++++++++++++++++++++-------------
 glib/gthreadprivate.h                |    8 ++++
 3 files changed, 56 insertions(+), 32 deletions(-)

commit 1909d2398ad299b86fb708104d82ce5ab7415d36
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 09:27:08 2011 -0400

    Make thread names useful in a debugger

    Associate the name with the system thread, so that debuggers
    can see it. This is currently only implemented for Linux, using
    prctl.

    https://bugzilla.gnome.org/show_bug.cgi?id=660635

 configure.ac          |    1 +
 glib/gthread-posix.c  |   12 +++++++++++-
 glib/gthread-win32.c  |    6 ++++++
 glib/gthread.c        |    3 +++
 glib/gthreadprivate.h |    1 +
 5 files changed, 22 insertions(+), 1 deletions(-)

commit 0d1a92ca3d234a4291ef3ecbf7df2d57442a63e5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 10:01:57 2011 -0400

    Add new thread creation API

    Deprecate both g_thread_create functions and add
    g_thread_new() and g_thread_new_full(). The new functions
    expect a name for the thread.

    Change GThreadPool, GMainContext and GDBus to create named threads.

    https://bugzilla.gnome.org/show_bug.cgi?id=660635

 gio/gdbusprivate.c                   |    9 +++--
 glib/deprecated/gthread-deprecated.c |   36 +++++++++++++++++++-
 glib/deprecated/gthread.h            |    4 ++
 glib/glib.symbols                    |    9 +++--
 glib/gmain.c                         |    2 +-
 glib/gthread.c                       |   59
 +++++++++++++++++++++------------
 glib/gthread.h                       |    6 ++-
 glib/gthreadpool.c                   |    2 +-
 8 files changed, 91 insertions(+), 36 deletions(-)

commit bc67c23bf939d3ad719e860362bdda0737c512a1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 21:57:06 2011 -0400

    Define GLIB_COMPILATION when building libgthread.so

    This is necessary, because gthreadprivate.h can only be
    included inside GLib, otherwise single-include guards trigger.

 gthread/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 34ce4dd0324acd02ceb51d43fdaed5640041d8c1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 21:57:40 2011 -0400

    Replace static privates by privates

    GStaticPrivate is heading for deprecation soon, and GPrivate
    can replace these uses now.

 gio/gcancellable.c |   12 ++++++------
 glib/gutf8.c       |   10 +++++-----
 gmodule/gmodule.c  |    6 +++---
 3 files changed, 14 insertions(+), 14 deletions(-)

commit 6f711518230cbb2e09c56a7853e191eb6269faef
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 2 21:13:14 2011 -0400

    win32: fix GPrivate fallout

    Fix minor mistake in win32 GPrivate code.

 glib/gthread-win32.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cdd43d43c9be3914bfeca4b1548885b9b44dcabb
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Oct 2 20:24:18 2011 -0400

    locks: rename a bunch of parameters

 glib/gthread-posix.c |   84
 +++++++++++++++++++++++++-------------------------
 glib/gthread.h       |   16 +++++-----
 2 files changed, 50 insertions(+), 50 deletions(-)

commit 8e43470c3827f5980f39bf9da0bc510858daf2be
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Sep 30 14:22:04 2011 -0400

    Stop dithering over GPrivate

    Take out the half-private g_private_init() stuff and replace it with a
    G_PRIVATE_INIT macro that allows specifying a GDestroyNotify.

    Expose the GPrivate structure in a public header.

    Add a g_private_replace() to (sort of) match the functionality of
    g_static_mutex_set().

    Improve the documentation.

    Deprecate g_private_new().

 docs/reference/glib/glib-overrides.txt |   22 +---
 docs/reference/glib/glib-sections.txt  |    6 +-
 glib/deprecated/gthread-deprecated.c   |   26 ++++-
 glib/deprecated/gthread.h              |    3 +
 glib/glib.symbols                      |    1 +
 glib/gmessages.c                       |    7 -
 glib/gslice.c                          |    4 +-
 glib/gthread-posix.c                   |  199
 ++++++++++++++++++++++++++------
 glib/gthread-win32.c                   |   83 +++++++++----
 glib/gthread.c                         |  100 +---------------
 glib/gthread.h                         |   11 ++-
 glib/gthreadprivate.h                  |   14 ---
 12 files changed, 274 insertions(+), 202 deletions(-)

commit 7a75f56aa16ac13607a13f4e455a4fa4248ff750
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 19:10:16 2011 -0400

    Add a few comments

 glib/gthread.c |   14 ++++++++++++--
 1 files changed, 12 insertions(+), 2 deletions(-)

commit 7df7c535574fc634461ed17750fdf5bb1e777d2f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 19:09:24 2011 -0400

    Add another GCond test

    This test shows how to implement a barrier using a GCond.

 glib/tests/cond.c |   95
 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 95 insertions(+), 0 deletions(-)

commit 1a5cc98ca2f1474c300a13247533bf0b0b05f1df
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 01:21:46 2011 -0400

    Rework the way GStaticPrivate data is freed

    To avoid iterating threads in g_static_private_free(), defer freeing
    the per-thread data to thread exit. The one complication here is
    that it is possible for the static private index to be reused while
    'old' data is still around. To deal with that case, store the 'owner'
    with each per-thread data node, and free old data in
    g_static_private_get() if the owner doesn't match. The remaining
    possibility that a private index could be reused by a GStaticPrivate
    with the same address is sufficiently unlikely that we can probably
    ignore it.

    With this change, per-thread data is now truly private again,
    and we can drop the lock for it as well.

    https://bugzilla.gnome.org/show_bug.cgi?id=660635

 glib/gthread.c |  169
 +++++++++++++++++---------------------------------------
 1 files changed, 50 insertions(+), 119 deletions(-)

commit 6a31cc66cde646aee5efdd2ba8cc8a203e29f1ed
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 09:59:26 2011 -0400

    Whitespace fixes

 glib/gthread.c |   50 +++++++++++++++++++++++++-------------------------
 1 files changed, 25 insertions(+), 25 deletions(-)

commit 3c02c64474351a2decdab3348b4e9f7ab473bff8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 17:05:03 2011 -0400

    Clean up includes

 glib/gthread.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

commit 6d2b2ccaa0dea75b848bcff6d83ab03db547b0fe
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 16:48:17 2011 -0400

    Add tests for GPrivate and GStaticPrivate

 glib/tests/Makefile.am |    3 +
 glib/tests/private.c   |  337
 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 340 insertions(+), 0 deletions(-)

commit 3659ca99f5ae2058b53a2fefe052926fe2e1858f
Author: Javier Jardón <jjardon@gnome.org>
Date:   Fri Sep 30 17:21:52 2011 +0100

    tests: Use G_VALUE_INIT

 tests/gobject/gvalue-test.c    |   12 ++++++------
 tests/gobject/paramspec-test.c |   10 +++++-----
 2 files changed, 11 insertions(+), 11 deletions(-)

commit 91713e950ff20b6330ca66fe51c32beb1453e87e
Author: Javier Jardón <jjardon@gnome.org>
Date:   Fri Sep 30 17:04:23 2011 +0100

    docs: Use G_VALUE_INIT

 docs/reference/gobject/tut_gobject.xml |    2 +-
 docs/reference/gobject/tut_gtype.xml   |    8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 406f7d2b39dab16cd38ccdbd4c978490eb1a2ba1
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Sep 30 23:05:27 2011 -0400

    mutex testcase: add a performance test

    Add a reasonable performance test for uncontended and contended cases.

 glib/tests/mutex.c |   68
 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 68 insertions(+), 0 deletions(-)

commit 6ef022bbb3b6dbe6f0f34858d7521a7b0ab331e3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 00:08:54 2011 -0400

    Move all hash functions to ghash.c

    This matches their location in the headers.

 glib/ghash.c   |  204
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 glib/gstring.c |   95 +++++---------------------
 glib/gutils.c  |  153 +-----------------------------------------
 3 files changed, 226 insertions(+), 226 deletions(-)

commit e7ca67f20c9f44478cdaf5832a91dc39086f4c38
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Oct 2 00:08:13 2011 -0400

    GHash: Cosmetic changes

 glib/ghash.c |  424
 +++++++++++++++++++++++++++++++---------------------------
 glib/ghash.h |  134 ++++++++-----------
 2 files changed, 281 insertions(+), 277 deletions(-)

commit ed325b18798f29ce1efbc5377056c0e07cfe4175
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 23:38:52 2011 -0400

    One forgotten moved doc

 glib/gmessages.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 10d86cda0266d7467cab449892e5fbb9258c607f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 23:38:23 2011 -0400

    Move GStringChunk into its own files

 glib/Makefile.am    |    2 +
 glib/glib.h         |    1 +
 glib/gstring.c      |  271 ------------------------------------------
 glib/gstring.h      |   17 ---
 glib/gstringchunk.c |  325
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 glib/gstringchunk.h |   53 +++++++++
 6 files changed, 381 insertions(+), 288 deletions(-)

commit 0e8bcc3ed7121c672af6ce52d8985a4d60f8545b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 23:27:45 2011 -0400

    Move GString docs inline

 docs/reference/glib/tmpl/.gitignore   |    1 +
 docs/reference/glib/tmpl/strings.sgml |  369
 ---------------------------------
 glib/gstring.c                        |   29 +++
 glib/gstring.h                        |   12 -
 4 files changed, 30 insertions(+), 381 deletions(-)

commit 459b14d89ae1065041d55089b82c170ec8e0f631
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 23:23:40 2011 -0400

    GString: cosmetic cleanups

 glib/gstring.c |  535
 ++++++++++++++++++++++++++++----------------------------
 glib/gstring.h |  180 +++++++++----------
 2 files changed, 357 insertions(+), 358 deletions(-)

commit 7154d44c5c5a23e0a631f571bc689ff43995ee82
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 23:03:09 2011 -0400

    Move file utility docs inline

 docs/reference/glib/tmpl/.gitignore     |    1 +
 docs/reference/glib/tmpl/fileutils.sgml |  536
 -------------------------------
 glib/gdir.c                             |    6 +
 glib/gfileutils.c                       |  135 ++++++++
 glib/gmappedfile.c                      |   10 +-
 5 files changed, 151 insertions(+), 537 deletions(-)

commit ca77b0e252aa783ff25db7a247986a5ec45ea84f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 22:48:27 2011 -0400

    Move string utility docs inline

 docs/reference/glib/tmpl/.gitignore        |    1 +
 docs/reference/glib/tmpl/string_utils.sgml |  903
 ----------------------------
 glib/gstrfuncs.c                           |  427 ++++++++++++--
 3 files changed, 378 insertions(+), 953 deletions(-)

commit 793ff83527bd6be8117b483d4b8dde55f1d6f3b9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 22:00:41 2011 -0400

    Move test docs inline

 docs/reference/glib/tmpl/.gitignore   |    2 +
 docs/reference/glib/tmpl/testing.sgml |  691
 ---------------------------------
 glib/gtestutils.c                     |  369 ++++++++++++++++++-
 3 files changed, 370 insertions(+), 692 deletions(-)

commit 9d3b37ac3fa7d5ea25a897e5baa7c7a66da0873f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 21:03:14 2011 -0400

    Move keyfile docs inline

 docs/reference/glib/tmpl/keyfile.sgml |  939
 ---------------------------------
 glib/gkeyfile.c                       |  364 +++++++++++++-
 2 files changed, 361 insertions(+), 942 deletions(-)

commit 3d814e7a2ae80f422889c5f830af7e26c1f88a02
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 20:16:32 2011 -0400

    GAsyncQueue: simplify an internal function

    g_cond_timed_wait() behaves like g_cond_wait() when given
    NULL, so no need have different branches for that in
    g_async_queue_pop_intern_unlocked().

 glib/gasyncqueue.c |   27 +++++++--------------------
 1 files changed, 7 insertions(+), 20 deletions(-)

commit 8c5400ff45b28a68cd97965abe16ce45dca2548c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 20:11:38 2011 -0400

    GAsyncQueue: internal cleanup

    Turn the 'try' parameter of g_async_queue_pop_intern_unlocked
    into a 'wait', for better alignment with the GCond api.

 glib/gasyncqueue.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 793cf54275dea80d15e724d803273e79195308d0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 20:09:35 2011 -0400

    GAsyncQueue: embed the GCond

    Use g_cond_init/clear, now that we have them.

 glib/gasyncqueue.c |   18 +++++++-----------
 1 files changed, 7 insertions(+), 11 deletions(-)

commit ef08aa786bca87c520ef319b97df4b3ed0782233
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 19:24:24 2011 -0400

    GAsyncQueue: Cosmetic fixes

    Mostly doc formatting and whitespace fixes.

 glib/gasyncqueue.c |  496
 +++++++++++++++++++++++++++------------------------
 glib/gasyncqueue.h |   70 ++------
 2 files changed, 281 insertions(+), 285 deletions(-)

commit 93abf20d3bc17fcf14cfb605b2142113dc1fd8e9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 18:42:48 2011 -0400

    GAsyncQueue: Move private API to a private header

 glib/Makefile.am          |    5 +++--
 glib/gasyncqueue.c        |    1 +
 glib/gasyncqueue.h        |    3 ---
 glib/gasyncqueueprivate.h |   31 +++++++++++++++++++++++++++++++
 glib/gthreadpool.c        |   23 +++++++++++++----------
 5 files changed, 48 insertions(+), 15 deletions(-)

commit b17b02da796628afe7829f5e8929c7666eb54f31
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 18:20:27 2011 -0400

    GThreadPool: cosmetic cleanups

    Mostly documentation and formatting trivial, but also add
    boolean return types to GError taking functions.

 glib/gthreadpool.c |  809
 +++++++++++++++++++++++++++-------------------------
 glib/gthreadpool.h |   49 ++--
 2 files changed, 444 insertions(+), 414 deletions(-)

commit 81e161edf261b4a8943f256531c57f440bcea2a4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 18:43:15 2011 -0400

    GThread: cosmetic fix

    Explicitly include gthread.h, don't rely on gthreadprivate.h
    to pull it in.

 glib/gthread.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 5135241633cd13fa2ff6bee9b15f763c4c5d90e4
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Oct 2 11:21:18 2011 +1100

    Updated Vietnamese translation

 po/vi.po |  152
 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 75 insertions(+), 77 deletions(-)

commit 98818afa0859dac68f57d07d6fec0b72d2b45ff7
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Oct 2 11:08:49 2011 +1100

    po/vi: import from Damned Lies

 po/vi.po |   75
 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 38 insertions(+), 37 deletions(-)

commit 1af5ac0179cfc98c8f7c0c2ed700e56ba072ec35
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 13:47:54 2011 -0400

    Add an index for 2.32 api additions

 docs/reference/glib/glib-docs.sgml |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit b4dc4902c6b7099266985421b775084b68e5d44e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Oct 1 13:47:09 2011 -0400

    Mark g_thread_create_with_stack_size as new API

 glib/gthread.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 65b7a20c67406f9309b2b8e1e7d7aaef98b81d02
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 26 11:21:55 2011 -0400

    GSettings schemas: allow for zero items in schema

    GVDB deals with empty lists by returning NULL for the list instead
    of a
    zero-length (non-NULL) strv.  We can work around that in
    GSettingsSchema
    by checking for the NULL case and treating it like a zero-length list.

    https://bugzilla.gnome.org/show_bug.cgi?id=660147

 gio/gsettingsschema.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e147d7aa2f1e4aba555df32b80763e2bc8199798
Author: Jasper Lievisse Adriaanse <jasper@humppa.nl>
Date:   Sat Oct 1 10:46:52 2011 +0200

    Fix URL to strlcpy(3) manpage in comment.

 glib/gstrfuncs.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c48a0d881313676f2c215b30ba2f8674673071ad
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Sep 29 15:42:47 2011 +0100

    markup-subparser test: use a real GError domain

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Matthias Clasen <mclasen@redhat.com>
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=660371

 glib/tests/markup-subparser.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 7aad93c5b43faa383ccb609852209d480548dd64
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Sep 29 15:42:33 2011 +0100

    sleepy-stream test: use a real GError domain

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Matthias Clasen <mclasen@redhat.com>
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=660371

 gio/tests/sleepy-stream.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e60e4999b9d4904b74e1a38bd5c24b9fd047f95d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Sep 29 13:57:09 2011 +0100

    g_dbus_error_encode_gerror: don't segfault on bad domains

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Matthias Clasen <mclasen@redhat.com>
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=660371

 gio/gdbuserror.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 5156d1b2d42d89d7ad916ca3c53db517a2674f31
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 29 23:32:20 2011 -0400

    Prevent data loss in gdesktopappinfo.c

    Don't loose the content of mimeapps.list when it doesn't contain
    a [Added Associations] group. Pointed out by Alexander Larsson.

    https://bugzilla.gnome.org/show_bug.cgi?id=660130

 gio/gdesktopappinfo.c |   13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)

commit e6c76d9fd44a5e7c42f10a4833a03cbb44edeb5d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 29 23:13:49 2011 -0400

    Clean up atomic cruft

    Nothing is using these defines anymore, and the messages
    are misleading. Based on a patch by Kean Johnston.

    https://bugzilla.gnome.org/show_bug.cgi?id=660013

 config.h.win32.in |   32 -------------------
 configure.ac      |   90
 +---------------------------------------------------
 2 files changed, 2 insertions(+), 120 deletions(-)

commit cde8cf16faa14df3c688adc39f26a45aa0d88d38
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 25 01:51:33 2011 -0400

    Some more gthread reshuffling

 glib/gthread.c |   49 +++++++++++++++++++++++++++----------------------
 1 files changed, 27 insertions(+), 22 deletions(-)

commit 934e0a7470fbcfccfd7c4d3e589d59e8778fa973
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Sep 29 15:49:09 2011 -0400

    GUnixFileMonitor: Clean up /proc/mounts monitoring

    Most suggestions from Colin Walters <walters@verbum.org>.

    https://bugzilla.gnome.org/show_bug.cgi?id=660511

    Signed-off-by: David Zeuthen <davidz@redhat.com>

 gio/gunixmounts.c |   45 +++++++++++++++++++++++++++------------------
 1 files changed, 27 insertions(+), 18 deletions(-)

commit 55065461bfc5ace53e736dfa8181909e918c161b
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Sep 29 15:09:43 2011 -0400

    GUnixFileMonitor: Use /proc/mounts for monitoring mount changes

    On recent Linux distros /etc/mtab is just a symlink to /proc/mounts
    and GFileMonitor does not work there because of how the kernel conveys
    that the file changes.

    https://bugzilla.gnome.org/show_bug.cgi?id=660511

    Signed-off-by: David Zeuthen <davidz@redhat.com>

 gio/gunixmounts.c |   53
 ++++++++++++++++++++++++++++++++++++++++++++++++-----
 1 files changed, 48 insertions(+), 5 deletions(-)

commit 6d05f684eb0193f7b272cbbe42cd7e72eb0f5174
Author: Javier Jardón <jjardon@gnome.org>
Date:   Thu Sep 29 20:00:16 2011 +0100

    gfile: Be clear about freeing GFile objects

 gio/gfile.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit f992c240e86986dbede0124d1038e0223d8491dd
Author: Dan Winship <danw@gnome.org>
Date:   Thu Sep 29 09:58:57 2011 -0400

    gthread: remove a stray reference to GStaticMutex

 glib/gthread.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 76d2f7fa6a6835058d29381b50f763b12e97a861
Author: Tiffany Antopolski <tiffany.antopolski@gmail.com>
Date:   Thu Sep 29 06:24:55 2011 +0200

    Updated Esperanto translation

 po/eo.po | 1878
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1014 insertions(+), 864 deletions(-)

commit 0f4b278a4b35c54b4a5e887b35dc100c068fd52f
Author: Dan Winship <danw@gnome.org>
Date:   Wed Sep 28 12:18:10 2011 -0400

    update .gitignores

 gio/tests/.gitignore  |    4 ++++
 glib/tests/.gitignore |    5 +++++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit 6feff14f197f7e24d128d7f24ad5a15be5769016
Author: Dan Williams <dcbw@redhat.com>
Date:   Mon Sep 26 19:51:42 2011 -0500

    tests: add signal marshalling return tests for int/uint

    https://bugzilla.gnome.org/show_bug.cgi?id=659881

 gobject/tests/signals.c |  104
 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 104 insertions(+), 0 deletions(-)

commit a343904596a68458682da5707cc35fcc3ee7fa47
Author: Dan Williams <dcbw@redhat.com>
Date:   Mon Sep 26 13:07:51 2011 -0500

    tests: fix generic closure marshalling tests

    We're testing enums here, not flags, so we need to make sure
    we're trying to send enums through the marshalling.

    https://bugzilla.gnome.org/show_bug.cgi?id=659881

 gobject/tests/signals.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit adf7e0740c6bb7ec31c7acb32d7ea28951ec1027
Author: Dan Williams <dcbw@redhat.com>
Date:   Fri Sep 23 11:36:35 2011 -0500

    tests: Add some return value torture testcases for the generic
    marshaller

    Ensure that ENUM types are properly marshalled back from libffi types
    to glib types, which was failing on ppc64.

    https://bugzilla.gnome.org/show_bug.cgi?id=659881

 gobject/tests/signals.c |  106
 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 106 insertions(+), 0 deletions(-)

commit 51166d0127d6d77ae7e4782887a76462858fdd91
Author: Dan Winship <danw@gnome.org>
Date:   Mon Sep 26 14:17:43 2011 -0400

    Add thread-safety warnings to the g_setenv() and g_unsetenv() docs

    https://bugzilla.gnome.org/show_bug.cgi?id=659326

 glib/gutils.c |   22 ++++++++++++++++++++--
 1 files changed, 20 insertions(+), 2 deletions(-)

commit 104ea17125aa70f926bddb3889d594b6f5642a21
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 26 03:56:22 2011 -0400

    GDesktopAppInfo: simplify how defaults work

    Previously, we took the default application for a particular mimetype
    from the system and copied it into the user's configuration as the
    default there.

    Instead of doing that we leave the user's default unset, and at
    time of
    use, if the user has no explicitly-set default value, we use the
    system
    default.

    This avoids complicated situations where inappropriate applications
    were
    being set as the default in the user's configuration.

    https://bugzilla.gnome.org/show_bug.cgi?id=658188

 gio/gdesktopappinfo.c |   66
 ++++++++++++++++++++-----------------------------
 1 files changed, 27 insertions(+), 39 deletions(-)

commit 5b2c809dda6ae04bcf3205702b2cc91b1b47cc64
Author: Edward Sheldrake <ejsheldrake@gmail.com>
Date:   Wed Sep 21 19:14:50 2011 +0100

    Add another mimeapps test

    This tests the interaction between mimeinfo.cache, defaults.list and
    mimeapps.list to ensure g_app_info_set_as_last_used_for_type doesn't
    incorrectly change the default.

    https://bugzilla.gnome.org/show_bug.cgi?id=658188

 gio/tests/mimeapps.c |  142
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 142 insertions(+), 0 deletions(-)

commit eba49a4f7fb5b8c85a84e28a31ff0b3ba7bc82ea
Author: Dan Winship <danw@gnome.org>
Date:   Mon Sep 26 12:42:23 2011 -0400

    g_simple_async_result_complete_in_idle: add a minor doc clarification

 gio/gsimpleasyncresult.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 6bd959b7276c557ec70a363497d2c4e432ec294f
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 26 09:05:53 2011 -0400

    glib tests: Compile new thread tests on win32

    They accidentally got added inside of a 'if OS_UNIX'.  Move them out.

 glib/tests/Makefile.am |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit fdc594e963b52b1b554fbbc522b91937a39bb5dc
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 26 04:44:41 2011 -0400

    winxp threads: detect SRWLock emulation reentrancy

    We lack SRWLock on Windows XP, so we use CRITICAL_SECTION to
    emulate it
    there.  SRWLock is non-recursive, but CRITICAL_SECTION will happily
    allow itself to be acquired multiple times by the same thread.

    We need to detect if our second acquire succeeded because of the
    recursive nature of CRITICAL_SECTION.  In the case of a _lock()
    operation, we would normally have deadlocked, so abort.  In the
    case of
    a _trylock() operation, we need to ensure that FALSE is properly
    returned.

    Problem caught by Matthias Clasen and Chun-wei Fan.

    https://bugzilla.gnome.org/show_bug.cgi?id=660096

 glib/gthread-win32.c |   31 +++++++++++++++++++++++++++++++
 1 files changed, 31 insertions(+), 0 deletions(-)

commit 5ef7b964e5d7022c9ecc6b75b2a670e407c18698
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Mon Sep 26 14:40:23 2011 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po |  809
 +++++++++++++++++++++++++++--------------------------
 1 files changed, 418 insertions(+), 391 deletions(-)

commit f032536416c08a14bd42ea8833f81b2c91a63fe2
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sun Sep 25 23:35:27 2011 +0200

    Update Czech translation

 po/cs.po |  260
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 130 insertions(+), 130 deletions(-)

commit 31ddbd688a8551aa00a082dafb92ad82b5ec744a
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sun Sep 25 23:12:36 2011 +0200

    [l10n]Updated Catalan translation

 po/ca.po |  267
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 133 insertions(+), 134 deletions(-)

commit 5a95e19a462712010fece9c71079d5c311c77304
Author: Stef Walter <stefw@collabora.co.uk>
Date:   Fri Sep 23 10:57:55 2011 +0200

    gvariant: Add g_variant_get_fixed_array()

    Using g_variant_new_from_data() for creating new byte arrays is
    non-obvious.
    This patch adds a g_variant_new_fixed_array() function.

    https://bugzilla.gnome.org/show_bug.cgi?id=659923

 docs/reference/glib/glib-sections.txt |    1 +
 glib/glib.symbols                     |    1 +
 glib/gvariant.c                       |   65
 +++++++++++++++++++++++++++++++++
 glib/gvariant.h                       |    5 ++-
 glib/tests/gvariant.c                 |   16 ++++++++-
 5 files changed, 86 insertions(+), 2 deletions(-)

commit 81e395b00b4270e5af16b572e5d2c82daa845374
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 25 01:32:41 2011 -0400

    More GThread docs tweaks

 docs/reference/glib/glib-sections.txt |    2 +-
 glib/gthread.c                        |  256
 +++++++++++++++------------------
 glib/gthread.h                        |   18 +--
 3 files changed, 123 insertions(+), 153 deletions(-)

commit 900c467fd0f5f375acabad78246ed320d1f208a1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 25 00:53:47 2011 -0400

    Move GThread docs around

 glib/gthread-posix.c |  138 -----------------------------------------
 glib/gthread.c       |  165
 ++++++++++++++++++++++++++++++++++++++++++++++----
 2 files changed, 152 insertions(+), 151 deletions(-)

commit db04f59780a40ada3c7abb77ca39652c35cfa9e4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 25 00:42:37 2011 -0400

    Move includes to the top of the file

 glib/gthread-posix.c |   37 ++++++++++++++++---------------------
 1 files changed, 16 insertions(+), 21 deletions(-)

commit 0ea89987e237ed30dad40ae589728d744b249fca
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 25 00:37:31 2011 -0400

    Move deprecated GThread functions to a separate file

 glib/Makefile.am                     |    3 +-
 glib/deprecated/gthread-deprecated.c |  977
 ++++++++++++++++++++++++++++++
 glib/gthread.c                       | 1089
 ++--------------------------------
 glib/gthreadprivate.h                |    3 +
 4 files changed, 1047 insertions(+), 1025 deletions(-)

commit e34861da087aed7417b82efeb2621aad9ee0df61
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 24 23:40:18 2011 -0400

    GThread: more doc updates

 glib/gthread.c |   42 +++++++++++++++---------------------------
 1 files changed, 15 insertions(+), 27 deletions(-)

commit 4e44e235172f63c78f5dcd8d8cb55208e204a60a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 24 23:13:55 2011 -0400

    Drop G_THREADS_IMPL_NONE from the docs

    GLib can no longer be built without thread support.

 docs/reference/glib/glib-sections.txt |    1 -
 glib/gthread.c                        |    8 --------
 2 files changed, 0 insertions(+), 9 deletions(-)

commit 8f340e2d75020991931d867b569137cb984ee233
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 23 11:27:45 2011 +0800

    Fix warning/error C4013 (implicit declarations)

    -Include gthread.h in gregex.c as g_once_init_enter and
    g_once_init_leave
     are used.
    -Define prototype for g_thread_DllMain in gthreadprivate.h for Windows

 glib/gregex.c         |    1 +
 glib/gthreadprivate.h |    4 ++++
 2 files changed, 5 insertions(+), 0 deletions(-)

commit 2b391940c090b050c6a4ec30fabb4a1c49207046
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 23 13:37:08 2011 +0800

    gthread.c: Declare variable at start of block

    This is so that C89 compilers will not complain.

 glib/gthread.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit a485a0e56504437ba88cfac2309ab4d18f7a32fc
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 24 19:04:46 2011 -0400

    Document G_THREADS_IMPL_WIN32

 docs/reference/glib/glib-sections.txt |    1 +
 glib/gthread.c                        |    8 +++++++-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit d6b0af99d711584ca4e44f218a4cd2151a9ccef4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 24 19:00:19 2011 -0400

    GThread doc additions

 docs/reference/glib/glib-sections.txt |   41 +++-
 glib/deprecated/gthread.h             |    3 +
 glib/gthread-posix.c                  |  406
 ++++++++++++++++++++++++++++++---
 glib/gthread.c                        |   66 ++++--
 4 files changed, 458 insertions(+), 58 deletions(-)

commit df9e5c2435d6e57f868d75b474ef1d047fd7ee36
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 24 16:38:51 2011 -0400

    Fix an uninialized variable warning

 glib/tests/cond.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit ef883fd0dcc7bec8c7b7b883635bca168b889988
Author: Peter Mráz <etkinator@gmail.com>
Date:   Sat Sep 24 21:52:10 2011 +0200

    Updated Slovak translation

 po/sk.po | 2105
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1124 insertions(+), 981 deletions(-)

commit aeee16e4a396b2f19bc2d6602c2e9266245226f6
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Sat Sep 24 14:42:07 2011 +0200

    Updated Danish translation

 po/da.po |  642
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 333 insertions(+), 309 deletions(-)

commit cf9623767a721607cb972d300440e91dc8a57861
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 24 00:39:59 2011 -0400

    Add a testcase for bug 659866

    Mere inclusion of glib headers should not require you to define
    any XYZ_SOURCE macros.

 glib/tests/Makefile.am |    6 ++++++
 glib/tests/include.c   |   17 +++++++++++++++++
 2 files changed, 23 insertions(+), 0 deletions(-)

commit e1f68c129233f79b244692f35d4bba4792c0e4ad
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 23 23:38:26 2011 -0400

    Add a test for GCond

 glib/tests/cond.c |  134
 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 134 insertions(+), 0 deletions(-)

commit a11831359992dc9be6ca0f9a80d97d8f241ad3ea
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 23 22:07:32 2011 -0400

    Add a nontrivial read-write lock test

 glib/tests/rwlock.c |   88
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 88 insertions(+), 0 deletions(-)

commit 158a0366be6ea2af574f13208068104adb7ea2e7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 23 21:10:40 2011 -0400

    Add GOnce tests

 glib/tests/Makefile.am |    3 +
 glib/tests/once.c      |  125
 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 128 insertions(+), 0 deletions(-)

commit dd002113f1ce4114f6f39b562f895aab6b47c8dc
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 23 07:26:33 2011 -0400

    Make the rec mutex test a little more verbose

 glib/tests/rec-mutex.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit bec571dc790f67a9ee13683b13011ae45ffd393c
Author: Dan Winship <danw@gnome.org>
Date:   Fri Sep 23 08:53:47 2011 -0400

    giostream: "closed" property should not be marked writable

    https://bugzilla.gnome.org/show_bug.cgi?id=659920

 gio/giostream.c |   16 +---------------
 1 files changed, 1 insertions(+), 15 deletions(-)

commit 7aa824da6ea3600ae72dc5a7f4c999719ffdacb4
Author: Dan Winship <danw@gnome.org>
Date:   Fri Sep 23 07:46:55 2011 -0400

    gio-2.0.pc.in: drop stray reference to libasyncns

    gio-2.0.pc's Libs.private was still using @LIBASYNCNS_LIBADD@, which
    was no longer being substituted to anything and so broke "pkg-config
    --static". Fix it to be @NETWORK_LIBS@ instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=659889

 gio-2.0.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cf020d8250c04abf52b5cde68076c09c02f6655d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 23 07:21:53 2011 -0400

    Add a non-trivial GRWLock test

    This one tests that the writer lock behaves like a mutex.
    Adapted from the corresponding test in GMutex.

 glib/tests/rwlock.c |   77
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 77 insertions(+), 0 deletions(-)

commit 0a9885ebd84b9e7762346be3153c2428bc95ec50
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 23 07:14:13 2011 -0400

    Add a non-trivial GRecMutex test

    Adapted from the corresponding GMutex test.

 glib/tests/rec-mutex.c |   86
 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 86 insertions(+), 0 deletions(-)

commit de39df9dc1fee88d9d21dcfd40e70d61678508d9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 23 07:13:47 2011 -0400

    Remove an unused variable

 glib/tests/mutex.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 16086900af6ec72cf6c83ca4dae87a3c1a9a410f
Author: Manoj Kumar Giri <mgiri@dhcp193-76.pnq.redhat.com>
Date:   Fri Sep 23 16:23:44 2011 +0530

    Updated Oriya Translation

 po/or.po |  240
 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 126 insertions(+), 114 deletions(-)

commit 798a7d5abee46eb8b1ddb1c72ffa17a9cefc4ab0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 23 06:31:12 2011 -0400

    Add some more rw lock tests

    These test some simple mixed reader/writer api usage.

 glib/tests/rwlock.c |   50
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 50 insertions(+), 0 deletions(-)

commit 81b37081848c7638e6edc42a5c61e791320d23af
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 23 06:29:36 2011 -0400

    Add a mutex test

    This tests that mutexes do what they are supposed to do.
    Copied from a similar test for bitlocks in gthread/tests/bitlock.c.

 glib/tests/mutex.c |   77
 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 77 insertions(+), 0 deletions(-)

commit bcd02d7a755154ec8760cae1a8c4a4dd085ac410
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Sep 23 08:23:25 2011 +0300

    Updated Hebrew translation

 po/he.po |   34 +++++++++++++++++++---------------
 1 files changed, 19 insertions(+), 15 deletions(-)

commit 4f3026ea230aeb73e5d24e9b8c72852c097e4354
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 22 22:44:53 2011 -0400

    Add headers

 glib/tests/mutex.c     |   31 ++++++++++++++++++++++++++++++-
 glib/tests/rec-mutex.c |   28 +++++++++++++++++++++++++++-
 2 files changed, 57 insertions(+), 2 deletions(-)

commit d4d203e3cb320a80f61231f5834b289e03667846
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 22 22:44:05 2011 -0400

    Fix g_rwlock_{writer,reader}_trylock

 glib/gthread-posix.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit ff139135372cb9d8d88fba19d553f6b68b3ffa37
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 22 22:43:29 2011 -0400

    Add basic tests for GRWLock

    Just basic api usage, no functional test cases yet.

 glib/tests/Makefile.am |    3 ++
 glib/tests/rwlock.c    |   77
 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+), 0 deletions(-)

commit b2717740a23ee37d057cc293ee4f92d91993c648
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 23 10:41:19 2011 +0800

    VS support updates

    -Fix GLib project/filter files generation as some source items
    are under
     the "deprecated" subfolder, and filter out the gthread-*.c
    -Explicitly specify gthread-win32.c in the GLib project/filter file
     templates, since tarballs are done on Linux.
    -Don't define g_static_mutex_get_mutex in the pregenerated
     glibconfig.h.win32(.in) as it is defined in deprecated/gthread.h
     for Windows

 build/win32/vs10/glib.vcxproj.filtersin |    3 +
 build/win32/vs10/glib.vcxprojin         |    1 +
 build/win32/vs9/glib.vcprojin           |   77
 ++++---------------------------
 glib/Makefile.am                        |   12 ++--
 glib/glibconfig.h.win32.in              |    2 -
 5 files changed, 20 insertions(+), 75 deletions(-)

commit 9de564bf1f0f0c874ea311479f1561158e0d55e8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 22 21:58:28 2011 -0400

    Fix g_rec_mutex_trylock

 glib/gthread-posix.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 295af777e4c251559f15502e6082f540a7a0f325
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 22 21:55:43 2011 -0400

    Add trivial tests for GMutex and GRecMutex

    Not testing any mutual exclusion with threads yet, just
    basic api use. This is already enough to reveal g_rec_mutex_trylock
    as broken...

 glib/tests/Makefile.am |    6 ++++
 glib/tests/mutex.c     |   63
 ++++++++++++++++++++++++++++++++++++++++++++++++
 glib/tests/rec-mutex.c |   52 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 121 insertions(+), 0 deletions(-)

commit 9958909fb2cf818a24737dc3a90e98e6f2f02910
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Sep 22 22:10:23 2011 +0800

    gmappedfile.c: Define S_IFREG on Win32 when it's not available

    Make a workaround for S_IFREG in gmappedfile.c on Windows as it may
    not be
    available for a given compiler on that platform

 glib/gmappedfile.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit f42fe6cdc056b77f74ff6e332389d444c50ae7dc
Author: Colin Walters <walters@verbum.org>
Date:   Thu Sep 22 16:08:35 2011 -0400

    gvalue: Add explicitly signed g_value_get_schar() and
    g_value_set_schar()

    The documentation for G_TYPE_CHAR says:

    "The type designated by G_TYPE_CHAR is unconditionally an 8-bit signed
     integer."

    However the return value for g_value_get_char() was just "char" which
    in C has an unspecified signedness; on e.g. x86 it's signed (which
    matches the GType), but on e.g. PowerPC or ARM, it's not.

    We can't break the old API, so we need to suck it up and add new API.
    Port most internal users, but keep some tests of the old API too.

    https://bugzilla.gnome.org/show_bug.cgi?id=659870

 gio/gsettings-mapping.c        |    4 +-
 gio/tests/gsettings.c          |    6 ++--
 gobject/gclosure.c             |    2 +-
 gobject/glib-genmarshal.c      |    2 +-
 gobject/gmarshal.c             |    2 +-
 gobject/gobject.symbols        |    2 +
 gobject/gvaluetypes.c          |   42
 +++++++++++++++++++++++++++++++++++++++-
 gobject/gvaluetypes.h          |    5 ++++
 gobject/tests/param.c          |   13 +++++++++--
 tests/gobject/gvalue-test.c    |    1 +
 tests/gobject/paramspec-test.c |   16 +++++++++++++++
 11 files changed, 83 insertions(+), 12 deletions(-)

commit 1df8160fa675b225809eed2f86d2489133e5e54d
Author: Colin Walters <walters@verbum.org>
Date:   Thu Sep 22 17:52:08 2011 -0400

    tests: Add a some torture test cases for the generic marshaller

    In particular this has a test case for a G_TYPE_ENUM which we were
    running into a failure on ppc64.

    https://bugzilla.gnome.org/show_bug.cgi?id=659881

 gobject/tests/signals.c |  136
 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 136 insertions(+), 0 deletions(-)

commit c59846086bdc464b8bff97a83c09d91e8c860369
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Sep 22 13:47:25 2011 -0400

    Add gthread.h to deprecated headers

    ...not deprecated sources

 glib/Makefile.am |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 8e716cbb497ba0cee11a86410c6faff805ea7d90
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Sep 22 17:16:55 2011 +0100

    Fix annotations for source/target in g_object_bind_property_*

    We use gpointer for convience of the C API users, but introspection
    users will not like it.

    https://bugzilla.gnome.org/show_bug.cgi?id=659838

 gobject/gbinding.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 35829d28b9f731e2443d48d868ec6b49cb202e5c
Author: Manoj Kumar Giri <mgiri@dhcp193-76.pnq.redhat.com>
Date:   Thu Sep 22 19:46:01 2011 +0530

    Updated Oriya Translation

 po/or.po |  277
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 156 insertions(+), 121 deletions(-)

commit 558955dd85ffaa8435c95eacca27db7134ab4c11
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 22 01:16:41 2011 -0400

    Some gthread doc updates

    Marking things as deprecated, mostly.

 glib/gthread.c |  169
 +++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 100 insertions(+), 69 deletions(-)

commit cedc82290f860683d695d0c5326db153893eec21
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 22 00:52:18 2011 -0400

    Use adaptive mutexes when available

    These are supposedly better on multi-cpu systems - and who doesn't
    have multiple cpus nowadays. One single-processor systems, they
    are identical to normal mutexes.
    See e.g. http://bugzilla.mozilla.org/show_bug.cgi?id=132089

    https://bugzilla.gnome.org/show_bug.cgi?id=659423

 glib/gthread-posix.c |   13 ++++++++++++-
 glib/gthread.h       |    4 ++++
 2 files changed, 16 insertions(+), 1 deletions(-)

commit 19e7026fe728678c33e4cf38290ea88f0941d648
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Sep 21 20:19:32 2011 -0400

    GDateTime test: fix a race

    We have a GDateTime test that compares the time now (as per the
    libc) to
    the time now (as per GDateTime).  The problem is that the time could
    change between those two "now"s.

 glib/tests/gdatetime.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit af9e40dc5def1352e01368de56577addb2c7bbc1
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Sep 21 20:13:57 2011 -0400

    gslice: remove single-threaded case

    GPrivate always works, so use it normally at all times.

 glib/gslice.c |   35 ++++-------------------------------
 1 files changed, 4 insertions(+), 31 deletions(-)

commit ca154c399b879ad17804af5d9a81e607e049861e
Author: Philip Van Hoof <philip@codeminded.be>
Date:   Wed Sep 21 19:59:03 2011 +0200

    GMappedFile: Add API to create from an existing file descriptor

    At Tracker we want to mmap files using O_NOATIME. With GMappedFile
    this is at
    the moment impossible. For that reason I added the constructor
    new_from_fd to
    the GMappedFile type.

    https://bugzilla.gnome.org/show_bug.cgi?id=659754

 glib/glib.symbols       |    1 +
 glib/gmappedfile.c      |  174
 ++++++++++++++++++++++++++++++-----------------
 glib/gmappedfile.h      |    3 +
 glib/tests/mappedfile.c |   48 +++++++++++++
 4 files changed, 164 insertions(+), 62 deletions(-)

commit 24652730a9faaedb19b9e90024077eb7f75a6907
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Sep 21 14:57:22 2011 -0400

    Deprecate GStatic{,Rec,RW}Mutex

    The new versions use the primatives of the OS directly and don't
    have an
    annoying ABI.

 glib/deprecated/gthread.h |   65
 +++++++++++++++++++++++++++++++++++++++++++++
 glib/gthread.h            |   65
 ---------------------------------------------
 2 files changed, 65 insertions(+), 65 deletions(-)

commit aecec33c4949e022abe6b335f83223495004c09f
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Sep 21 14:39:59 2011 -0400

    gtype: port from GStaticRWLock to GRWLock

 gobject/gtype.c |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit b6140c2f89e3d9a613623b7eacad631360837df3
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Sep 21 14:37:34 2011 -0400

    Port internal GStaticRecMutex users to GRecMutex

 gio/gunionvolumemonitor.c |   38 +++++++++++++++++++-------------------
 glib/gvarianttypeinfo.c   |   12 ++++++------
 gmodule/gmodule.c         |   20 ++++++++++----------
 gobject/gtype.c           |   22 +++++++++++-----------
 4 files changed, 46 insertions(+), 46 deletions(-)

commit ad187e3a9b2efff3c773d361e78ec3acda36136e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Sep 21 14:36:53 2011 -0400

    Add a new recursive mutex type, GRecMutex

    This is implemented using the native facilities of each platform
    instead
    of manually.

 glib/glib.symbols    |    5 +++
 glib/gthread-posix.c |   72
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 glib/gthread-win32.c |   68
 +++++++++++++++++++++++++++++++++++++++++++++++
 glib/gthread.h       |   13 +++++++++
 4 files changed, 158 insertions(+), 0 deletions(-)

commit 3d4102776e59e748ee8b6e4d456a06a33593f308
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Sep 21 10:19:36 2011 -0400

    Add GRWLock

 glib/glib.symbols     |    8 +++++++
 glib/gthread-posix.c  |   50
 ++++++++++++++++++++++++++++++++++++++++++++++++
 glib/gthread-win32.c  |   51
 +++++++++++++++++++++++++++++++++++++++++++++++++
 glib/gthread.h        |   26 +++++++++++++++++++++++-
 glib/tests/strfuncs.c |    1 -
 5 files changed, 133 insertions(+), 3 deletions(-)

commit 42af8eb39d2744af68a470bcd9f7aae3c8f43602
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Sep 21 00:33:16 2011 -0400

    gthread: remove impl init functions

 glib/gthread-posix.c  |   14 +++-----------
 glib/gthread-win32.c  |   20 +++-----------------
 glib/gthread.c        |    2 --
 glib/gthreadprivate.h |    3 ---
 4 files changed, 6 insertions(+), 33 deletions(-)

commit 2539bd007d34c7e75788c34f8d9a1e0d5f225ea0
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Sep 20 10:06:57 2011 -0400

    win32: Add 'shared' support to SRWLock emulation

 glib/gthread-win32.c |  108
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 108 insertions(+), 0 deletions(-)

commit 9f42e3be1b7b9e7588eb84e21c321dfbde0a6f9a
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Sep 20 00:05:34 2011 -0400

    gthread-win32: trivial condition change

    Make another do-nothing change to the SRWLock emulation.

 glib/gthread-win32.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 391aea32f31506cd07b251385450a84d705cc798
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Sep 20 00:04:43 2011 -0400

    gthread-win32: rename a struct member

    Our SRWLock is about to become a real reader/writer lock, so rename an
    instance variable to prepare for that.

 glib/gthread-win32.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit d7aeae97effab17a0562023497ed8baf46dcc09a
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 19 13:58:36 2011 -0400

    gthread.h: remove some bogus decl/comments

    These are no longer relevent since the possibility of a
    thread-disabled
    GLib disappeared.

 glib/gthread.h |   10 ----------
 1 files changed, 0 insertions(+), 10 deletions(-)

commit 894dd4f62b5df008e9372394c0fb4ef2fd1dc527
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 19 13:51:07 2011 -0400

    Revert "Drop an unused variable"

    This reverts commit c7f9cd17d446938aaf4126e0753302676f66fd22.

    The old macros in gthread.h used this variable, so it must remain in
    place to keep ABI compatibility.

 glib/gthread.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 8ef30eb3da2e371bf6cbaa4d102b89b948fc04bb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 19 07:19:17 2011 -0400

    Drop an unused variable

 glib/gthread.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 7d859fb67f42a88368f8c5d404cf7ade07dbf27d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 19 07:16:30 2011 -0400

    More header cosmetics

 glib/gthread.h |   36 ++++++++++++++++++------------------
 1 files changed, 18 insertions(+), 18 deletions(-)

commit c291259c659a2dd48f1202863852f61a34290a84
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 19 00:29:53 2011 -0400

    trivial: small header reordering

 glib/gthread.h |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit ae2ac9e809a91635c6ff9751145cd09b6de8dab9
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 19 01:11:11 2011 -0400

    Move some things to deprecated/gthread.h

 glib/Makefile.am          |    3 +-
 glib/deprecated/gthread.h |  112
 +++++++++++++++++++++++++++++++++++++++++++++
 glib/glib.h               |    1 +
 glib/gthread.c            |    2 +-
 glib/gthread.h            |   83 +--------------------------------
 5 files changed, 118 insertions(+), 83 deletions(-)

commit 97972fbb3a1d9234fbb5753802afd0c13db45f25
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 19 01:02:44 2011 -0400

    g_thread_init: take a gpointer as the arg

    GThreadFunctions is about to disappear.

 glib/gthread.h         |    2 +-
 gthread/gthread-impl.c |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit abba53e39630fd9df7249e239db06b391ba1f47a
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 19 00:55:16 2011 -0400

    disable glib-ctor on win32

 glib/glib-ctor.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 14e6377a603abd03a3c9d7130da1c1113cec4d7b
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 19 00:45:19 2011 -0400

    Deprecate g_thread_create_full()

    Replace it with g_thread_create_with_stack_size() and a real function
    implementation of g_thread_create().

    Modify a testcase that was calling g_thread_create_full()
    inappropriately (it was using the default values anyway).

 docs/reference/glib/glib-sections.txt |    1 +
 glib/glib.symbols                     |    2 +
 glib/gthread.c                        |   64
 +++++++++++++++++++++++++--------
 glib/gthread.h                        |   17 +++++++--
 tests/slice-test.c                    |    4 +-
 5 files changed, 68 insertions(+), 20 deletions(-)

commit 9621b1093e7b745e6f8184012bc3c18ab1d261b1
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 19 00:31:33 2011 -0400

    Drop g_thread_fail()

    This is now unused.

 glib/gthread.c |    7 -------
 1 files changed, 0 insertions(+), 7 deletions(-)

commit b2c1364ab29f82d863990c9b1b17abce798f9a84
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 19 00:30:30 2011 -0400

    g_system_thread_create: drop unused args

    The 'bound' and 'priority' arguments are no longer in use, so
    drop them.

 glib/gthread-posix.c  |    2 --
 glib/gthread-win32.c  |    2 --
 glib/gthread.c        |    2 +-
 glib/gthreadprivate.h |    2 --
 4 files changed, 1 insertions(+), 7 deletions(-)

commit 2b4c303d61d614af90a92de4c85532fcc245118e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 19 00:27:56 2011 -0400

    Remove the concept of 'bound'

    This was ignored on Windows.  On POSIX, where supported, it controlled
    if we ended up with a proper system thread or a user-mode thread.
    Linux
    did not support this.

 glib/gthread-posix.c |    7 -------
 glib/gthread.c       |   10 +++-------
 2 files changed, 3 insertions(+), 14 deletions(-)

commit cebcfed78347e7f0e5853cdc192319168cd811a6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 19 00:25:12 2011 -0400

    Remove a leftover from errorcheck mutexes

 glib/gthread.h |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit cffed9a03a54f92f04cf9648253a907573752975
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 19 00:11:46 2011 -0400

    Remove g_thread_functions_for_glib_use_old

    This has been unused for a while and it should definitely go away now
    that g_thread_functions_for_glib_use is back in gthread.c.

 glib/gthread.c |   39 ---------------------------------------
 1 files changed, 0 insertions(+), 39 deletions(-)

commit 6972ed340b702a2b2674cab4338207e2a74a19f0
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 19 00:03:40 2011 -0400

    Merge g_thread_functions_for_glib_use

    Move the now-identical copies of g_thread_functions_for_glib_use from
    gthread-{posix,win32}.c back into gthread.c.

 glib/gthread-posix.c |   25 -------------------------
 glib/gthread-win32.c |   25 -------------------------
 glib/gthread.c       |   25 +++++++++++++++++++++++++
 3 files changed, 25 insertions(+), 50 deletions(-)

commit 6ea1721191efc27cef0236bf10174dd0a81125bb
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 19 00:01:29 2011 -0400

    gthread.h: drop the vtable access macros

    We're finally free of these.  Drop them.

 glib/gthread.h |   14 --------------
 1 files changed, 0 insertions(+), 14 deletions(-)

commit 3422dcfd28c2e33b5dffbcc0f59cfa507b89a468
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Sep 19 00:00:12 2011 -0400

    NULL g_system_thread_{exit,equal} in the vtable

    These were never used from gthread.h and are no longer used from
    gthread.c.

 glib/gthread-posix.c |    4 ++--
 glib/gthread-win32.c |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 7a69d46dc562188a8673c6057919b4d65798491d
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Sep 18 23:58:12 2011 -0400

    GSystemThread: port 'self' 'join' and 'create'

    Switch 'self' 'join' and 'create' from using the vtable to being
    called
    via normal g_system_thread_* internal API (implemented in each of
    gthread-{posix,win32}.c).

    Again, we can put NULL in the vtable since these were never used from
    gthread.h.

 glib/gthread-posix.c  |   32 ++++++++++++++++----------------
 glib/gthread-win32.c  |   32 ++++++++++++++++----------------
 glib/gthread.c        |   18 +++++++++---------
 glib/gthreadprivate.h |   10 ++++++++++
 4 files changed, 51 insertions(+), 41 deletions(-)

commit 51d92adeee67d1df30d13fe41e97af9e563f62ec
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Sep 18 23:43:27 2011 -0400

    GThread: deprecate thread priorities

    Thread priorities were already documented as not working on Solaris,
    and
    they are meaningless on Linux unless the process separately requests
    realtime scheduling (and even then, it appears only to work as root).

    We can safely put a NULL into the vtable for set_priority since
    nothing
    outside of gthread.c ever calls this (and that call is gone).

 glib/gthread-posix.c |  106
 +-------------------------------------------------
 glib/gthread-win32.c |   38 +-----------------
 glib/gthread.c       |   59 ++++++----------------------
 glib/gthread.h       |   10 +++-
 4 files changed, 22 insertions(+), 191 deletions(-)

commit a10306060c409c45b2ae7dc38813918ce5d611d4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 18 23:18:17 2011 -0400

    Don't use the thread_exit vfunc

    Instead, just have the backends implement an internal function
    named g_system_thread_exit.

 glib/gthread-posix.c  |    6 +++---
 glib/gthread-win32.c  |   10 +++++-----
 glib/gthread.c        |    9 ++++-----
 glib/gthreadprivate.h |    2 ++
 4 files changed, 14 insertions(+), 13 deletions(-)

commit cc7631cd197756a1f804342a39f6ab10a28bc4f5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 18 23:10:25 2011 -0400

    Don't use the thread_equal vfunc anymore

    Just move the g_system_thread_equal implementation into
    the posix and win32 implementations, and drop some micro macro
    optimization.

 glib/gthread-posix.c  |    7 ++++---
 glib/gthread-win32.c  |    7 +++++++
 glib/gthread.c        |   11 +++++------
 glib/gthreadprivate.h |   10 ++--------
 4 files changed, 18 insertions(+), 17 deletions(-)

commit e00bcfcdecbc25bf6e34492a328a855771ff08ef
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Sep 18 23:07:24 2011 -0400

    gthread-win32: use __stdcall markers where needed

    The "unknown reason" that the native thread implementation was
    broken is
    because functions in kernel32.dll are (obviously) following
    Microsoft's
    __stdcall ABI, not the GCC ABI.

    Change our function pointers to be __stdcall pointers and change our
    emulated implementation to match.

 glib/gthread-win32.c |   61
 +++++++++++++++++++++++--------------------------
 1 files changed, 29 insertions(+), 32 deletions(-)

commit 835c9b75c8adb20f8a095a2bea486d59f16e72cc
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Sep 18 22:48:53 2011 -0400

    g_private_new: use GSlice

    We no longer call g_private_new() from anywhere in GLib, so we can use
    gslice instead of malloc().

 glib/gthread.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0ebd842d240f74cee6654e02beb15966b058c603
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 18 22:11:12 2011 -0400

    And move the g_thread_yield() docs too

 glib/gthread-posix.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 71df02658053cab2b18a15f02323a139f1de2092
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 18 21:39:35 2011 -0400

    Don't use the thread vtable for g_thread_yield()

 glib/gthread-posix.c |    6 +++---
 glib/gthread-win32.c |    6 +++---
 glib/gthread.c       |   15 ---------------
 3 files changed, 6 insertions(+), 21 deletions(-)

commit 862e086b79aa285c22f53b6351f6b8816adf2ed5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 18 21:24:25 2011 -0400

    Move g_private_new() to common code

    The implementations for posix and win32 were identical, so
    move it to gthread.c, to go with g_mutex_new() and g_cond_new().

 glib/gthread-posix.c |   39 ---------------------------------------
 glib/gthread-win32.c |   13 -------------
 glib/gthread.c       |   37 +++++++++++++++++++++++++++++++++++++
 3 files changed, 37 insertions(+), 52 deletions(-)

commit dffca808469f372352a2f6cfe58f8ad026ce3a5e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 18 21:17:33 2011 -0400

    Move docs around

    Move the docs of functions to the actual functions. Also add
    docs for some new apis.

 glib/gthread-posix.c |  237 +++++++++++++++++++++++++++++++++++++++++++
 glib/gthread.c       |  275
 ++++++++++----------------------------------------
 2 files changed, 290 insertions(+), 222 deletions(-)

commit 0044763a715ac5cec27fab5a7f247d3a1045d9aa
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 18 20:04:28 2011 -0400

    Clean up g_thread_yield implementation

    This was the last macro wrapper that was directly accessing the
    vtable. Make it a regular function, like the rest.

 glib/glib.symbols    |    1 +
 glib/gthread-posix.c |    2 +-
 glib/gthread.c       |   27 ++++++++++++++++-----------
 glib/gthread.h       |    2 +-
 4 files changed, 19 insertions(+), 13 deletions(-)

commit c4a69e784ebd5c19a79463c2593f8b9316aeb7b2
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Sep 18 02:27:03 2011 -0400

    gmem: move to glib-ctor

 glib/gmem.c           |  114
 ++++++++++++++++++++-----------------------------
 glib/gthread.c        |    3 -
 glib/gthreadprivate.h |    2 -
 3 files changed, 47 insertions(+), 72 deletions(-)

commit ae4419610cf920acc2ada9df0e5320a500e9965c
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Sep 18 02:17:17 2011 -0400

    gslice: move initialisation to glib-ctor

 glib/gslice.c         |   28 +++++-----------------------
 glib/gthread.c        |    3 ---
 glib/gthreadprivate.h |    1 -
 3 files changed, 5 insertions(+), 27 deletions(-)

commit 8f74c927f609139c51b0a0c067ad63c60ac9139b
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Sep 18 02:16:07 2011 -0400

    Add glib-ctor functionality

    A pair of macros to define a constructor function (on compilers that
    support such a concept) and to ensure that the function is run exactly
    once (on compilers that lack such support).

    Presently only GCC is implemented.

 glib/Makefile.am |    1 +
 glib/glib-ctor.h |   25 +++++++++++++++++++++++++
 2 files changed, 26 insertions(+), 0 deletions(-)

commit 0e604ef0b527129f947637bc3ae742e9e2c30c90
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Sep 18 01:24:27 2011 -0400

    GThread: always initialise the system thread

    It's always safe to call the thread implementation 'self' function.

 glib/gthread.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 4596dfbc7587c20261b56b58a0a3e5fdeb7ff79a
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Sep 18 01:21:01 2011 -0400

    gmessages: do implicit GPrivate initialisation

    Initialise the GPrivate implicitly at the site of first use rather
    than
    explicitly from the thread initialisation function.

 glib/gmessages.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 90679997ec7439ae520c97eb37b5ae36e0da6bba
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Sep 18 01:10:07 2011 -0400

    Continue GPrivate rework

    We remove the macros while at the same time switching all libglib
    users
    from g_private_new() to g_private_init().  We deal with the strange
    expectations of the libglib code that g_private_* should work
    before the
    GPrivate has been initialised with a temporary shim.

 glib/gmessages.c      |   10 +++++-----
 glib/gslice.c         |    8 ++++----
 glib/gthread-posix.c  |   18 ++++++++++++++----
 glib/gthread-win32.c  |   17 ++++++++++++++---
 glib/gthread.c        |   12 ++++++------
 glib/gthread.h        |   14 +++-----------
 glib/gthreadprivate.h |    2 ++
 7 files changed, 48 insertions(+), 33 deletions(-)

commit b0d83576e26191505ce450cd3eae596be9aff1e1
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Sep 17 22:00:27 2011 -0400

    Rework GPrivate

     - expose the structure types for GLib internal use only

     - avoid infinite recursion hazards by ensuring that GPrivate never
       calls back into any other part of GLib

     - substantially rework the Windows implementation so that it never
       holds locks, contains no arbitrary limits and doesn't waste
       100*sizeof(void*) per thread

    We have to keep the macro hacks for the time being since some code
    inside libglib depends on it.

 glib/glib.symbols     |    3 +
 glib/gthread-posix.c  |   81 ++++++++++++---------
 glib/gthread-win32.c  |  192
 +++++++++++++++++++++++--------------------------
 glib/gthread.h        |    5 ++
 glib/gthreadprivate.h |   12 +++
 5 files changed, 155 insertions(+), 138 deletions(-)

commit 4ec6d47806dbb4934aeeb748196d24f7cd0eb10c
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Sep 17 20:15:07 2011 -0400

    GStaticMutex: remove ./configure checks

    Now that GMutex is exposed we can avoid the dance we did in
    ./configure
    to allocate the correct amount of space for it within the
    GStaticMutex.

    Remove the checks and move the definitions to gthread.h, trying very
    hard to keep ABI-stable (even though we will be deprecating this
    soon).

 configure.ac   |   63
 +-------------------------------------------------------
 glib/gthread.h |   22 +++++++++++--------
 2 files changed, 14 insertions(+), 71 deletions(-)

commit c33cd007398cfc81a9405b95280e99a231f58ff8
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Sep 17 19:33:30 2011 -0400

    Stop using GStaticMutex in two testcases

 gthread/tests/gwakeuptest.c |   14 ++++++--------
 tests/thread-test.c         |   14 +++++++-------
 2 files changed, 13 insertions(+), 15 deletions(-)

commit 1da913a7a3f120d7097a7474f7cccbeeb1a8383c
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Sep 17 19:32:57 2011 -0400

    GParamSpecPool: port from GStaticMutex to GMutex

 gobject/gparam.c |   35 ++++++++++++++++-------------------
 1 files changed, 16 insertions(+), 19 deletions(-)

commit 806de91cd55c7ba2599a637346dbecd3bb3a5562
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Sep 17 19:26:41 2011 -0400

    GSettings: port from GStaticMutex to GMutex

 gio/gdelayedsettingsbackend.c |   46
 ++++++++++++++++++++--------------------
 gio/gsettingsbackend.c        |   18 ++++++++--------
 2 files changed, 32 insertions(+), 32 deletions(-)

commit 646de11ae789fb19a878091491fa645788d89368
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Sep 17 18:30:07 2011 -0400

    Remove "temporary until GLib is fixed" code

    The original GMutex/GCond rework patch introduced some temporary
    code to
    cope with GLib's old approach to thread initialisation.  These are no
    longer required.

 glib/gthread-posix.c |   20 --------------------
 glib/gthread-win32.c |   20 --------------------
 2 files changed, 0 insertions(+), 40 deletions(-)

commit e996a836e854934c0c45e17cfa26b22a8a1bc8bb
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Sep 17 18:07:39 2011 -0400

    Port g_cond_new to use GSlice

    Now that nothing inside of GLib is using g_cond_new(), we can
    implement
    it using GSlice.  Since the implementations for POSIX and Windows are
    now the same, move it to gthread.c.

 glib/gthread-posix.c |   23 -----------------------
 glib/gthread-win32.c |   22 ----------------------
 glib/gthread.c       |   18 ++++++++++++++++++
 3 files changed, 18 insertions(+), 45 deletions(-)

commit f1d34d0187cd658a95fba64473942b55d27bfcea
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Sep 17 18:05:24 2011 -0400

    libglib: stop using g_cond_new in some places

    Port a couple of low-level users of g_cond_new to use G_COND_INIT or
    g_cond_init() as appropriate.

 glib/gbitlock.c |   13 ++++++-------
 glib/gthread.c  |   13 +++++--------
 2 files changed, 11 insertions(+), 15 deletions(-)

commit 22b3e26034017f19c81a3f2bfa7e9c8ec5a690a8
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Sep 17 17:59:03 2011 -0400

    Port g_mutex_new to use GSlice

    Now that nothing inside of GLib is using g_mutex_new, we can implement
    it using GSlice.  Since the implementations for POSIX and Windows are
    now the same, move it to gthread.c.

 glib/gthread-posix.c |   21 ---------------------
 glib/gthread-win32.c |   21 ---------------------
 glib/gthread.c       |   19 +++++++++++++++++++
 3 files changed, 19 insertions(+), 42 deletions(-)

commit cf26a6fc32e32bd71d4652245257477ae34d9a15
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Sep 17 18:33:25 2011 -0400

    G_LOCK: port from GStaticMutex to GMutex

    GCancellable made use of the undocumented G_LOCK_NAME macro in an
    invalid way.  Fix that up while we're at it.

 gio/gcancellable.c |    6 ++----
 glib/gthread.h     |   16 ++++++++--------
 2 files changed, 10 insertions(+), 12 deletions(-)

commit 2c7388c19a3f7895ee49a5bc7219822a50b5b514
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Sep 17 17:56:33 2011 -0400

    libglib: stop using g_mutex_new

    Use G_MUTEX_INIT or g_mutex_init() as appropriate.

 glib/gasyncqueue.c |   46 +++++++++++++++++-----------------
 glib/gmem.c        |   17 +++++-------
 glib/gmessages.c   |   53 ++++++++++++++++++++--------------------
 glib/gslice.c      |   68
 ++++++++++++++++++++++++---------------------------
 glib/gthread.c     |   29 ++++++++++------------
 5 files changed, 101 insertions(+), 112 deletions(-)

commit f35362f3ae4a4bcc6c0d03b129758b2989e8cd79
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Sep 17 17:47:46 2011 -0400

    libglib: drop use of GStaticMutex

    Use GMutex directly instead.

 glib/gbitlock.c |   12 ++++++------
 glib/gmain.c    |   19 +++++++++----------
 2 files changed, 15 insertions(+), 16 deletions(-)

commit 80730bc75ca8b0ad71f1372c9652bee39391244e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Sep 16 18:05:23 2011 -0400

    Rework GMutex and GCond APIs

    Do a substantial rework of the GMutex and GCond APIs.

     - remove all of the macro indirection hackery which is no longer
     needed
       since we dropped support for switchable thread implementations

     - expose the structure types and add G_MUTEX_INIT and G_COND_INIT
       static initialiser macros

     - add g_mutex_init() and g_mutex_clear() for use when embedding
     GMutex
       into another structure type and do the same for GCond as well

     - avoid infinite recursion hazards by ensuring that neither GCond or
       GMutex ever calls back into any other part of GLib

     - substantially rework the Windows implementation of GCond and GMutex
       to use the SRWLock and CONDITION_VARIABLE APIs present on Windows
       2008/Vista and later, emulating these APIs on XP

 glib/glib.symbols    |   16 +
 glib/gthread-posix.c |  363 +++++++++++++++++-------
 glib/gthread-win32.c |  759
 ++++++++++++++++++++++++++++++++++++++------------
 glib/gthread.h       |   96 ++++---
 glib/gutils.c        |    3 +
 5 files changed, 907 insertions(+), 330 deletions(-)

commit c6f84faa17227da437eeceb58ce79334ffdfdb57
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Sep 21 15:46:24 2011 -0400

    Forgotten part of an earlier mismerge

    This is making gmappedfile.c identical to the glib-2-30 branch again.

 glib/gmappedfile.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 43254e8c4c60f102be1212a1919953ad7ddf31db
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Sep 21 15:27:37 2011 -0400

    gmessage.c: mark a private function static

 glib/gmessages.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit aabdb7e190fc4db595484e05e40315985c6c4645
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Sep 21 08:16:43 2011 -0400

    GDBusObject{Proxy,Skeleton}: Prefix properties with g- to avoid
    collisions

    Otherwise we might collide with an interface called Connection.

    https://bugzilla.gnome.org/show_bug.cgi?id=659699

    This is for the same reason that GDBusProxy has its properties
    prefixed with g-.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

 gio/gdbus-2.0/codegen/codegen.py |    4 ++--
 gio/gdbusobjectmanagerclient.c   |    4 ++--
 gio/gdbusobjectmanagerserver.c   |    2 +-
 gio/gdbusobjectproxy.c           |   28 ++++++++++++++--------------
 gio/gdbusobjectskeleton.c        |   16 ++++++++--------
 5 files changed, 27 insertions(+), 27 deletions(-)

commit 1f5262d2c96f888c21bd113d43528cf3964f163d
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Sep 20 10:07:35 2011 -0400

    gunixmounts: exempt entries with "none" mountpoint

    We ignore entries with mountpoint of "swap" and "ignore".  Add "none"
    to
    that list, since Debian uses it.

    Probably we should move to using our already-existing internal list of
    things to ignore, but this patch is more minimally intrusive for now.

    https://bugzilla.gnome.org/show_bug.cgi?id=654563

 gio/gunixmounts.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 6b39085016110dc92d0b17d605ee80b0a0e80eb6
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   Wed Sep 21 13:41:10 2011 +0200

    gdbus-codegen: prepend arg_ to method/signal arg names

    This is to avoid shadow declaration warning in the case an arg name
    is "time" for example.

    https://bugzilla.gnome.org/show_bug.cgi?id=659690

    Signed-off-by: David Zeuthen <davidz@redhat.com>

 gio/gdbus-2.0/codegen/codegen.py |   36
 ++++++++++++++++++------------------
 1 files changed, 18 insertions(+), 18 deletions(-)

commit 933ad70c32f146d324b8fc1e9b79711e83472909
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Sep 21 07:12:32 2011 -0400

    gdbus-codegen: Clarify how naming and Ugly_Case handling works

    Basically, move some paragraphs around.

    Signed-off-by: David Zeuthen <davidz@redhat.com>

 docs/reference/gio/gdbus-codegen.xml |   92
 +++++++++++++++++----------------
 1 files changed, 47 insertions(+), 45 deletions(-)

commit 30537b84de1b41e1813d2624968bb99271d45763
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Sep 21 06:57:29 2011 -0400

    gdbus-codegen: Update man page to reflect how --annotate actually
    works

    Signed-off-by: David Zeuthen <davidz@redhat.com>

 docs/reference/gio/gdbus-codegen.xml |   32
 ++++++++++++++------------------
 1 files changed, 14 insertions(+), 18 deletions(-)

commit 70515ffe928fa4dc2cadeddfa68a67a7cd727cfe
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   Tue Sep 20 23:46:23 2011 +0200

    gdbus-codegen: Fix build errors in generated code

    https://bugzilla.gnome.org/show_bug.cgi?id=659646

 gio/gdbus-2.0/codegen/codegen.py |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

commit 447eb0395623112ebf583988f7aa95b4a2be7c2f
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Wed Sep 21 12:20:30 2011 +0530

    Removed the glib.glib-2-30.gu.po file that was wrongly committed

 po/glib.glib-2-30.gu.po | 3739
 -----------------------------------------------
 1 files changed, 0 insertions(+), 3739 deletions(-)

commit 45dd6801cf368997b707a9cb0af5b6bba432dd49
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Wed Sep 21 12:17:29 2011 +0530

    Updated Gujarati Translations

 po/gu.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 06560292c665b463ce948eb36e23acf11edfbfda
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Wed Sep 21 12:14:29 2011 +0530

    Updated Gujarati Translations

 po/gu.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a7057f5c6ee78c8822090bbcc957a5db670fb2fb
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Wed Sep 21 12:11:20 2011 +0530

    Updated Gujarati Translations

 po/gu.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 0c1dba064383154759d497568f8f3f95835fd6ea
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Wed Sep 21 12:07:00 2011 +0530

    Updated Gujarati Translations

 po/gu.po |  355
 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 166 insertions(+), 189 deletions(-)

commit 855e13cc0acadd9d87baf55a2dd9a50e721ec6b1
Author: Dan Winship <danw@gnome.org>
Date:   Tue Sep 20 16:58:34 2011 -0400

    GThreadedResolver: don't overwrite errors

    If a dns op was cancelled and then the abandoned op failed, it would
    try to overwrite the original error. Fix that.

    https://bugzilla.gnome.org/show_bug.cgi?id=658769

 gio/gthreadedresolver.c |   19 +++++++++++--------
 1 files changed, 11 insertions(+), 8 deletions(-)

commit 88b3f6b866749d273247ccccf6dbfd6ddb6b647d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Sat Sep 10 00:35:09 2011 -0400

    timeval: add introspection annotations to g_time_val_from_iso8601()

    The GTimeVal argument is missing an (out) annotations.

    https://bugzilla.gnome.org/show_bug.cgi?id=658692

 glib/gtimer.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0db338bdb0e9a0216681b6db7286ffb0f1711db1
Author: Antoine Jacoutot <ajacoutot@openbsd.org>
Date:   Tue Sep 20 01:18:45 2011 +0200

    gunixmounts: Fix compilation on BSD

    Commit afa82ae805f9c8bb875a3f863a7b4669953f159f introduced a
    compilation
    regression on BSD systems that use the sysctl(3) interface; we need to
    declare the buffer len in _g_get_unix_mount_points()
    BZ #659528

 gio/gunixmounts.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 11217edaaf3386c8504a6ed6f8f0fb69092ddfca
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 20 15:40:29 2011 +0200

    Updated Slovenian translation

 po/sl.po |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 9365bc57611f21621c4ef88e302ae07611c2c6d3
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 20 15:35:31 2011 +0200

    Updated Slovenian translation

 po/sl.po | 1897
 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 911 insertions(+), 986 deletions(-)

commit f8dda0955ecddd02a4e300fba2714ea8cfa093ae
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Tue Sep 20 13:31:07 2011 +0530

    Updated Gujarati Translations

 po/glib.glib-2-30.gu.po | 3739
 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 3739 insertions(+), 0 deletions(-)

commit 88f2b32eb00311da9799d2a71a55dedd92ff60bb
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Sep 19 17:31:21 2011 -0400

    GDBusObjectManagerServer: Add test for export_uniquely() method

    Signed-off-by: David Zeuthen <davidz@redhat.com>

 gio/tests/gdbus-test-codegen.c |   27 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)

commit b1c08ca41981da9ad62841b1a0cb7095ccc111f4
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Mon Sep 19 16:45:05 2011 -0400

    GDBusObjectManagerServer: Use correct object path in export_uniquely()
    method

    In registration_data_export_interface(), the object_path is obtained
    using:

    object_path = g_dbus_object_get_object_path (G_DBUS_OBJECT
    (data->object));

    But when exporting an object uniquely, the object_path is not assigned
    to the GDBusObject until after all the interfaces are exported.
    Therefore, registration_data_export_interface() is trying to export
    the interface on the non-unique object path, which can lead to
    run-time errors if an object already exists on that path.

    Instead, registration_data_export_interface() should be passed the
    object_path explicitly, as is done in
    g_dbus_object_manager_server_export_unlocked().

    Signed-off-by: David Zeuthen <davidz@redhat.com>

 gio/gdbusobjectmanagerserver.c |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

commit fe27bf003764e453cd15cab67e8a99fcda84db1d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Sep 19 10:13:52 2011 +0200

    Don't close stream twice when splicing

    Ensure that the output/target stream in a
    g_output_stream_splice_async()
    operation is marked as closed if G_OUTPUT_STREAM_SPLICE_CLOSE_TARGET
    is
    passed to g_output_stream_splice_async(). This removes the
    possibility of
    local FDs being closed twice because the stream's not marked as
    closed.

    This is implemented by calling g_output_stream_close() from within
    g_output_stream_splice_async() instead of calling the stream's
    close_fn()
    directly.

    Closes: bgo#659324

 gio/goutputstream.c |   88
 ++++++++++++++++++++++++++++++--------------------
 1 files changed, 53 insertions(+), 35 deletions(-)

commit 808035666ac2f730b8819232f86cd3fac9de0d44
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Sep 18 22:20:08 2011 -0400

    gbitlock: #include "gslice.h"

    This is needed if we're doing emulated futexes.

 glib/gbitlock.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit bb1ada779161b0c552573c33a10cd2251d5cdea0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 18 22:14:19 2011 -0400

    Fix a merge accident

 glib/tests/mappedfile.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 8b03fed0cfdd07b367d4deb66980980d44f115ce
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Sep 18 14:22:07 2011 -0400

    Remove unused header gdebug.h

    This was only included from gmessages.c.  Nuke the unused parts and
    merge the rest into gmessages.c.

 glib/Makefile.am |    1 -
 glib/gdebug.h    |   59 -----------------------------------
 glib/gmessages.c |   89
 ++++++++++++++++++++++++++++-------------------------
 3 files changed, 47 insertions(+), 102 deletions(-)

commit 37c740d50946e59c5a5767e4b7aee5f34fcab268
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Sep 18 18:59:20 2011 -0400

    Don't #include <glib/gslice.h> from gmem.h

    It looks like this was done just to help people port from gmem to
    gslice, but nothing in this header actually requires gslice.h to be
    included.

 glib/garray.c           |    1 +
 glib/gbuffer.c          |    2 +-
 glib/gcache.c           |    1 +
 glib/gchecksum.c        |    1 +
 glib/gdataset.c         |    1 +
 glib/gdatetime.c        |    1 +
 glib/gerror.c           |    1 +
 glib/ghash.c            |    1 +
 glib/ghmac.c            |    1 +
 glib/ghook.c            |    1 +
 glib/glist.c            |    1 +
 glib/gmarkup.c          |    1 +
 glib/gmem.c             |    1 +
 glib/gmem.h             |    1 -
 glib/gnode.c            |    2 ++
 glib/gqueue.c           |    1 +
 glib/gsequence.c        |    1 +
 glib/gslist.c           |    2 ++
 glib/gtestutils.c       |    1 +
 glib/gtimezone.c        |    1 +
 glib/gtree.c            |    1 +
 glib/gvariant-parser.c  |    1 +
 glib/gvariant.c         |    1 +
 glib/gvarianttypeinfo.c |    2 +-
 24 files changed, 25 insertions(+), 3 deletions(-)

commit e88a12caa0a4852a505911b12fe7ed93cd0068dc
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Sep 18 20:36:30 2011 -0400

    Move deprecated GCompletion to deprecated/

    Keep the docs for now, though.  We'll remove them after a few more
    cycles.

    https://bugzilla.gnome.org/show_bug.cgi?id=659427

 glib/Makefile.am              |    4 +-
 glib/deprecated/gcompletion.c |  489
 ++++++++++++++++++++++++++++++++++++++++
 glib/deprecated/gcompletion.h |   77 +++++++
 glib/gcompletion.c            |  491
 -----------------------------------------
 glib/gcompletion.h            |   81 -------
 glib/glib.h                   |    2 +-
 6 files changed, 569 insertions(+), 575 deletions(-)

commit c3fc0c285f001b3463eda4a63654d645594df08b
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Sep 18 20:31:09 2011 -0400

    Move deprecated GRel to deprecated/

    Keep the docs for now, though.  We'll remove them after a few more
    cycles.

    https://bugzilla.gnome.org/show_bug.cgi?id=659427

 glib/Makefile.am       |    8 +-
 glib/deprecated/grel.c |  674
 +++++++++++++++++++++++++++++++++++++++++++++++
 glib/deprecated/grel.h |   97 +++++++
 glib/glib.h            |    2 +-
 glib/grel.c            |  675
 ------------------------------------------------
